# coding: utf8
from __future__ import unicode_literals


NOUNS_IRREG = {
	"½": ("demi",),
	"4x4": ("4x4",),
	"abatis": ("abatis",),
	"abattis": ("abattis",),
	"abat-voix": ("abat-voix",),
	"abax": ("abax",),
	"abcès": ("abcès",),
	"abdominaux": ("abdominaux",),
	"abdos": ("abdominaux",),
	"abducens": ("abducens",),
	"aberdeen-angus": ("aberdeen-angus",),
	"abies": ("abies",),
	"abras": ("abras",),
	"abrasax": ("abrasax",),
	"abraxas": ("abraxas",),
	"abribus": ("abribus",),
	"abricotis": ("abricotis",),
	"abris-bus": ("abri-bus",),
	"abris-jardins": ("abri-jardin",),
	"abris-sous-roche": ("abri-sous-roche",),
	"abrus": ("abrus",),
	"abruzzais": ("abruzzais",),
	"abruzzaises": ("abruzzais",),
	"abus": ("abus",),
	"abusus": ("abusus",),
	"acalles": ("acalles",),
	"acanthocéras": ("acanthocéras",),
	"acanthopanax": ("acanthopanax",),
	"acanthostaurus": ("acanthostaurus",),
	"acarus": ("acarus",),
	"acathexis": ("acathexis",),
	"accès": ("accès",),
	"accipiens": ("accipiens",),
	"accords-cadres": ("accord-cadre",),
	"acéras": ("acéras",),
	"acilius": ("acilius",),
	"acini": ("acinus",),
	"acinus": ("acinus",),
	"acorus": ("acorus",),
	"acquis": ("acquis",),
	"acris": ("acris",),
	"actias": ("actias",),
	"actinelia": ("actinelium",),
	"actinobacillus": ("actinobacillus",),
	"actinocéras": ("actinocéras",),
	"actinophrys": ("actinophrys",),
	"adapis": ("adapis",),
	"addax": ("addax",),
	"adénovirus": ("adénovirus",),
	"adj.": ("adjectif",),
	"adjudantes-chefs": ("adjudant-chef",),
	"adjudants-chefs": ("adjudant-chef",),
	"admis": ("admis",),
	"admise": ("admis",),
	"admises": ("admis",),
	"adonis": ("adonis",),
	"ados": ("ado",),
	"adoxus": ("adoxus",),
	"adulatrice": ("adulateur",),
	"adulatrices": ("adulateur",),
	"adv.": ("adverbe",),
	"aegocéras": ("aegocéras",),
	"aeolis": ("aeolis",),
	"aepus": ("aepus",),
	"aepyornis": ("aepyornis",),
	"aérobus": ("aérobus",),
	"aéromonas": ("aéromonas",),
	"affabulatrice": ("affabulateur",),
	"affabulatrices": ("affabulateur",),
	"afflux": ("afflux",),
	"affres": ("affres",),
	"affreuse": ("affreux",),
	"affreuses": ("affreux",),
	"affreux": ("affreux",),
	"affûts-trucks": ("affût-truck",),
	"afrikaans": ("afrikaans",),
	"afrikans": ("afrikans",),
	"agapes": ("agapes",),
	"agathaumas": ("agathaumas",),
	"agenais": ("agenais",),
	"agenaises": ("agenais",),
	"ageniaspis": ("ageniaspis",),
	"agglos": ("agglo",),
	"agitatrice": ("agitateur",),
	"agitatrices": ("agitateur",),
	"agnostus": ("agnostus",),
	"agnus": ("agnus",),
	"agrès": ("agrès",),
	"agricultrice": ("agriculteur",),
	"agricultrices": ("agriculteur",),
	"agriolimax": ("agriolimax",),
	"agrostis": ("agrostis",),
	"agrotis": ("agrotis",),
	"aguets": ("aguets",),
	"aides-comptables": ("aide-comptable",),
	"aides-cuisiniers": ("aide-cuisinier",),
	"aides-jardiniers": ("aide-jardinier",),
	"aides-maçons": ("aide-maçon",),
	"aides-soignantes": ("aide-soignant",),
	"aïeux": ("aïeul",),
	"aigues-marines": ("aigue-marine",),
	"ailleurs": ("ailleurs",),
	"airbus": ("airbus",),
	"ais": ("ais",),
	"aixois": ("aixois",),
	"aixoises": ("aixois",),
	"ajusteuses-mécaniciennes": ("ajusteur-mécanicien",),
	"akritas": ("akritas",),
	"alaüs": ("alaüs",),
	"albanais": ("albanais",),
	"albanaise": ("albanais",),
	"albanaises": ("albanais",),
	"albatros": ("albatros",),
	"albigeois": ("albigeois",),
	"albigeoise": ("albigeois",),
	"albigeoises": ("albigeois",),
	"albinos": ("albinos",),
	"albums-photos": ("album-photos",),
	"albus": ("albus",),
	"alcalinoterreux": ("alcalinoterreux",),
	"alcarazas": ("alcarazas",),
	"aldermen": ("alderman",),
	"alentours": ("alentours",),
	"aléseuses-fraiseuses": ("aléseuse-fraiseuse",),
	"alestes": ("alestes",),
	"algérois": ("algérois",),
	"algéroises": ("algérois",),
	"aliénatrice": ("aliénateur",),
	"aliénatrices": ("aliénateur",),
	"alios": ("alios",),
	"alkermès": ("alkermès",),
	"allers-retours": ("aller-retour",),
	"allocations-maternité": ("allocation-maternité",),
	"alloptes": ("alloptes",),
	"aloès": ("aloès",),
	"alpax": ("alpax",),
	"alpheus": ("alpheus",),
	"alquifoux": ("alquifoux",),
	"altocumulus": ("altocumulus",),
	"altostratus": ("altostratus",),
	"altuglas": ("altuglas",),
	"alveus": ("alveus",),
	"amadis": ("amadis",),
	"amaltheus": ("amaltheus",),
	"amaryllis": ("amaryllis",),
	"amas": ("amas",),
	"amaurobius": ("amaurobius",),
	"ambages": ("ambages",),
	"ambassadrice": ("ambassadeur",),
	"ambassadrices": ("ambassadeur",),
	"ambiéquales": ("ambiéqual",),
	"ambiéquaux": ("ambiéqual",),
	"ambitieuse": ("ambitieux",),
	"ambitieuses": ("ambitieux",),
	"ambitieux": ("ambitieux",),
	"ambix": ("ambix",),
	"amblyopsis": ("amblyopsis",),
	"amblyornis": ("amblyornis",),
	"amiantes-ciment": ("amiante-ciment",),
	"amirales": ("amiral",),
	"amiraux": ("amiral",),
	"amnios": ("amnios",),
	"amorphophallus": ("amorphophallus",),
	"amoureuse": ("amoureux",),
	"amoureuses": ("amoureux",),
	"amoureux": ("amoureux",),
	"amours-propres": ("amour-propre",),
	"ampélopsis": ("ampélopsis",),
	"ampères-heures": ("ampère-heure",),
	"ampères-tours": ("ampère-tour",),
	"amphidasis": ("amphidasis",),
	"amphioxus": ("amphioxus",),
	"amphipnous": ("amphipnous",),
	"ampulex": ("ampulex",),
	"anabas": ("anabas",),
	"anableps": ("anableps",),
	"anagallis": ("anagallis",),
	"anagyris": ("anagyris",),
	"analectes": ("analectes",),
	"analges": ("analges",),
	"analystes-programmeurs": ("analyste-programmeur",),
	"anampsès": ("anampsès",),
	"ananas": ("ananas",),
	"ananchytes": ("ananchytes",),
	"anaspis": ("anaspis",),
	"anax": ("anax",),
	"anchois": ("anchois",),
	"ancres-chaînes": ("ancre-chaîne",),
	"ancylocéras": ("ancylocéras",),
	"ancylus": ("ancylus",),
	"androctonus": ("androctonus",),
	"androsphinx": ("androsphinx",),
	"anesthésistes-réanimateurs": ("anesthésiste-réanimateur",),
	"angelus": ("angelus",),
	"angélus": ("angélus",),
	"angineuse": ("angineux",),
	"angineuses": ("angineux",),
	"angineux": ("angineux",),
	"angiomateuses": ("angiomateux",),
	"angiomateux": ("angiomateux",),
	"anglais": ("anglais",),
	"anglaises": ("anglais",),
	"angolais": ("angolais",),
	"angolaise": ("angolais",),
	"angolaises": ("angolais",),
	"angrois": ("angrois",),
	"animaux": ("animal",),
	"animus": ("animus",),
	"anis": ("anis",),
	"anisoptéryx": ("anisoptéryx",),
	"années-lumière": ("année-lumière",),
	"années-lumières": ("année-lumière",),
	"anoectochilus": ("anoectochilus",),
	"anolis": ("anolis",),
	"anormaux": ("anormal",),
	"antapex": ("antapex",),
	"antaxius": ("antaxius",),
	"antebois": ("antebois",),
	"antérieurs": ("antérieurs",),
	"antéros": ("antéros",),
	"anthécéros": ("anthécéros",),
	"anthélix": ("anthélix",),
	"anthémis": ("anthémis",),
	"anthocéros": ("anthocéros",),
	"anthocharis": ("anthocharis",),
	"anthocoris": ("anthocoris",),
	"anthraciteux": ("anthraciteux",),
	"anthrax": ("anthrax",),
	"anthyllis": ("anthyllis",),
	"antiangineux": ("antiangineux",),
	"antiangoreux": ("antiangoreux",),
	"antiaris": ("antiaris",),
	"antibois": ("antibois",),
	"antiboise": ("antibois",),
	"antiboises": ("antibois",),
	"antibourgeois": ("antibourgeois",),
	"antibourgeoises": ("antibourgeois",),
	"anticancéreux": ("anticancéreux",),
	"anticléricaux": ("anticlérical",),
	"anticlimax": ("anticlimax",),
	"anticlinaux": ("anticlinal",),
	"anticorps": ("anticorps",),
	"anticytomégalovirus": ("anticytomégalovirus",),
	"antidosis": ("antidosis",),
	"antifrançais": ("antifrançais",),
	"antifrançaises": ("antifrançais",),
	"antihélix": ("antihélix",),
	"antihéros": ("antihéros",),
	"antillais": ("antillais",),
	"antillaise": ("antillais",),
	"antillaises": ("antillais",),
	"antimoniaux": ("antimonial",),
	"antiprurigineux": ("antiprurigineux",),
	"antirétroviraux": ("antirétroviral",),
	"antiscabieux": ("antiscabieux",),
	"antisudoraux": ("antisudoral",),
	"antitragus": ("antitragus",),
	"antituberculeux": ("antituberculeux",),
	"antiulcéreux": ("antiulcéreux",),
	"antiviraux": ("antiviral",),
	"anus": ("anus",),
	"anversois": ("anversois",),
	"anversoises": ("anversois",),
	"anxieuses": ("anxieux",),
	"anxieux": ("anxieux",),
	"apanteles": ("apanteles",),
	"apax": ("apax",),
	"à-peu-près": ("à-peu-près",),
	"apex": ("apex",),
	"aphidius": ("aphidius",),
	"aphis": ("aphis",),
	"aphodius": ("aphodius",),
	"aphritis": ("aphritis",),
	"apiocrinus": ("apiocrinus",),
	"apis": ("apis",),
	"aporrhais": ("aporrhais",),
	"apparaux": ("apparaux",),
	"appas": ("appas",),
	"appentis": ("appentis",),
	"apprentis-maçons": ("apprenti-maçon",),
	"apprentis-sorciers": ("apprenti-sorcier",),
	"appui-bras": ("appui-bras",),
	"appuie-bras": ("appuie-bras",),
	"appuis-bras": ("appui-bras",),
	"appuis-livres": ("appui-livres",),
	"appuis-tête": ("appui-tête",),
	"aptéryx": ("aptéryx",),
	"apus": ("apus",),
	"arabis": ("arabis",),
	"aragonais": ("aragonais",),
	"aragonaises": ("aragonais",),
	"arbovirus": ("arbovirus",),
	"arbres-manivelles": ("arbre-manivelle",),
	"arcestes": ("arcestes",),
	"archais": ("archais",),
	"archaux": ("archal",),
	"archéocortex": ("archéocortex",),
	"archéoptéris": ("archéoptéris",),
	"archéoptéryx": ("archéoptéryx",),
	"archicortex": ("archicortex",),
	"architectes-conseils": ("architecte-conseil",),
	"architeuthis": ("architeuthis",),
	"archontophoenix": ("archontophoenix",),
	"arcs-boutants": ("arc-boutant",),
	"arcs-en-ciel": ("arc-en-ciel",),
	"arcs-ogives": ("arc-ogive",),
	"arctostaphylos": ("arctostaphylos",),
	"ardéchois": ("ardéchois",),
	"ardéchoise": ("ardéchois",),
	"ardéchoises": ("ardéchois",),
	"ardennais": ("ardennais",),
	"ardennaise": ("ardennais",),
	"ardennaises": ("ardennais",),
	"ardennaiss": ("ardennais",),
	"arénavirus": ("arénavirus",),
	"argas": ("argas",),
	"argulus": ("argulus",),
	"argus": ("argus",),
	"ariégeois": ("ariégeois",),
	"ariégeoises": ("ariégeois",),
	"aristeus": ("aristeus",),
	"armoires-penderies": ("armoire-penderie",),
	"armoriaux": ("armorial",),
	"arns": ("arns",),
	"arrachis": ("arrachis",),
	"arrhes": ("arrhes",),
	"arrière-bras": ("arrière-bras",),
	"arrière-corps": ("arrière-corps",),
	"arrière-faix": ("arrière-faix",),
	"arrière-grand-mères": ("arrière-grand-mère",),
	"arrière-grands-mères": ("arrière-grand-mère",),
	"arrière-grands-parents": ("arrière-grands-parents",),
	"arrière-grands-pères": ("arrière-grand-père",),
	"arrière-pays": ("arrière-pays",),
	"arrière-petites-filles": ("arrière-petite-fille",),
	"arrière-petites-nièces": ("arrière-petite-nièce",),
	"arrière-petit-fils": ("arrière-petit-fils",),
	"arrière-petits-enfants": ("arrière-petit-enfant",),
	"arrière-petits-fils": ("arrière-petit-fils",),
	"arrière-petits-neveux": ("arrière-petit-neveu",),
	"arrière-vassaux": ("arrière-vassal",),
	"ars": ("ars",),
	"arsenaux": ("arsenal",),
	"arsenicaux": ("arsenical",),
	"art.": ("article",),
	"artérioscléreuse": ("artérioscléreux",),
	"artérioscléreuses": ("artérioscléreux",),
	"artérioscléreux": ("artérioscléreux",),
	"artistes-peintres": ("artiste-peintre",),
	"artocarpus": ("artocarpus",),
	"as": ("as",),
	"ascaris": ("ascaris",),
	"asclépias": ("asclépias",),
	"asociaux": ("asocial",),
	"asparagus": ("asparagus",),
	"aspergès": ("aspergès",),
	"aspergillus": ("aspergillus",),
	"aspidiotus": ("aspidiotus",),
	"aspirantes-pilotes": ("aspirant-pilote",),
	"aspirants-pilotes": ("aspirant-pilote",),
	"assamais": ("assamais",),
	"assamaises": ("assamais",),
	"associés-gérants": ("associé-gérant",),
	"assurances-auto": ("assurance-auto",),
	"assurances-crédits": ("assurance-crédit",),
	"assurances-décès": ("assurance-décès",),
	"assurances-vie": ("assurance-vie",),
	"astérixis": ("astérixis",),
	"astucieuses": ("astucieux",),
	"astucieux": ("astucieux",),
	"ateuchus": ("ateuchus",),
	"athérix": ("athérix",),
	"athéromateuses": ("athéromateux",),
	"athéromateux": ("athéromateux",),
	"athéroscléreuses": ("athéroscléreux",),
	"athéroscléreux": ("athéroscléreux",),
	"athous": ("athous",),
	"atlas": ("atlas",),
	"atomes-grammes": ("atome-gramme",),
	"atrax": ("atrax",),
	"atropos": ("atropos",),
	"attachés-cases": ("attaché-case",),
	"attacus": ("attacus",),
	"attaques-surprises": ("attaque-surprise",),
	"attrape-mouches": ("attrape-mouches",),
	"atypus": ("atypus",),
	"aubois": ("aubois",),
	"auboise": ("aubois",),
	"auboises": ("aubois",),
	"audacieuse": ("audacieux",),
	"audacieuses": ("audacieux",),
	"audacieux": ("audacieux",),
	"audois": ("audois",),
	"audoises": ("audois",),
	"audomarois": ("audomarois",),
	"audomaroises": ("audomarois",),
	"aulax": ("aulax",),
	"aurochs": ("aurochs",),
	"austro-hongrois": ("austro-hongrois",),
	"auteurs-compositeurs": ("auteur-compositeur",),
	"auteurs-interprètes": ("auteur-interprète",),
	"autoanticorps": ("autoanticorps",),
	"autobus": ("autobus",),
	"autocross": ("autocross",),
	"autofocus": ("autofocus",),
	"autos-tamponneuses": ("auto-tamponneuse",),
	"avantageuse": ("avantageux",),
	"avantageuses": ("avantageux",),
	"avantageux": ("avantageux",),
	"avant-bras": ("avant-bras",),
	"avant-corps": ("avant-corps",),
	"avant-pays": ("avant-pays",),
	"avant-propos": ("avant-propos",),
	"avaricieuse": ("avaricieux",),
	"avaricieuses": ("avaricieux",),
	"avaricieux": ("avaricieux",),
	"avers": ("avers",),
	"aveyronnais": ("aveyronnais",),
	"aveyronnaises": ("aveyronnais",),
	"avions-canons": ("avion-canon",),
	"avions-cargos": ("avion-cargo",),
	"avions-citernes": ("avion-citerne",),
	"avions-éclaireurs": ("avion-éclaireur",),
	"avions-espions": ("avion-espion",),
	"avions-météos": ("avion-météo",),
	"avions-radars": ("avion-radar",),
	"avions-stops": ("avion-stop",),
	"avions-taxis": ("avion-taxi",),
	"avis": ("avis",),
	"avocats-conseils": ("avocat-conseil",),
	"avoirdupoids": ("avoirdupoids",),
	"avos": ("avos",),
	"axis": ("axis",),
	"ayous": ("ayous",),
	"azerbaïdjanais": ("azerbaïdjanais",),
	"azerbaïdjanaise": ("azerbaïdjanais",),
	"azerbaïdjanaises": ("azerbaïdjanais",),
	"azygos": ("azygos",),
	"babas-cool": ("baba-cool",),
	"babies": ("baby",),
	"bâbordais": ("bâbordais",),
	"bacchus": ("bacchus",),
	"bacillus": ("bacillus",),
	"baculovirus": ("baculovirus",),
	"badois": ("badois",),
	"badoise": ("badois",),
	"badoises": ("badois",),
	"baëtis": ("baëtis",),
	"bafouillis": ("bafouillis",),
	"bagadais": ("bagadais",),
	"bagues-agrafes": ("bague-agrafe",),
	"baguettes-leviers": ("baguette-levier",),
	"baha'isme": ("baha'isme",),
	"baha'ismes": ("baha'isme",),
	"bailleresse": ("bailleur",),
	"bains-douches": ("bain-douche",),
	"bains-marie": ("bain-marie",),
	"balaeniceps": ("balaeniceps",),
	"balais-brosses": ("balai-brosse",),
	"balais-éponges": ("balai-éponge",),
	"balanciers-spiraux": ("balancier-spiral",),
	"balcons-terrasses": ("balcon-terrasse",),
	"balinais": ("balinais",),
	"balinaise": ("balinais",),
	"balinaises": ("balinais",),
	"ballus": ("ballus",),
	"balmoraux": ("balmoral",),
	"bâlois": ("bâlois",),
	"bâloise": ("bâlois",),
	"bâloises": ("bâlois",),
	"bancs-balances": ("banc-balance",),
	"bancs-titres": ("banc-titre",),
	"bandes-amorces": ("bande-amorce",),
	"bandes-annonces": ("bande-annonce",),
	"bandes-culottes": ("bande-culotte",),
	"bandes-dessinées": ("bande-dessinée",),
	"bandes-étalons": ("bande-étalon",),
	"bandes-son": ("bande-son",),
	"bangadais": ("bangadais",),
	"bangalais": ("bangalais",),
	"bangalaises": ("bangalais",),
	"bangladais": ("bangladais",),
	"bangladaises": ("bangladais",),
	"bankers": ("bankers",),
	"banlieues-dortoirs": ("banlieue-dortoir",),
	"banquettes-coffres": ("banquette-coffre",),
	"banyuls": ("banyuls",),
	"barattes-malaxeurs": ("baratte-malaxeur",),
	"barbes-de-capucin": ("barbe-de-capucin",),
	"barbes-de-jupiter": ("barbe-de-jupiter",),
	"barbouillis": ("barbouillis",),
	"barcelonais": ("barcelonais",),
	"barcelonaises": ("barcelonais",),
	"bardis": ("bardis",),
	"baribaux": ("baribal",),
	"baris": ("baris",),
	"barmen": ("barman",),
	"baroqueuses": ("baroqueux",),
	"baroqueux": ("baroqueux",),
	"barrages-coupoles": ("barrage-coupole",),
	"barrages-réservoirs": ("barrage-réservoir",),
	"bars-mode": ("bar-mode",),
	"bars-tabacs": ("bar-tabac",),
	"bas": ("bas",),
	"basileus": ("basileus",),
	"basket-balleuses": ("basket-balleur",),
	"bassaris": ("bassaris",),
	"bass": ("bass",),
	"basses-cours": ("basse-cour",),
	"basses-tailles": ("basse-taille",),
	"bastiais": ("bastiais",),
	"bastiaises": ("bastiais",),
	"bastos": ("bastos",),
	"bataillons-écoles": ("bataillon-école",),
	"bateaux-boeuf": ("bateau-boeuf",),
	"bateaux-citernes": ("bateau-citerne",),
	"bateaux-écoles": ("bateau-école",),
	"bateaux-espions": ("bateau-espion",),
	"bateaux-feux": ("bateau-feu",),
	"bateaux-lavoirs": ("bateau-lavoir",),
	"bateaux-mouches": ("bateau-mouche",),
	"bateaux-phares": ("bateau-phare",),
	"bateaux-pièges": ("bateau-piège",),
	"bateaux-pilotes": ("bateau-pilote",),
	"bateaux-pompes": ("bateau-pompe",),
	"bateaux-remorqueurs": ("bateau-remorqueur",),
	"bateaux-usines": ("bateau-usine",),
	"bathycrinus": ("bathycrinus",),
	"bathyptéroïs": ("bathyptéroïs",),
	"bathysynactites": ("bathysynactites",),
	"bâtonnets-registres": ("bâtonnet-registre",),
	"batrisus": ("batrisus",),
	"batteurs-mélangeurs": ("batteur-mélangeur",),
	"battle-dress": ("battle-dress",),
	"baux": ("bail",),
	"bavarois": ("bavarois",),
	"bavaroise": ("bavarois",),
	"bavaroises": ("bavarois",),
	"B.D": ("B.D.",),
	"B.D.": ("B.D.",),
	"BD": ("B.D.",),
	"béarnais": ("béarnais",),
	"beau-fils": ("beau-fils",),
	"beaujolais": ("beaujolais",),
	"beaujolaise": ("beaujolais",),
	"beaujolaises": ("beaujolais",),
	"beaumarchais": ("beaumarchais",),
	"beaux-arts": ("beaux-arts",),
	"beaux-fils": ("beau-fils",),
	"beaux-frères": ("beau-frère",),
	"beaux-parents": ("beaux-parents",),
	"beaux-pères": ("beau-père",),
	"bébés-cadum": ("bébé-cadum",),
	"bébés-éprouvette": ("bébé-éprouvette",),
	"bécasseaux-sanderlings": ("bécasseau-sanderling",),
	"bec-d'âne": ("bec-d'âne",),
	"bec-d'ânes": ("bec-d'âne",),
	"bêches-de-mer": ("bêche-de-mer",),
	"becs-croisés": ("bec-croisé",),
	"becs-de-cane": ("bec-de-cane",),
	"becs-de-corbeau": ("bec-de-corbeau",),
	"becs-de-corbin": ("bec-de-corbin",),
	"becs-de-grue": ("bec-de-grue",),
	"becs-de-lièvre": ("bec-de-lièvre",),
	"becs-de-perroquet": ("bec-de-perroquet",),
	"becs-en-sabot": ("bec-en-sabot",),
	"becs-noueurs": ("bec-noueur",),
	"belargus": ("belargus",),
	"belgoluxembourgeois": ("belgoluxembourgeois",),
	"belgoluxembourgeoises": ("belgoluxembourgeois",),
	"belgradois": ("belgradois",),
	"belgradoise": ("belgradois",),
	"belgradoises": ("belgradois",),
	"belinurus": ("belinurus",),
	"belles-dames": ("belle-dame",),
	"belles-de-jour": ("belle-de-jour",),
	"belles-de-nuit": ("belle-de-nuit",),
	"belles-familles": ("belle-famille",),
	"belles-filles": ("belle-fille",),
	"belles-lettres": ("belles-lettres",),
	"belles-mères": ("belle-mère",),
	"belles-soeurs": ("belle-soeur",),
	"bellicositermes": ("bellicositermes",),
	"belliqueuse": ("belliqueux",),
	"belliqueuses": ("belliqueux",),
	"belliqueux": ("belliqueux",),
	"bembex": ("bembex",),
	"benfluorex": ("benfluorex",),
	"bengalais": ("bengalais",),
	"bengalaises": ("bengalais",),
	"béninois": ("béninois",),
	"béninoise": ("béninois",),
	"béninoises": ("béninois",),
	"bennes-dragues": ("benne-drague",),
	"benthos": ("benthos",),
	"béris": ("béris",),
	"berlinois": ("berlinois",),
	"berlinoises": ("berlinois",),
	"bernard-l'ermite": ("bernard-l'ermite",),
	"bernois": ("bernois",),
	"bernoise": ("bernois",),
	"bernoises": ("bernois",),
	"bers": ("bers",),
	"berus": ("berus",),
	"besogneuse": ("besogneux",),
	"besogneuses": ("besogneux",),
	"besogneux": ("besogneux",),
	"biafrais": ("biafrais",),
	"biafraises": ("biafrais",),
	"biais": ("biais",),
	"bibliobus": ("bibliobus",),
	"bibliogr.": ("bibliographie",),
	"bibus": ("bibus",),
	"biceps": ("biceps",),
	"biches-de-mer": ("biche-de-mer",),
	"bidentaux": ("bidental",),
	"bien-fonds": ("bien-fonds",),
	"bienheureuse": ("bienheureux",),
	"bienheureuses": ("bienheureux",),
	"bienheureux": ("bienheureux",),
	"biens-fonds": ("bien-fonds",),
	"bifidus": ("bifidus",),
	"bifrons": ("bifrons",),
	"bigleuse": ("bigleux",),
	"bigleuses": ("bigleux",),
	"bigleux": ("bigleux",),
	"bilieuse": ("bilieux",),
	"bilieuses": ("bilieux",),
	"bilieux": ("bilieux",),
	"bimétaux": ("bimétal",),
	"binns": ("binns",),
	"bins": ("bins",),
	"bis": ("bis",),
	"biterrois": ("biterrois",),
	"biterroise": ("biterrois",),
	"biterroises": ("biterrois",),
	"bitis": ("bitis",),
	"bitos": ("bitos",),
	"bittacus": ("bittacus",),
	"bizness": ("bizness",),
	"blaisois": ("blaisois",),
	"blaisoises": ("blaisois",),
	"blancs-becs": ("blanc-bec",),
	"blancs-estocs": ("blanc-estoc",),
	"blancs-étocs": ("blanc-étoc",),
	"blancs-mangers": ("blanc-manger",),
	"blancs-seings": ("blanc-seing",),
	"blaps": ("blaps",),
	"bledius": ("bledius",),
	"blepsias": ("blepsias",),
	"blésois": ("blésois",),
	"blésoise": ("blésois",),
	"blésoises": ("blésois",),
	"blissus": ("blissus",),
	"bloc-cylindres": ("bloc-cylindres",),
	"blockhaus": ("blockhaus",),
	"bloc-notes": ("bloc-notes",),
	"blocs-correspondances": ("bloc-correspondance",),
	"blocs-cylindres": ("bloc-cylindres",),
	"blocs-diagrammes": ("bloc-diagramme",),
	"blocs-éviers": ("bloc-évier",),
	"blocs-moteurs": ("bloc-moteur",),
	"blocs-notes": ("bloc-notes",),
	"blocus": ("blocus",),
	"blongios": ("blongios",),
	"blues": ("blues",),
	"bluesmen": ("bluesman",),
	"bocaux": ("bocal",),
	"bodies": ("body",),
	"bogotanais": ("bogotanais",),
	"bogotanaise": ("bogotanais",),
	"bogotanaises": ("bogotanais",),
	"bois": ("bois",),
	"boiteuse": ("boiteux",),
	"boiteuses": ("boiteux",),
	"boiteux": ("boiteux",),
	"bolonais": ("bolonais",),
	"bolonaises": ("bolonais",),
	"bombyx": ("bombyx",),
	"bonheurs-du-jour": ("bonheur-du-jour",),
	"bonnes-mamans": ("bonne-maman",),
	"bons-becs": ("bon-bec",),
	"bons-chrétiens": ("bon-chrétien",),
	"bonshommes": ("bonhomme",),
	"bons-papas": ("bon-papa",),
	"bons-primes": ("bon-prime",),
	"bonus": ("bonus",),
	"bonzesse": ("bonze",),
	"bonzesses": ("bonze",),
	"borassus": ("borassus",),
	"borax": ("borax",),
	"borborus": ("borborus",),
	"bordeaux": ("bordeaux",),
	"bordelais": ("bordelais",),
	"bossas-novas": ("bossa-nova",),
	"boss": ("boss",),
	"bossemen": ("bosseman",),
	"bossis": ("bossis",),
	"bothriolepis": ("bothriolepis",),
	"bothrops": ("bothrops",),
	"botrytis": ("botrytis",),
	"bouchons-allumeurs": ("bouchon-allumeur",),
	"bouées-culottes": ("bouée-culotte",),
	"boueuse": ("boueux",),
	"boueuses": ("boueux",),
	"boueux": ("boueux",),
	"bougresse": ("bougre",),
	"bougresses": ("bougre",),
	"bouis-bouis": ("boui-boui",),
	"boul.": ("boulevard",),
	"boules-de-neige": ("boule-de-neige",),
	"bouleux": ("bouleux",),
	"boulonnais": ("boulonnais",),
	"boulonnaise": ("boulonnais",),
	"boulonnaises": ("boulonnais",),
	"bourbonnais": ("bourbonnais",),
	"bourbonnaises": ("bourbonnais",),
	"bourgeois": ("bourgeois",),
	"bourgueticrinus": ("bourgueticrinus",),
	"bourras": ("bourras",),
	"bouseuses": ("bouseux",),
	"bouseux": ("bouseux",),
	"bout-dehors": ("bout-dehors",),
	"bouton-d'argent": ("bouton-d'argent",),
	"bouton-d'or": ("bouton-d'or",),
	"boutons-d'argent": ("bouton d'argent",),
	"boutons-d'or": ("bouton-d'or",),
	"boutons-poussoir": ("bouton-poussoir",),
	"boutons-pression": ("bouton-pression",),
	"bouts-dehors": ("bout-dehors",),
	"bouts-filtres": ("bout-filtre",),
	"bouts-rimés": ("bout-rimé",),
	"box": ("box",),
	"boxes": ("box",),
	"bracelets-montres": ("bracelet-montre",),
	"brachyanticlinaux": ("brachyanticlinal",),
	"brachycerus": ("brachycerus",),
	"brachyderes": ("brachyderes",),
	"brachymyrmex": ("brachymyrmex",),
	"brachysynclinaux": ("brachysynclinal",),
	"brandebourgeois": ("brandebourgeois",),
	"brandebourgeoise": ("brandebourgeois",),
	"brandebourgeoises": ("brandebourgeois",),
	"brandies": ("brandy",),
	"brangus": ("brangus",),
	"branle-bas": ("branle-bas",),
	"bras": ("bras",),
	"bras-le-corps": ("bras-le-corps",),
	"brassolis": ("brassolis",),
	"brebis": ("brebis",),
	"brechites": ("brechites",),
	"bredouillis": ("bredouillis",),
	"brêmois": ("brêmois",),
	"brêmoises": ("brêmois",),
	"brestois": ("brestois",),
	"brestoises": ("brestois",),
	"bréviceps": ("bréviceps",),
	"bris": ("bris",),
	"brise-glaces": ("brise-glaces",),
	"brise-lames": ("brise-lames",),
	"brise-mottes": ("brise-mottes",),
	"brisis": ("brisis",),
	"brissus": ("brissus",),
	"bronchiteuse": ("bronchiteux",),
	"bronchiteuses": ("bronchiteux",),
	"bronchiteux": ("bronchiteux",),
	"bronteus": ("bronteus",),
	"brouillis": ("brouillis",),
	"brucelles": ("brucelles",),
	"brugeois": ("brugeois",),
	"brugeoises": ("brugeois",),
	"bruges": ("bruges",),
	"brûle-parfums": ("brûle-parfums",),
	"brûlis": ("brûlis",),
	"brutale": ("brutal",),
	"brutales": ("brutal",),
	"brutaux": ("brutal",),
	"bruxellois": ("bruxellois",),
	"bruxelloises": ("bruxellois",),
	"bubalornis": ("bubalornis",),
	"bubas": ("bubas",),
	"buenos-aires": ("buenos-aires",),
	"buis": ("buis",),
	"buliminus": ("buliminus",),
	"bulimulus": ("bulimulus",),
	"bulimus": ("bulimus",),
	"burnous": ("burnous",),
	"burundais": ("burundais",),
	"burundaise": ("burundais",),
	"burundaises": ("burundais",),
	"bus": ("bus",),
	"bushes": ("bush",),
	"bushmen": ("bushman",),
	"business": ("business",),
	"businessmen": ("businessman",),
	"businesswomen": ("businesswoman",),
	"bus": ("obus",),
	"buthus": ("buthus",),
	"byctiscus": ("byctiscus",),
	"byssus": ("byssus",),
	"cabas": ("cabas",),
	"cabus": ("cabus",),
	"cacatoès": ("cacatoès",),
	"cacatois": ("cacatois",),
	"cache-aiguilles": ("cache-aiguilles",),
	"cache-époutis": ("cache-époutis",),
	"cacops": ("cacops",),
	"cactus": ("cactus",),
	"caddy": ("caddie",),
	"cadenas": ("cadenas",),
	"caecilius": ("caecilius",),
	"caennais": ("caennais",),
	"caennaises": ("caennais",),
	"cafés-concerts": ("café-concert",),
	"cafés-hôtels": ("café-hôtel",),
	"cafés-restaurants": ("café-restaurant",),
	"cafés-restos": ("café-resto",),
	"cafés-théâtres": ("café-théâtre",),
	"cafougneuses": ("cafougneux",),
	"cafougneux": ("cafougneux",),
	"cafouilleuses": ("cafouilleux",),
	"cafouilleux": ("cafouilleux",),
	"cafouillis": ("cafouillis",),
	"cagneuse": ("cagneux",),
	"cagneuses": ("cagneux",),
	"cagneux": ("cagneux",),
	"caillebotis": ("caillebotis",),
	"cailloutis": ("cailloutis",),
	"caissiers-comptables": ("caissier-comptable",),
	"calabrais": ("calabrais",),
	"calabraise": ("calabrais",),
	"calabraises": ("calabrais",),
	"calamobius": ("calamobius",),
	"calamoichthys": ("calamoichthys",),
	"calanus": ("calanus",),
	"calathus": ("calathus",),
	"calcanéus": ("calcanéus",),
	"calcaroni": ("calcarone",),
	"calendes": ("calendes",),
	"calendos": ("calendos",),
	"calicivirus": ("calicivirus",),
	"caligus": ("caligus",),
	"callicnémis": ("callicnémis",),
	"callinectes": ("callinectes",),
	"calliptamus": ("calliptamus",),
	"calocoris": ("calocoris",),
	"caloptenus": ("caloptenus",),
	"caloptéryx": ("caloptéryx",),
	"calotermes": ("calotermes",),
	"calvados": ("calvados",),
	"camarguais": ("camarguais",),
	"camarguaise": ("camarguais",),
	"camarguaises": ("camarguais",),
	"cambarus": ("cambarus",),
	"cambouis": ("cambouis",),
	"cameramen": ("cameraman",),
	"caméramen": ("caméraman",),
	"caméras-stylos": ("caméra-stylo",),
	"camerounais": ("camerounais",),
	"camerounaise": ("camerounais",),
	"camerounaises": ("camerounais",),
	"camions-citernes": ("camion-citerne",),
	"campos": ("campos",),
	"campus": ("campus",),
	"canapés-lits": ("canapé-lit",),
	"canaux": ("canal",),
	"canaux-tunnels": ("canal-tunnel",),
	"cancéreuse": ("cancéreux",),
	"cancéreuses": ("cancéreux",),
	"cancéreux": ("cancéreux",),
	"canevas": ("canevas",),
	"cannabis": ("cannabis",),
	"cannes-parapluies": ("canne-parapluie",),
	"cantalès": ("cantalès",),
	"cantharis": ("cantharis",),
	"cantonais": ("cantonais",),
	"cantonaise": ("cantonais",),
	"cantonaises": ("cantonais",),
	"cap.": ("capitale",),
	"capitaux": ("capital",),
	"capnodis": ("capnodis",),
	"caporales": ("caporal",),
	"caporali": ("caporale",),
	"caporaux": ("caporal",),
	"caporaux-chefs": ("caporal-chef",),
	"capricieuse": ("capricieux",),
	"capricieuses": ("capricieux",),
	"capricieux": ("capricieux",),
	"capsules-congés": ("capsule-congé",),
	"capsus": ("capsus",),
	"capulus": ("capulus",),
	"carausius": ("carausius",),
	"carbonari": ("carbonaro",),
	"carcinus": ("carcinus",),
	"cardinaux": ("cardinal",),
	"cardiovirus": ("cardiovirus",),
	"carex": ("carex",),
	"car-ferries": ("car-ferry",),
	"carnets-blocs": ("carnet-bloc",),
	"carolus": ("carolus",),
	"carpilius": ("carpilius",),
	"carpobrotus": ("carpobrotus",),
	"carpus": ("carpus",),
	"carquois": ("carquois",),
	"carterus": ("carterus",),
	"cartes-crédit": ("carte-crédit",),
	"cartes-lettres": ("carte-lettre",),
	"cartes-vues": ("carte-vue",),
	"carteux": ("carteux",),
	"carthaginois": ("carthaginois",),
	"carthaginoise": ("carthaginois",),
	"carthaginoises": ("carthaginois",),
	"cartons-cuirs": ("carton-cuir",),
	"cartons-pierres": ("carton-pierre",),
	"carus": ("carus",),
	"casablancais": ("casablancais",),
	"casablancaise": ("casablancais",),
	"casablancaises": ("casablancais",),
	"cas": ("cas",),
	"casse-noisettes": ("casse-noisettes",),
	"casse-noix": ("casse-noix",),
	"casse-pattes": ("casse-pattes",),
	"casse-pieds": ("casse-pieds",),
	"casse-pierres": ("casse-pierres",),
	"casse-pipes": ("casse-pipes",),
	"cassis": ("cassis",),
	"castagneux": ("castagneux",),
	"castorex": ("castorex",),
	"castorrex": ("castorrex",),
	"catarrheuse": ("catarrheux",),
	"catarrheuses": ("catarrheux",),
	"catarrheux": ("catarrheux",),
	"catches": ("catch",),
	"catélectrotonus": ("catélectrotonus",),
	"catharsis": ("catharsis",),
	"catharsius": ("catharsius",),
	"cathartus": ("cathartus",),
	"cathélectrotonus": ("cathélectrotonus",),
	"catholicos": ("catholicos",),
	"catoblépas": ("catoblépas",),
	"catops": ("catops",),
	"cauchois": ("cauchois",),
	"cauchoises": ("cauchois",),
	"caucus": ("caucus",),
	"c#": ("c#",),
	"c++": ("C++",),
	"C#": ("c#",),
	"C++": ("C++",),
	"°C": ("degré celsius",),
	"cedex": ("cedex",),
	"céleris-navets": ("céleri-navet",),
	"celsius": ("celsius",),
	"cendaux": ("cendal",),
	"cens": ("cens",),
	"centauresse": ("centaure",),
	"centauresses": ("centaure",),
	"centesimi": ("centesimo",),
	"centraux": ("central",),
	"centres-tirs": ("centre-tir",),
	"centres-ville": ("centre-ville",),
	"centres-villes": ("centre-ville",),
	"cephalodiscus": ("cephalodiscus",),
	"céphalothorax": ("céphalothorax",),
	"cepheus": ("cepheus",),
	"cérambyx": ("cérambyx",),
	"cératias": ("cératias",),
	"cératodes": ("cératodes",),
	"cératophrys": ("cératophrys",),
	"ceratophyllus": ("ceratophyllus",),
	"cercéris": ("cercéris",),
	"cercleuses": ("cercleux",),
	"cercleux": ("cercleux",),
	"cerfs-volants": ("cerf-volant",),
	"cerfs-volistes": ("cerf-voliste",),
	"cers": ("cers",),
	"ceruchus": ("ceruchus",),
	"cervelas": ("cervelas",),
	"ceylanais": ("ceylanais",),
	"ceylanaises": ("ceylanais",),
	"chablis": ("chablis",),
	"chaenichtys": ("chaenichtys",),
	"chairmen": ("chairman",),
	"chalcis": ("chalcis",),
	"chalets-refuges": ("chalet-refuge",),
	"chamaerops": ("chamaerops",),
	"chamaillis": ("chamaillis",),
	"chamboulis": ("chamboulis",),
	"chamérops": ("chamérops",),
	"chamois": ("chamois",),
	"champenois": ("champenois",),
	"champisse": ("champis",),
	"champisses": ("champis",),
	"champs-contrechamps": ("champ-contrechamp",),
	"chanceuse": ("chanceux",),
	"chanceuses": ("chanceux",),
	"chanceux": ("chanceux",),
	"chancreuses": ("chancreux",),
	"chancreux": ("chancreux",),
	"chanos": ("chanos",),
	"chaos": ("chaos",),
	"chap.": ("chapitre",),
	"chapeaux-claques": ("chapeau-claque",),
	"charaeas": ("charaeas",),
	"charax": ("charax",),
	"charaxes": ("charaxes",),
	"charentais": ("charentais",),
	"chariots-grues": ("chariot-grue",),
	"charolais": ("charolais",),
	"charollais": ("charollais",),
	"chartreux": ("chartreux",),
	"chas": ("chas",),
	"chasselas": ("chasselas",),
	"chasse-mouches": ("chasse-mouches",),
	"chassés-croisés": ("chassé-croisé",),
	"chasseurs-bombardiers": ("chasseur-bombardier",),
	"chasseurs-cueilleurs": ("chasseur-cueilleur",),
	"chassieuse": ("chassieux",),
	"chassieuses": ("chassieux",),
	"chassieux": ("chassieux",),
	"châssis": ("châssis",),
	"chatouillis": ("chatouillis",),
	"chats-huants": ("chat-huant",),
	"chats-tigres": ("chat-tigre",),
	"chaudes-lances": ("chaude-lance",),
	"chauds-froids": ("chaud-froid",),
	"chauffe-pieds": ("chauffe-pieds",),
	"chaus": ("chaus",),
	"chauve-souris": ("chauve-souris",),
	"chauves-souris": ("chauve-souris",),
	"chaux": ("chaux",),
	"chef-d'oeuvre": ("chef-d'oeuvre",),
	"chefs-barres": ("chef-barre",),
	"chefs-d'oeuvre": ("chef-d'oeuvre",),
	"chefs-lieux": ("chef-lieu",),
	"cheilochalasis": ("cheilochalasis",),
	"cheiropompholyx": ("cheiropompholyx",),
	"chémosis": ("chémosis",),
	"chenaux": ("chenal",),
	"chênes-lièges": ("chêne-liège",),
	"chènevis": ("chènevis",),
	"cherbourgeois": ("cherbourgeois",),
	"cherbourgeoises": ("cherbourgeois",),
	"cherche-pôles": ("cherche-pôles",),
	"cherfaix": ("cherfaix",),
	"chermes": ("chermes",),
	"chermès": ("chermès",),
	"chervis": ("chervis",),
	"chevaux": ("cheval",),
	"chevaux-jupons": ("cheval-jupon",),
	"chevaux-vapeur": ("cheval-vapeur",),
	"chiches-kebabs": ("chiche-kebab",),
	"chichiteuse": ("chichiteux",),
	"chichiteuses": ("chichiteux",),
	"chichiteux": ("chichiteux",),
	"chiens-lions": ("chien-lion",),
	"chiens-loups": ("chien-loup",),
	"chimonius": ("chimonius",),
	"chinois": ("chinois",),
	"chinoise": ("chinois",),
	"chinoises": ("chinois",),
	"chionaspis": ("chionaspis",),
	"chionis": ("chionis",),
	"chips": ("chips",),
	"chiroteuthis": ("chiroteuthis",),
	"chirurgiennes-majors": ("chirurgien-major",),
	"chirurgiens-barbiers": ("chirurgien-barbier",),
	"chlamydiae": ("chlamydia",),
	"chlamys": ("chlamys",),
	"choix": ("choix",),
	"choléthorax": ("choléthorax",),
	"chondracanthus": ("chondracanthus",),
	"chondromyces": ("chondromyces",),
	"chorionitis": ("chorionitis",),
	"chorioptes": ("chorioptes",),
	"choroiditis": ("choroiditis",),
	"chorthippus": ("chorthippus",),
	"chorus": ("chorus",),
	"choucas": ("choucas",),
	"choux-fleurs": ("chou-fleur",),
	"choux-navets": ("chou-navet",),
	"choux-raves": ("chou-rave",),
	"choux-turneps": ("chou-turneps",),
	"chows-chows": ("chow-chow",),
	"chromes-tungstène": ("chrome-tungstène",),
	"chrysis": ("chrysis",),
	"chrysobothris": ("chrysobothris",),
	"chrysochus": ("chrysochus",),
	"chrysops": ("chrysops",),
	"chthonius": ("chthonius",),
	"chuchotis": ("chuchotis",),
	"churchmen": ("churchman",),
	"chydorus": ("chydorus",),
	"chylothorax": ("chylothorax",),
	"Cie": ("compagnie",),
	"cieux": ("ciel",),
	"cimbex": ("cimbex",),
	"cingalais": ("cingalais",),
	"cingalaise": ("cingalais",),
	"cingalaises": ("cingalais",),
	"cinghalais": ("cinghalais",),
	"cinghalaises": ("cinghalais",),
	"cionus": ("cionus",),
	"circoncis": ("circoncis",),
	"circulus": ("circulus",),
	"cirrocumulus": ("cirrocumulus",),
	"cirrostratus": ("cirrostratus",),
	"cirroteuthis": ("cirroteuthis",),
	"cirrus": ("cirrus",),
	"cités-dortoirs": ("cité-dortoir",),
	"citrus": ("citrus",),
	"cittosis": ("cittosis",),
	"cixius": ("cixius",),
	"cladothrix": ("cladothrix",),
	"clafoutis": ("clafoutis",),
	"claires-voies": ("claire-voie",),
	"clairs-obscurs": ("clair-obscur",),
	"clanculus": ("clanculus",),
	"clapotis": ("clapotis",),
	"clarias": ("clarias",),
	"clausocalanus": ("clausocalanus",),
	"claustra": ("claustrum",),
	"clebs": ("clebs",),
	"clef": ("clé",),
	"clefs": ("clé",),
	"clergymen": ("clergyman",),
	"cléricaux": ("clérical",),
	"climax": ("climax",),
	"cliquetis": ("cliquetis",),
	"clitoris": ("clitoris",),
	"clivus": ("clivus",),
	"clonus": ("clonus",),
	"clos": ("clos",),
	"clownesse": ("clown",),
	"clownesses": ("clown",),
	"clubmen": ("clubman",),
	"cnrs": ("cnrs",),
	"coaches": ("coach",),
	"cocatris": ("cocatris",),
	"cocatrix": ("cocatrix",),
	"cocci": ("coccus",),
	"coccidotrophus": ("coccidotrophus",),
	"coccosteus": ("coccosteus",),
	"cocculus": ("cocculus",),
	"coccyx": ("coccyx",),
	"cochevis": ("cochevis",),
	"cochinchinois": ("cochinchinois",),
	"cochinchinoise": ("cochinchinois",),
	"cochinchinoises": ("cochinchinois",),
	"cochylis": ("cochylis",),
	"cocodès": ("cocodès",),
	"cocottes-minute": ("cocotte-minute",),
	"codemanderesse": ("codemandeur",),
	"codemanderesses": ("codemandeur",),
	"codex": ("codex",),
	"codiopsis": ("codiopsis",),
	"coelioxys": ("coelioxys",),
	"coffres-forts": ("coffre-fort",),
	"cogneux": ("cogneux",),
	"coigneux": ("coigneux",),
	"coïtus": ("coïtus",),
	"coleps": ("coleps",),
	"coléreuse": ("coléreux",),
	"coléreuses": ("coléreux",),
	"coléreux": ("coléreux",),
	"coléus": ("coléus",),
	"colias": ("colias",),
	"colis": ("colis",),
	"collapsus": ("collapsus",),
	"collatéraux": ("collatéral",),
	"collec.": ("collection",),
	"colliculus": ("colliculus",),
	"collyrites": ("collyrites",),
	"colobopsis": ("colobopsis",),
	"colones": ("colón",),
	"coloniales": ("colonial",),
	"coloniaux": ("colonial",),
	"coloris": ("coloris",),
	"colotyphus": ("colotyphus",),
	"colpocléisis": ("colpocléisis",),
	"cols-de-cygne": ("col-de-cygne",),
	"columbus": ("columbus",),
	"comateuse": ("comateux",),
	"comateuses": ("comateux",),
	"comateux": ("comateux",),
	"comics": ("comics",),
	"comitiales": ("comitial",),
	"comitiaux": ("comitial",),
	"commensaux": ("commensal",),
	"commerciaux": ("commercial",),
	"commis": ("commis",),
	"commises": ("commis",),
	"commissaires-priseurs": ("commissaire-priseur",),
	"communaux": ("communal",),
	"compañeros": ("compañeros",),
	"compas": ("compas",),
	"compères-loriots": ("compère-loriot",),
	"complexus": ("complexus",),
	"complies": ("complies",),
	"compradores": ("comprador",),
	"compromis": ("compromis",),
	"compte-fils": ("compte-fils",),
	"compte-gouttes": ("compte-gouttes",),
	"comptes-rendus": ("compte-rendu",),
	"comptes-titres": ("compte-titre",),
	"compte-tours": ("compte-tours",),
	"comtois": ("comtois",),
	"conchylis": ("conchylis",),
	"concours": ("concours",),
	"condoléances": ("condoléances",),
	"confessionnaux": ("confessionnal",),
	"configs": ("configuration",),
	"confins": ("confins",),
	"congolais": ("congolais",),
	"congolaise": ("congolais",),
	"congolaises": ("congolais",),
	"congrès": ("congrès",),
	"congress": ("congress",),
	"coniatus": ("coniatus",),
	"conoclypeus": ("conoclypeus",),
	"conodectes": ("conodectes",),
	"conops": ("conops",),
	"conquistadores": ("conquistador",),
	"consciencieuse": ("consciencieux",),
	"consciencieuses": ("consciencieux",),
	"consciencieux": ("consciencieux",),
	"consensus": ("consensus",),
	"contagieuse": ("contagieux",),
	"contagieuses": ("contagieux",),
	"contagieux": ("contagieux",),
	"contentieux": ("contentieux",),
	"continentaux": ("continental",),
	"contravis": ("contravis",),
	"contrebas": ("contrebas",),
	"contrechâssis": ("contrechâssis",),
	"contremaîtresse": ("contremaître",),
	"contremaîtresses": ("contremaître",),
	"contrepoids": ("contrepoids",),
	"contresens": ("contresens",),
	"contretemps": ("contretemps",),
	"contumax": ("contumax",),
	"conus": ("conus",),
	"convolvulus": ("convolvulus",),
	"coopers": ("coopers",),
	"copris": ("copris",),
	"cops": ("cops",),
	"coptotermes": ("coptotermes",),
	"©": ("copyright",),
	"coqueleux": ("coqueleux",),
	"coquelucheuse": ("coquelucheux",),
	"coquelucheuses": ("coquelucheux",),
	"coquelucheux": ("coquelucheux",),
	"coraux": ("corail",),
	"corbeille-d'argent": ("corbeille-d'argent",),
	"corbeilles-d'argent": ("corbeille-d'argent",),
	"corbières": ("corbières",),
	"corbis": ("corbis",),
	"cordiaux": ("cordial",),
	"cordons-bleus": ("cordon-bleu",),
	"coréopsis": ("coréopsis",),
	"cornemuseuses": ("cornemuseux",),
	"cornemuseux": ("cornemuseux",),
	"corn-flakes": ("corn-flakes",),
	"cornouaillais": ("cornouaillais",),
	"cornouaillaises": ("cornouaillais",),
	"coroebus": ("coroebus",),
	"coronavirus": ("coronavirus",),
	"corpora": ("corpus",),
	"corporaux": ("corporal",),
	"corps-à-corps": ("corps-à-corps",),
	"corps": ("corps",),
	"corpus": ("corpus",),
	"corregidores": ("corregidor",),
	"corrégidores": ("corrégidor",),
	"cortex": ("cortex",),
	"corydalis": ("corydalis",),
	"corydoras": ("corydoras",),
	"coryllis": ("coryllis",),
	"corylopsis": ("corylopsis",),
	"corymbites": ("corymbites",),
	"corystes": ("corystes",),
	"cosignaux": ("cosignal",),
	"cosinus": ("cosinus",),
	"cosmos": ("cosmos",),
	"cossus": ("cossus",),
	"côte-d'azur": ("côte-d'azur",),
	"cotons-graines": ("coton-graine",),
	"couchages-couette": ("couchage-couette",),
	"couches-culottes": ("couche-culotte",),
	"couchis": ("couchis",),
	"coulis": ("coulis",),
	"coulommiers": ("coulommiers",),
	"coulonneuses": ("coulonneux",),
	"coulonneux": ("coulonneux",),
	"countries": ("country",),
	"coupe-asperges": ("coupe-asperges",),
	"coupe-collets": ("coupe-collets",),
	"coupe-douilles": ("coupe-douilles",),
	"coupons-réponses": ("coupon-réponse",),
	"courageuse": ("courageux",),
	"courageuses": ("courageux",),
	"courageux": ("courageux",),
	"courlis": ("courlis",),
	"couros": ("couros",),
	"courroux": ("courroux",),
	"cours": ("cours",),
	"courses-trames": ("course-trame",),
	"court-jus": ("court-jus",),
	"courts-bouillons": ("court-bouillon",),
	"courts-métrages": ("court-métrage",),
	"cous-coupés": ("cou-coupé",),
	"couscous": ("couscous",),
	"coustilleux": ("coustilleux",),
	"cous-tors": ("cou-tors",),
	"couteaux-poignards": ("couteau-poignard",),
	"coutelas": ("coutelas",),
	"cowpox": ("cowpox",),
	"coxsackievirus": ("coxsackievirus",),
	"crachotis": ("crachotis",),
	"crachouillis": ("crachouillis",),
	"cranioschisis": ("cranioschisis",),
	"craniotabès": ("craniotabès",),
	"craps": ("craps",),
	"craquelis": ("craquelis",),
	"craquetis": ("craquetis",),
	"cremastochilus": ("cremastochilus",),
	"creseis": ("creseis",),
	"crésus": ("crésus",),
	"crêtes-de-coq": ("crête-de-coq",),
	"crétineux": ("crétineux",),
	"crétois": ("crétois",),
	"crétoise": ("crétois",),
	"crétoises": ("crétois",),
	"creusois": ("creusois",),
	"creusoises": ("creusois",),
	"creux": ("creux",),
	"cricotopus": ("cricotopus",),
	"criss": ("criss",),
	"cristaux": ("cristal",),
	"crocallis": ("crocallis",),
	"crocus": ("crocus",),
	"croix": ("croix",),
	"croquis": ("croquis",),
	"cross": ("cross",),
	"crossmen": ("crossman",),
	"croupeuses": ("croupeux",),
	"croupeux": ("croupeux",),
	"crucifix": ("crucifix",),
	"cryptanthus": ("cryptanthus",),
	"cryptocercus": ("cryptocercus",),
	"cryptococci": ("cryptococcus",),
	"cryptolaemus": ("cryptolaemus",),
	"cryptomonas": ("cryptomonas",),
	"cryptophagus": ("cryptophagus",),
	"cryptops": ("cryptops",),
	"cryptorhynchus": ("cryptorhynchus",),
	"cryptotops": ("cryptotops",),
	"cryptus": ("cryptus",),
	"crystallogobius": ("crystallogobius",),
	"csardas": ("csardas",),
	"cténus": ("cténus",),
	"cubitus": ("cubitus",),
	"culex": ("culex",),
	"culs-bruns": ("cul-brun",),
	"culs-de-bouteille": ("cul-de-bouteille",),
	"culs-de-four": ("cul-de-four",),
	"culs-de-jatte": ("cul-de-jatte",),
	"culs-de-lampe": ("cul-de-lampe",),
	"culs-de-plomb": ("cul-de-plomb",),
	"culs-de-poulain": ("cul-de-poulain",),
	"culs-de-sac": ("cul-de-sac",),
	"culs-de-singe": ("cul-de-singe",),
	"culs-rouges": ("cul-rouge",),
	"cul-terreux": ("cul-terreux",),
	"cumulonimbus": ("cumulonimbus",),
	"cumulostratus": ("cumulostratus",),
	"cumulus": ("cumulus",),
	"cunnilinctus": ("cunnilinctus",),
	"cunnilingus": ("cunnilingus",),
	"curiaux": ("curial",),
	"curieuse": ("curieux",),
	"curieuses": ("curieux",),
	"curieux": ("curieux",),
	"cursus": ("cursus",),
	"C.V.": ("curriculum vitae",),
	"CV": ("curriculum vitae",),
	"CVs": ("curriculum vitae",),
	"cyamus": ("cyamus",),
	"cyatholaimus": ("cyatholaimus",),
	"cyberbus": ("cyberbus",),
	"cycas": ("cycas",),
	"cychrus": ("cychrus",),
	"cyclo-cross": ("cyclo-cross",),
	"cyclops": ("cyclops",),
	"cylas": ("cylas",),
	"cylindres-équerres": ("cylindre-équerre",),
	"cylindrophis": ("cylindrophis",),
	"cyllocoris": ("cyllocoris",),
	"cymindis": ("cymindis",),
	"cynips": ("cynips",),
	"cyprès": ("cyprès",),
	"cypris": ("cypris",),
	"cyrtauchenius": ("cyrtauchenius",),
	"cystinéphrosis": ("cystinéphrosis",),
	"cytomégalovirus": ("cytomégalovirus",),
	"czardas": ("czardas",),
	"dacquois": ("dacquois",),
	"dacquoises": ("dacquois",),
	"dacryoops": ("dacryoops",),
	"dactylopius": ("dactylopius",),
	"dacus": ("dacus",),
	"dadais": ("dadais",),
	"dadouchos": ("dadouchos",),
	"daghestanais": ("daghestanais",),
	"daghestanaise": ("daghestanais",),
	"daghestanaises": ("daghestanais",),
	"dais": ("dais",),
	"dallas": ("dallas",),
	"damaeus": ("damaeus",),
	"damas": ("damas",),
	"dames-blanches": ("dame-blanche",),
	"dames-jeannes": ("dame-jeanne",),
	"dames-rondes": ("dame-ronde",),
	"danois": ("danois",),
	"danoise": ("danois",),
	"danoises": ("danois",),
	"daphnis": ("daphnis",),
	"darmous": ("darmous",),
	"dartois": ("dartois",),
	"dartos": ("dartos",),
	"dauphinois": ("dauphinois",),
	"dauphinoise": ("dauphinois",),
	"dauphinoises": ("dauphinois",),
	"débarras": ("débarras",),
	"débours": ("débours",),
	"débris": ("débris",),
	"décès": ("décès",),
	"décombres": ("décombres",),
	"décours": ("décours",),
	"décrets-lois": ("décret-loi",),
	"décubitus": ("décubitus",),
	"décussis": ("décussis",),
	"dédaigneuse": ("dédaigneux",),
	"dédaigneuses": ("dédaigneux",),
	"dédaigneux": ("dédaigneux",),
	"dedans": ("dedans",),
	"défauts-congés": ("défaut-congé",),
	"défenderesse": ("défendeur",),
	"défenderesses": ("défendeur",),
	"défends": ("défends",),
	"défens": ("défends",),
	"défense-recours": ("défense-recours",),
	"dégoulinis": ("dégoulinis",),
	"dégras": ("dégras",),
	"°": ("degré",),
	"dégueulis": ("dégueulis",),
	"dehors": ("dehors",),
	"déixis": ("déixis",),
	"délais-congés": ("délai-congé",),
	"delphax": ("delphax",),
	"demi-bas": ("demi-bas",),
	"demi-gros": ("demi-gros",),
	"demi-hiatus": ("demi-hiatus",),
	"demi-métaux": ("demi-métal",),
	"demi-succès": ("demi-succès",),
	"démocrates-chrétiennes": ("démocrate-chrétien",),
	"démocrates-chrétiens": ("démocrate-chrétien",),
	"demodex": ("demodex",),
	"dendraspis": ("dendraspis",),
	"dendrohyrax": ("dendrohyrax",),
	"dendrolimus": ("dendrolimus",),
	"dendronotus": ("dendronotus",),
	"dénéraux": ("dénéral",),
	"dentaux": ("dental",),
	"dentinogenesis": ("dentinogenesis",),
	"dents-de-loup": ("dent-de-loup",),
	"dépens": ("dépens",),
	"deporaus": ("deporaus",),
	"dépôts-ventes": ("dépôt-vente",),
	"dépris": ("dépris",),
	"dept.": ("département",),
	"dermanyssus": ("dermanyssus",),
	"dermatophilus": ("dermatophilus",),
	"dernières-nées": ("dernière-née",),
	"derniers-nés": ("dernier-né",),
	"dérocéras": ("dérocéras",),
	"derocheilocaris": ("derocheilocaris",),
	"derolomus": ("derolomus",),
	"desidiopsis": ("desidiopsis",),
	"désis": ("désis",),
	"deskmen": ("deskman",),
	"desmoceras": ("desmoceras",),
	"dessinateurs-cartographes": ("dessinateur-cartographe",),
	"dessous-de-bras": ("dessous-de-bras",),
	"dessous": ("dessous",),
	"dessus": ("dessus",),
	"détritus": ("détritus",),
	"deutschemark": ("deutschmark",),
	"deutschemarks": ("deutschmark",),
	"deux": ("deux",),
	"deux-deux": ("deux-deux",),
	"deux-mâts": ("deux-mâts",),
	"deux-pièces": ("deux-pièces",),
	"deux-ponts": ("deux-ponts",),
	"deux-roues": ("deux-roues",),
	"deux-temps": ("deux-temps",),
	"déverbaux": ("déverbal",),
	"dévers": ("dévers",),
	"devineresse": ("devin",),
	"devineresses": ("devin",),
	"devis": ("devis",),
	"diagonaux": ("diagonal",),
	"diaptomus": ("diaptomus",),
	"diaschisis": ("diaschisis",),
	"diaspis": ("diaspis",),
	"diastasis": ("diastasis",),
	"diastylis": ("diastylis",),
	"diceras": ("diceras",),
	"dichirotrichus": ("dichirotrichus",),
	"dieppois": ("dieppois",),
	"dieppoise": ("dieppois",),
	"dieppoises": ("dieppois",),
	"diesels-hydrauliques": ("diesel-hydraulique",),
	"diestrus": ("diestrus",),
	"dijonnais": ("dijonnais",),
	"dijonnaise": ("dijonnais",),
	"dijonnaises": ("dijonnais",),
	"dilophus": ("dilophus",),
	"dilus": ("dilus",),
	"dinarites": ("dinarites",),
	"dîners-débats": ("dîner-débat",),
	"dineutes": ("dineutes",),
	"dinichthys": ("dinichthys",),
	"dinophilus": ("dinophilus",),
	"dinopis": ("dinopis",),
	"dinornis": ("dinornis",),
	"dioestrus": ("dioestrus",),
	"diogenes": ("diogenes",),
	"diopsis": ("diopsis",),
	"diphyès": ("diphyès",),
	"diplex": ("diplex",),
	"diplocidaris": ("diplocidaris",),
	"diplodocus": ("diplodocus",),
	"diplodus": ("diplodus",),
	"diplograptus": ("diplograptus",),
	"dipterus": ("dipterus",),
	"dir.": ("directeur",),
	"discours": ("discours",),
	"disetteuse": ("disetteux",),
	"disetteuses": ("disetteux",),
	"disetteux": ("disetteux",),
	"disques-lotion": ("disque-lotion",),
	"dissensus": ("dissensus",),
	"distichiasis": ("distichiasis",),
	"distillers": ("distillers",),
	"districhiasis": ("districhiasis",),
	"ditomus": ("ditomus",),
	"diurnaux": ("diurnal",),
	"divis": ("divis",),
	"dix-cors": ("dix-cors",),
	"dix": ("dix",),
	"dociostaurus": ("dociostaurus",),
	"docophorus": ("docophorus",),
	"doctoresse": ("docteur",),
	"Doctoresse": ("docteur",),
	"doctoresses": ("docteur",),
	"Doctoresses": ("docteur",),
	"doigts-indicateurs": ("doigt-indicateur",),
	"dolci": ("dolce",),
	"dolerus": ("dolerus",),
	"dolichoderus": ("dolichoderus",),
	"dolichopus": ("dolichopus",),
	"$": ("dollar",),
	"dolomedes": ("dolomedes",),
	"dommages-intérêts": ("dommages-intérêts",),
	"donax": ("donax",),
	"dorcas": ("dorcas",),
	"dorcus": ("dorcus",),
	"doris": ("doris",),
	"dorylaimus": ("dorylaimus",),
	"dos-à-dos": ("dos-à-dos",),
	"dos-d'âne": ("dos-d'âne",),
	"dos": ("dos",),
	"double-as": ("double-as",),
	"doubles-blancs": ("double-blanc",),
	"doubles-corps": ("double-corps",),
	"doubles-crèmes": ("double-crème",),
	"doubles-deux": ("double-deux",),
	"doubles-faces": ("double-face",),
	"doubles-fonds": ("double-fond",),
	"doubles-plis": ("double-pli",),
	"doubles-sculls": ("double-scull",),
	"doubles-toits": ("double-toit",),
	"doubles-un": ("double-un",),
	"doublis": ("doublis",),
	"doucereuse": ("doucereux",),
	"doucereuses": ("doucereux",),
	"doucereux": ("doucereux",),
	"douces-amères": ("douce-amère",),
	"douglas": ("douglas",),
	"dracunculus": ("dracunculus",),
	"draps-housses": ("drap-housse",),
	"Dr": ("Docteur",),
	"drépanaspis": ("drépanaspis",),
	"drépanornis": ("drépanornis",),
	"dress": ("dress",),
	"droits-fils": ("droit-fil",),
	"drômois": ("drômois",),
	"drômoises": ("drômois",),
	"dromos": ("dromos",),
	"dromus": ("dromus",),
	"dryinus": ("dryinus",),
	"dryocoetes": ("dryocoetes",),
	"duces": ("dux",),
	"duchés-pairies": ("duché-pairie",),
	"dunkerquois": ("dunkerquois",),
	"dunkerquoises": ("dunkerquois",),
	"dunois": ("dunois",),
	"dunoises": ("dunois",),
	"duplex": ("duplex",),
	"dures-mères": ("dure-mère",),
	"dux": ("dux",),
	"duxelles": ("duxelles",),
	"dymasus": ("dymasus",),
	"dynamos-démarreur": ("dynamo-démarreur",),
	"dyschirius": ("dyschirius",),
	"dysdercus": ("dysdercus",),
	"dysostosis": ("dysostosis",),
	"earias": ("earias",),
	"eaux-de-vie": ("eau-de-vie",),
	"eaux-fortes": ("eau-forte",),
	"eaux-mères": ("eau-mère",),
	"éboulis": ("éboulis",),
	"eccremocarpus": ("eccremocarpus",),
	"ecdysis": ("ecdysis",),
	"échalas": ("échalas",),
	"échantillons-types": ("échantillon-type",),
	"échaudis": ("échaudis",),
	"échinobrissus": ("échinobrissus",),
	"échinocactus": ("échinocactus",),
	"échinocéréus": ("échinocéréus",),
	"échinoconus": ("échinoconus",),
	"échinocorys": ("échinocorys",),
	"echinocyamus": ("echinocyamus",),
	"échinops": ("échinops",),
	"échinus": ("échinus",),
	"échitès": ("échitès",),
	"échoplex": ("échoplex",),
	"echovirus": ("echovirus",),
	"échovirus": ("échovirus",),
	"écossais": ("écossais",),
	"écotaxis": ("écotaxis",),
	"eczémateuse": ("eczémateux",),
	"eczémateuses": ("eczémateux",),
	"eczémateux": ("eczémateux",),
	"éd.": ("édition",),
	"edelweiss": ("edelweiss",),
	"éditoriaux": ("éditorial",),
	"égaux": ("égal",),
	"églises-halles": ("église-halle",),
	"égouttis": ("égouttis",),
	"elaeagnus": ("elaeagnus",),
	"elaeis": ("elaeis",),
	"élaeis": ("élaeis",),
	"élaphis": ("élaphis",),
	"élaps": ("élaps",),
	"élasmopus": ("élasmopus",),
	"élasmostéthus": ("élasmostéthus",),
	"élastorrhexis": ("élastorrhexis",),
	"électrostimulus": ("électrostimulus",),
	"électrotonus": ("électrotonus",),
	"eleis": ("eleis",),
	"éléis": ("éléis",),
	"éléments-bars": ("élément-bar",),
	"éléphantiasis": ("éléphantiasis",),
	"élèves-brigadières": ("élève-brigadier",),
	"élèves-maîtres": ("élève-maître",),
	"élis": ("élis",),
	"ellampus": ("ellampus",),
	"ellipsocephalus": ("ellipsocephalus",),
	"elmis": ("elmis",),
	"élongis": ("élongis",),
	"éloptéryx": ("éloptéryx",),
	"émaux": ("émail",),
	"embarras": ("embarras",),
	"embolus": ("embolus",),
	"embrouillis": ("embrouillis",),
	"émetteurs-récepteurs": ("émetteur-récepteur",),
	"empéripolesis": ("empéripolesis",),
	"emphysémateuse": ("emphysémateux",),
	"emphysémateuses": ("emphysémateux",),
	"emphysémateux": ("emphysémateux",),
	"emphytus": ("emphytus",),
	"empis": ("empis",),
	"empois": ("empois",),
	"emporos": ("emporos",),
	"emprosthotonos": ("emprosthotonos",),
	"encaisses-or": ("encaisse-or",),
	"en-cas": ("encas",),
	"encas": ("encas",),
	"encens": ("encens",),
	"enchanteresse": ("enchanteur",),
	"enchanteresses": ("enchanteur",),
	"enchaux": ("enchaux",),
	"enclos": ("enclos",),
	"en-cours": ("en-cours",),
	"encours": ("en-cours",),
	"encroix": ("encroix",),
	"encyrtus": ("encyrtus",),
	"endoceras": ("endoceras",),
	"endolimax": ("endolimax",),
	"endomychus": ("endomychus",),
	"endophtalmitis": ("endophtalmitis",),
	"endos": ("endos",),
	"endovirus": ("endovirus",),
	"endromis": ("endromis",),
	"engrais": ("engrais",),
	"engrois": ("engrois",),
	"ennomos": ("ennomos",),
	"enosis": ("enosis",),
	"enseignants-chercheurs": ("enseignant-chercheur",),
	"ensis": ("ensis",),
	"entérovirus": ("entérovirus",),
	"entibois": ("entibois",),
	"entomoscelis": ("entomoscelis",),
	"entrailles": ("entrailles",),
	"entre-axes": ("entre-axes",),
	"entre-deux-eaux": ("entre-deux-eaux",),
	"entre-deux": ("entre-deux",),
	"entre-deux-guerres": ("entre-deux-guerres",),
	"entre-deux-mers": ("entre-deux-mers",),
	"entre-jambes": ("entre-jambes",),
	"entrelacs": ("entrelacs",),
	"entremets": ("entremets",),
	"entre-nerfs": ("entre-nerfs",),
	"entreprises-pilotes": ("entreprise-pilote",),
	"entrevous": ("entrevous",),
	"entr'ouvrement": ("entr'ouvrement",),
	"entr'ouvrements": ("entr'ouvrement",),
	"envers": ("envers",),
	"envieuse": ("envieux",),
	"envieuses": ("envieux",),
	"envieux": ("envieux",),
	"eohippus": ("eohippus",),
	"épaulés-jetés": ("épaulé-jeté",),
	"ephialtes": ("ephialtes",),
	"épicanthis": ("épicanthis",),
	"épicanthus": ("épicanthus",),
	"épihippus": ("épihippus",),
	"épilissus": ("épilissus",),
	"épines-vinettes": ("épine-vinette",),
	"épiornis": ("épiornis",),
	"épiscopaux": ("épiscopal",),
	"épiscopos": ("épiscopos",),
	"épispadias": ("épispadias",),
	"épistasis": ("épistasis",),
	"épistaxis": ("épistaxis",),
	"épistylis": ("épistylis",),
	"épithalamus": ("épithalamus",),
	"époux": ("époux",),
	"épreintes": ("épreintes",),
	"épulis": ("épulis",),
	"epyornis": ("epyornis",),
	"épyornis": ("épyornis",),
	"équatoriaux": ("équatorial",),
	"éranthis": ("éranthis",),
	"érébus": ("érébus",),
	"érémostachys": ("érémostachys",),
	"érémurus": ("érémurus",),
	"érésipélateuses": ("érésipélateux",),
	"érésipélateux": ("érésipélateux",),
	"eretes": ("eretes",),
	"ériophyes": ("ériophyes",),
	"érirrhinus": ("érirrhinus",),
	"eros": ("eros",),
	"éros": ("éros",),
	"errata": ("erratum",),
	"ers": ("ers",),
	"éryops": ("éryops",),
	"érysipélateuse": ("érysipélateux",),
	"érysipélateuses": ("érysipélateux",),
	"érysipélateux": ("érysipélateux",),
	"érysipélothrix": ("érysipélothrix",),
	"érythrinus": ("érythrinus",),
	"erythrogenesis": ("erythrogenesis",),
	"érythrorrhexis": ("érythrorrhexis",),
	"éryx": ("éryx",),
	"espaces-enfants": ("espace-enfant",),
	"espaces-temps": ("espace-temps",),
	"espace-temps": ("espace-temps",),
	"esprit-de-bois": ("esprit-de-bois",),
	"esquimaude": ("esquimau",),
	"esquimaudes": ("esquimau",),
	"essuie-glaces": ("essuie-glaces",),
	"essuie-mains": ("essuie-mains",),
	"essuie-meubles": ("essuie-meubles",),
	"essuie-pieds": ("essuie-pieds",),
	"essuie-verres": ("essuie-verres",),
	"estibois": ("estibois",),
	"estivaux": ("estival",),
	"estriqueux": ("estriqueux",),
	"étampeux": ("étampeux",),
	"états-généraux": ("états-généraux",),
	"états-majors": ("état-major",),
	"états-membres": ("état-membre",),
	"etats-unis": ("etats-unis",),
	"étaux-limeurs": ("étau-limeur",),
	"eteophilus": ("eteophilus",),
	"ethos": ("ethos",),
	"etmopterus": ("etmopterus",),
	"étym.": ("étymologie",),
	"eucalyptocrinus": ("eucalyptocrinus",),
	"eucalyptus": ("eucalyptus",),
	"eucharis": ("eucharis",),
	"euchirus": ("euchirus",),
	"eudémis": ("eudémis",),
	"eugeniacrinus": ("eugeniacrinus",),
	"eumerus": ("eumerus",),
	"eunausibius": ("eunausibius",),
	"euomphalus": ("euomphalus",),
	"euplectus": ("euplectus",),
	"euplotes": ("euplotes",),
	"euporus": ("euporus",),
	"euproctis": ("euproctis",),
	"euptéryx": ("euptéryx",),
	"EUR": ("euro",),
	"€": ("euro",),
	"Euro": ("euro",),
	"Euros": ("euro",),
	"eurycercus": ("eurycercus",),
	"eurypharynx": ("eurypharynx",),
	"eurypterus": ("eurypterus",),
	"euscorpius": ("euscorpius",),
	"eustrongylus": ("eustrongylus",),
	"eutermes": ("eutermes",),
	"eutropius": ("eutropius",),
	"evax": ("evax",),
	"évite-molettes": ("évite-molettes",),
	"evolvulus": ("evolvulus",),
	"excès": ("excès",),
	"ex-championnes": ("ex-champion",),
	"ex.": ("exemple",),
	"ex-libris": ("ex-libris",),
	"exocentrus": ("exocentrus",),
	"exochomus": ("exochomus",),
	"exodos": ("exodos",),
	"exophtalmos": ("exophtalmos",),
	"exorbitis": ("exorbitis",),
	"exovirus": ("exovirus",),
	"experts-comptables": ("expert-comptable",),
	"exprès": ("exprès",),
	"express": ("express",),
	"exquis": ("exquis",),
	"extrados": ("extrados",),
	"ex-urss": ("ex-urss",),
	"faces-à-main": ("face-à-main",),
	"facétieuse": ("facétieux",),
	"facétieuses": ("facétieux",),
	"facétieux": ("facétieux",),
	"fâcheuse": ("fâcheux",),
	"fâcheuses": ("fâcheux",),
	"fâcheux": ("fâcheux",),
	"faciaux": ("facial",),
	"facies": ("facies",),
	"faciès": ("faciès",),
	"factieuse": ("factieux",),
	"factieuses": ("factieux",),
	"factieux": ("factieux",),
	"faits-divers": ("fait-divers",),
	"faix": ("faix",),
	"falsetti": ("falsetto",),
	"fanaux": ("fanal",),
	"farfouillis": ("farfouillis",),
	"farineux": ("farineux",),
	"fasc.": ("fascicule",),
	"fatras": ("fatras",),
	"faucheux": ("faucheux",),
	"fausse": ("faux",),
	"fausses": ("faux",),
	"fauteuils-brouettes": ("fauteuil-brouette",),
	"faux": ("faux",),
	"faux-pas": ("faux-pas",),
	"faux-sens": ("faux-sens",),
	"favus": ("favus",),
	"fax": ("fax",),
	"°F": ("degré fahrenheit",),
	"féales": ("féal",),
	"féaux": ("féal",),
	"fèces": ("fèces",),
	"féciaux": ("fécial",),
	"fédéraux": ("fédéral",),
	"femmes-enfants": ("femme-enfant",),
	"fendis": ("fendis",),
	"féodales": ("féodal",),
	"féodaux": ("féodal",),
	"féralies": ("féralies",),
	"fermaux": ("fermail",),
	"fermes-auberges": ("ferme-auberge",),
	"ferrandais": ("ferrandais",),
	"ferraraises": ("ferrarais",),
	"ferrarais": ("ferrarais",),
	"ferries": ("ferry",),
	"fers-blancs": ("fer-blanc",),
	"festoù": ("fest",),
	"fetches": ("fetch",),
	"fétiaux": ("fétial",),
	"feuilletis": ("feuilletis",),
	"fiadoni": ("fiadone",),
	"fibratus": ("fibratus",),
	"fibrothorax": ("fibrothorax",),
	"ficus": ("ficus",),
	"fidéicommis": ("fidéicommis",),
	"fier-à-bras": ("fier-à-bras",),
	"fiers-à-bras": ("fier-à-bras",),
	"fiévreuse": ("fiévreux",),
	"fiévreuses": ("fiévreux",),
	"fiévreux": ("fiévreux",),
	"fifties": ("fifty",),
	"fig.": ("figure",),
	"filid": ("fili",),
	"filles-mères": ("fille-mère",),
	"films-packs": ("film-pack",),
	"filons-couches": ("filon-couche",),
	"fils": ("fils",),
	"fimbristylis": ("fimbristylis",),
	"finches": ("finch",),
	"finlandaise": ("finlandais",),
	"finlandaises": ("finlandais",),
	"finlandais": ("finlandais",),
	"finnoise": ("finnois",),
	"finnoises": ("finnois",),
	"finnois": ("finnois",),
	"fiscaux": ("fiscal",),
	"flakes": ("flakes",),
	"flanquis": ("flanquis",),
	"flavivirus": ("flavivirus",),
	"flint-glass": ("flint-glass",),
	"floculus": ("floculus",),
	"florès": ("florès",),
	"flushes": ("flush",),
	"flux": ("flux",),
	"FM": ("modulation de fréquence",),
	"focus": ("focus",),
	"foetus": ("foetus",),
	"foireuse": ("foireux",),
	"foireuses": ("foireux",),
	"foireux": ("foireux",),
	"fois": ("fois",),
	"folliclis": ("folliclis",),
	"follis": ("follis",),
	"fondis": ("fondis",),
	"fonds": ("fonds",),
	"fongus": ("fongus",),
	"fontis": ("fontis",),
	"fonts": ("fonts",),
	"forceps": ("forceps",),
	"formicomus": ("formicomus",),
	"fornix": ("fornix",),
	"fossores": ("fossor",),
	"fouillis": ("fouillis",),
	"fourmis-lions": ("fourmi-lion",),
	"fox": ("fox",),
	"fracas": ("fracas",),
	"fractocumulus": ("fractocumulus",),
	"fractonimbus": ("fractonimbus",),
	"fractostratus": ("fractostratus",),
	"fractus": ("fractus",),
	"frais": ("frais",),
	"française": ("français",),
	"françaises": ("français",),
	"français": ("français",),
	"franc-bourgeoises": ("franc-bourgeois",),
	"franc-bourgeois": ("franc-bourgeois",),
	"franc-comtoise": ("franc-comtois",),
	"franc-comtois": ("franc-comtois",),
	"franc-fiefs": ("franc-fiefs",),
	"franc-maçonnes": ("franc-maçon",),
	"francs-alleux": ("franc-alleu",),
	"francs-archers": ("franc-archer",),
	"francs-bords": ("franc-bord",),
	"francs-bourgeois": ("franc-bourgeois",),
	"francs-cantons": ("franc-canton",),
	"francs-comtois": ("franc-comtois",),
	"francs-jeux": ("franc-jeu",),
	"francs-maçons": ("franc-maçon",),
	"francs-parlers": ("franc-parler",),
	"francs-quartiers": ("franc-quartier",),
	"francs-saures": ("franc-saure",),
	"francs-tireurs": ("franc-tireur",),
	"franglais": ("franglais",),
	"frettes-tourillons": ("frette-tourillon",),
	"freux": ("freux",),
	"fr.": ("franc",),
	"Fr.": ("franc",),
	"frics-fracs": ("fric-frac",),
	"frileuses": ("frileux",),
	"frileux": ("frileux",),
	"frimas": ("frimas",),
	"friselis": ("friselis",),
	"frisottis": ("frisottis",),
	"frittons": ("frittons",),
	"fromentaux": ("fromental",),
	"froncis": ("froncis",),
	"frontaux": ("frontail",),
	"frottis": ("frottis",),
	"frou-frou": ("froufrou",),
	"frous-frous": ("froufrou",),
	"fucus": ("fucus",),
	"fundus": ("fundus",),
	"furieuse": ("furieux",),
	"furieuses": ("furieux",),
	"furieux": ("furieux",),
	"furonculeuses": ("furonculeux",),
	"furonculeux": ("furonculeux",),
	"fusées-parachutes": ("fusée-parachute",),
	"fusils-mitrailleurs": ("fusil-mitrailleur",),
	"fusinus": ("fusinus",),
	"fusus": ("fusus",),
	"gabonaise": ("gabonais",),
	"gabonaises": ("gabonais",),
	"gabonais": ("gabonais",),
	"gâchis": ("gâchis",),
	"gadzarts": ("gadzarts",),
	"gages-pleiges": ("gage-pleige",),
	"gagmen": ("gagman",),
	"gaines-combinaisons": ("gaine-combinaison",),
	"galanthus": ("galanthus",),
	"galerites": ("galerites",),
	"galetas": ("galetas",),
	"galeuse": ("galeux",),
	"galeuses": ("galeux",),
	"galeux": ("galeux",),
	"galimatias": ("galimatias",),
	"galloise": ("gallois",),
	"galloises": ("gallois",),
	"gallois": ("gallois",),
	"gallornis": ("gallornis",),
	"galvanotonus": ("galvanotonus",),
	"galvaudeuse": ("galvaudeux",),
	"galvaudeuses": ("galvaudeux",),
	"galvaudeux": ("galvaudeux",),
	"gamasus": ("gamasus",),
	"gambas": ("gambas",),
	"gantoise": ("gantois",),
	"gantoises": ("gantois",),
	"gantois": ("gantois",),
	"gapançaises": ("gapançais",),
	"gapançais": ("gapançais",),
	"garas": ("garas",),
	"garde-à-vous": ("garde-à-vous",),
	"garde-corps": ("garde-corps",),
	"garden-parties": ("garden-party",),
	"garde-robières": ("garde-robier",),
	"gardes-barrière": ("garde-barrière",),
	"gardes-champêtres": ("garde-champêtre",),
	"gardes-chasses": ("garde-chasse",),
	"gardes-chiourme": ("garde-chiourme",),
	"gardes-chiourmes": ("garde-chiourme",),
	"gardes-françaises": ("garde-française",),
	"gardes-frein": ("garde-frein",),
	"gardes-frontières": ("garde-frontière",),
	"gardes-magasin": ("garde-magasin",),
	"gardes-malades": ("garde-malade",),
	"gardes-marine": ("garde-marine",),
	"gardes-môle": ("garde-môle",),
	"gardes-pêche": ("garde-pêche",),
	"gardes-ports": ("garde-port",),
	"gardes-vente": ("garde-vente",),
	"gardes-voies": ("garde-voie",),
	"garde-temps": ("garde-temps",),
	"gardiens-chefs": ("gardien-chef",),
	"gardoises": ("gardois",),
	"gardois": ("gardois",),
	"gargouillis": ("gargouillis",),
	"gars": ("gars",),
	"gas-oil": ("gasoil",),
	"gas-oils": ("gasoil",),
	"gasteropelecus": ("gasteropelecus",),
	"gastornis": ("gastornis",),
	"gastrolysis": ("gastrolysis",),
	"gâte-filles": ("gâte-filles",),
	"gâteuse": ("gâteux",),
	"gâteuses": ("gâteux",),
	"gâteux": ("gâteux",),
	"gaulis": ("gaulis",),
	"gaulois": ("gaulois",),
	"gauss": ("gauss",),
	"gazouillis": ("gazouillis",),
	"gemmaux": ("gemmail",),
	"généraux": ("général",),
	"généreuse": ("généreux",),
	"généreuses": ("généreux",),
	"généreux": ("généreux",),
	"genevoise": ("genevois",),
	"genevoises": ("genevois",),
	"genevois": ("genevois",),
	"génois": ("génois",),
	"gens": ("gens",),
	"gentes": ("gens",),
	"gentilshommes": ("gentilhomme",),
	"gentlemen": ("gentleman",),
	"gentries": ("gentry",),
	"géoryssus": ("géoryssus",),
	"géosargus": ("géosargus",),
	"géosynclinaux": ("géosynclinal",),
	"géraniums-lierres": ("géranium-lierre",),
	"gerris": ("gerris",),
	"gersoises": ("gersois",),
	"gersois": ("gersois",),
	"gibus": ("gibus",),
	"gigantorhynchus": ("gigantorhynchus",),
	"glacis": ("glacis",),
	"glas": ("glas",),
	"glass": ("glass",),
	"glaucomateuses": ("glaucomateux",),
	"glaucomateux": ("glaucomateux",),
	"glaucopis": ("glaucopis",),
	"globiceps": ("globiceps",),
	"gloméris": ("gloméris",),
	"glomus": ("glomus",),
	"glycyméris": ("glycyméris",),
	"gnathonemus": ("gnathonemus",),
	"gneiss": ("gneiss",),
	"gnophos": ("gnophos",),
	"gobetis": ("gobetis",),
	"Go": ("giga-octet",),
	"goitreuse": ("goitreux",),
	"goitreuses": ("goitreux",),
	"goitreux": ("goitreux",),
	"gommes-ammoniaques": ("gomme-ammoniaque",),
	"gommes-guttes": ("gomme-gutte",),
	"gommes-laques": ("gomme-laque",),
	"gommes-résines": ("gomme-résine",),
	"gommeux": ("gommeux",),
	"gomphus": ("gomphus",),
	"goniodes": ("goniodes",),
	"gonocérus": ("gonocérus",),
	"gonoplax": ("gonoplax",),
	"gonyaulax": ("gonyaulax",),
	"goutteuses": ("goutteux",),
	"goutteux": ("goutteux",),
	"goyim": ("goy",),
	"gradus": ("gradus",),
	"grainières-fleuristes": ("grainier-fleuriste",),
	"grammateus": ("grammateus",),
	"grammes-poids": ("gramme-poids",),
	"grand-croix": ("grand-croix",),
	"grande-duchesse": ("grand-duc",),
	"grandes-duchesses": ("grand-duc",),
	"grandes-routes": ("grand-route",),
	"grands-angles": ("grand-angle",),
	"grands-angulaires": ("grand-angulaire",),
	"grands-duchés": ("grand-duché",),
	"grands-ducs": ("grand-duc",),
	"grands-livres": ("grand-livre",),
	"grands-mères": ("grand-mère",),
	"grands-messes": ("grand-messe",),
	"grands-oncles": ("grand-oncle",),
	"grands-papas": ("grand-papa",),
	"grands-parents": ("grands-parents",),
	"grands-pères": ("grand-père",),
	"grands-places": ("grand-place",),
	"grands-tantes": ("grand-tante",),
	"grands-voiles": ("grand-voile",),
	"gras": ("gras",),
	"gratouillis": ("gratouillis",),
	"gratte-dos": ("gratte-dos",),
	"gratte-pieds": ("gratte-pieds",),
	"gratteuses": ("gratteux",),
	"gratteux": ("gratteux",),
	"grattouillis": ("grattouillis",),
	"grecques-melkites": ("grec-melkite",),
	"grecs-melkites": ("grec-melkite",),
	"grémiaux": ("grémial",),
	"grènetis": ("grènetis",),
	"grenobloise": ("grenoblois",),
	"grenobloises": ("grenoblois",),
	"grenoblois": ("grenoblois",),
	"grès": ("grès",),
	"gribouillis": ("gribouillis",),
	"griffouillis": ("griffouillis",),
	"grifouillis": ("grifouillis",),
	"grignotis": ("grignotis",),
	"grilles-écrans": ("grille-écran",),
	"grill-express": ("grill-express",),
	"grincheuse": ("grincheux",),
	"grincheuses": ("grincheux",),
	"grincheux": ("grincheux",),
	"gris": ("gris",),
	"gris-gris": ("gris-gris",),
	"groenlandaise": ("groenlandais",),
	"groenlandaises": ("groenlandais",),
	"groenlandais": ("groenlandais",),
	"gros": ("gros",),
	"gros-yeux": ("gros-yeux",),
	"groszy": ("grosz",),
	"gruppetti": ("gruppetto",),
	"guenilleuse": ("guenilleux",),
	"guenilleuses": ("guenilleux",),
	"guenilleux": ("guenilleux",),
	"guernesiaise": ("guernesiais",),
	"guernesiaises": ("guernesiais",),
	"guernesiais": ("guernesiais",),
	"guet-apens": ("guet-apens",),
	"guets-apens": ("guet-apens",),
	"gueules-de-loup": ("gueule-de-loup",),
	"gueux": ("gueux",),
	"gueuzes-lambics": ("gueuze-lambic",),
	"guillochis": ("guillochis",),
	"gus": ("gus",),
	"guss": ("guss",),
	"guttas-perchas": ("gutta-percha",),
	"guyanaise": ("guyanais",),
	"guyanaises": ("guyanais",),
	"guyanais": ("guyanais",),
	"gymnopternus": ("gymnopternus",),
	"gyratrix": ("gyratrix",),
	"gyrocompas": ("gyrocompas",),
	"gyrus": ("gyrus",),
	"hab.": ("habitant",),
	"habitus": ("habitus",),
	"habsbourgeoise": ("habsbourgeois",),
	"habsbourgeoises": ("habsbourgeois",),
	"habsbourgeois": ("habsbourgeois",),
	"hache-légumes": ("hache-légumes",),
	"hache-sarments": ("hache-sarments",),
	"hachis": ("hachis",),
	"haemanthus": ("haemanthus",),
	"haematococcus": ("haematococcus",),
	"haemophilus": ("haemophilus",),
	"haemopis": ("haemopis",),
	"haggis": ("haggis",),
	"hagis": ("hagis",),
	"haguaises": ("haguais",),
	"haguais": ("haguais",),
	"haineuse": ("haineux",),
	"haineuses": ("haineux",),
	"haineux": ("haineux",),
	"halacarus": ("halacarus",),
	"halalas": ("halalas",),
	"hale-bas": ("halebas",),
	"halebas": ("halebas",),
	"halefis": ("halefis",),
	"haléri": ("halér",),
	"halictophagus": ("halictophagus",),
	"haliotis": ("haliotis",),
	"hallus": ("hallus",),
	"hallux": ("hallux",),
	"halobentos": ("halobentos",),
	"halobios": ("halobios",),
	"haltes-garderies": ("halte-garderie",),
	"hamadryas": ("hamadryas",),
	"hamamélis": ("hamamélis",),
	"hambourgeoises": ("hambourgeois",),
	"hambourgeois": ("hambourgeois",),
	"hammerless": ("hammerless",),
	"hantavirus": ("hantavirus",),
	"hanufa": ("hanif",),
	"hapax": ("hapax",),
	"haploceras": ("haploceras",),
	"haras": ("haras",),
	"harengueuses": ("harengueux",),
	"harengueux": ("harengueux",),
	"harnais": ("harnais",),
	"harnois": ("harnois",),
	"harpoceras": ("harpoceras",),
	"hassidim": ("hassid",),
	"hautbois": ("hautbois",),
	"haut-de-chausses": ("haut-de-chausses",),
	"hautes-contre": ("haute-contre",),
	"hautes-fidélités": ("haute-fidélité",),
	"hautes-pièces": ("haute-pièce",),
	"haut-le-corps": ("haut-le-corps",),
	"hauts-bars": ("haut-bar",),
	"hauts-commissaires": ("haut-commissaire",),
	"hauts-commissariats": ("haut-commissariat",),
	"hauts-de-chausses": ("haut-de-chausses",),
	"hauts-de-côtelettes": ("haut-de-côtelettes",),
	"hauts-de-forme": ("haut-de-forme",),
	"hauts-fonds": ("haut-fond",),
	"hauts-fourneaux": ("haut-fourneau",),
	"hauts-fournistes": ("haut-fourniste",),
	"hauts-reliefs": ("haut-relief",),
	"havanais": ("havanais",),
	"havraises": ("havrais",),
	"havrais": ("havrais",),
	"héliocopris": ("héliocopris",),
	"helios": ("helios",),
	"héliothis": ("héliothis",),
	"hélix": ("hélix",),
	"hélopeltis": ("hélopeltis",),
	"hélops": ("hélops",),
	"hemaris": ("hemaris",),
	"hématocolpos": ("hématocolpos",),
	"hématopelvis": ("hématopelvis",),
	"hematopinus": ("hematopinus",),
	"hématorrachis": ("hématorrachis",),
	"hématosalpinx": ("hématosalpinx",),
	"hemichromis": ("hemichromis",),
	"hémicidaris": ("hémicidaris",),
	"hémicorps": ("hémicorps",),
	"hémigrammus": ("hémigrammus",),
	"hémithorax": ("hémithorax",),
	"hémitruncus": ("hémitruncus",),
	"hemophilus": ("hemophilus",),
	"hémopneumothorax": ("hémopneumothorax",),
	"hémothorax": ("hémothorax",),
	"hendiadys": ("hendiadys",),
	"hépatopancréas": ("hépatopancréas",),
	"hérédosyphilis": ("hérédosyphilis",),
	"hermès": ("hermès",),
	"hernieuse": ("hernieux",),
	"hernieuses": ("hernieux",),
	"hernieux": ("hernieux",),
	"héros": ("héros",),
	"herpès": ("herpès",),
	"herpèsvirus": ("herpèsvirus",),
	"herpétovirus": ("herpétovirus",),
	"hesperornis": ("hesperornis",),
	"hessoises": ("hessois",),
	"hessois": ("hessois",),
	"hétérakis": ("hétérakis",),
	"heterocerus": ("heterocerus",),
	"hétérops": ("hétérops",),
	"hétérosis": ("hétérosis",),
	"heures-lampes": ("heure-lampe",),
	"heureuse": ("heureux",),
	"heureuses": ("heureux",),
	"heureux": ("heureux",),
	"hexacoralliaires-madréporaires": ("hexacoralliaire-madréporaire",),
	"hexacrinus": ("hexacrinus",),
	"hiatus": ("hiatus",),
	"hibiscus": ("hibiscus",),
	"hiéroglyphus": ("hiéroglyphus",),
	"hiérolisthésis": ("hiérolisthésis",),
	"hildoceras": ("hildoceras",),
	"hippelates": ("hippelates",),
	"hippeus": ("hippeus",),
	"hippus": ("hippus",),
	"hircus": ("hircus",),
	"histioteuthis": ("histioteuthis",),
	"hobbies": ("hobby",),
	"holectypus": ("holectypus",),
	"hollandais": ("hollandais",),
	"homalonotus": ("homalonotus",),
	"hommes-grenouilles": ("homme-grenouille",),
	"hommes-oiseaux": ("homme-oiseau",),
	"hommes-orchestres": ("homme-orchestre",),
	"hommes-sandwichs": ("homme-sandwich",),
	"homonculus": ("homonculus",),
	"hongkongaise": ("hongkongais",),
	"hongkongaises": ("hongkongais",),
	"hongkongais": ("hongkongais",),
	"hongroise": ("hongrois",),
	"hongroises": ("hongrois",),
	"hongrois": ("hongrois",),
	"hôpitaux": ("hôpital",),
	"hoplopsyllus": ("hoplopsyllus",),
	"hors-concours": ("hors-concours",),
	"hors-d'oeuvre": ("hors-d'oeuvre",),
	"horse-pox": ("horse-pox",),
	"hôtels-dieu": ("hôtel-dieu",),
	"hôtels-restaurants": ("hôtel-restaurant",),
	"hotinus": ("hotinus",),
	"hourdis": ("hourdis",),
	"houx": ("houx",),
	"https": ("https",),
	"huis": ("huis",),
	"huit-reflets": ("huit-reflets",),
	"humérus": ("humérus",),
	"humus": ("humus",),
	"hus": ("hus",),
	"huskies": ("husky",),
	"hyalitis": ("hyalitis",),
	"hyalopterus": ("hyalopterus",),
	"hyas": ("hyas",),
	"hybos": ("hybos",),
	"hydaticus": ("hydaticus",),
	"hydatidothorax": ("hydatidothorax",),
	"hydramnios": ("hydramnios",),
	"hydraphaenops": ("hydraphaenops",),
	"hydrastis": ("hydrastis",),
	"hydrocolpos": ("hydrocolpos",),
	"hydropneumothorax": ("hydropneumothorax",),
	"hydrops": ("hydrops",),
	"hydrorachis": ("hydrorachis",),
	"hydrosalpinx": ("hydrosalpinx",),
	"hydrothorax": ("hydrothorax",),
	"hydryphantes": ("hydryphantes",),
	"hygrotus": ("hygrotus",),
	"hylambates": ("hylambates",),
	"hylobius": ("hylobius",),
	"hyperboréaux": ("hyperboréal",),
	"hypernerveuse": ("hypernerveux",),
	"hypernerveuses": ("hypernerveux",),
	"hypernerveux": ("hypernerveux",),
	"hyperolius": ("hyperolius",),
	"hypocras": ("hypocras",),
	"hypohippus": ("hypohippus",),
	"hypolaïs": ("hypolaïs",),
	"hypolimnas": ("hypolimnas",),
	"hypopharynx": ("hypopharynx",),
	"hypospadias": ("hypospadias",),
	"hypothalamus": ("hypothalamus",),
	"hysteresis": ("hysteresis",),
	"hystérésis": ("hystérésis",),
	"hystérocleisis": ("hystérocleisis",),
	"hystérostomatocleisis": ("hystérostomatocleisis",),
	"ibacus": ("ibacus",),
	"ibéris": ("ibéris",),
	"iberus": ("iberus",),
	"ibérus": ("ibérus",),
	"ibex": ("ibex",),
	"ibiscus": ("ibiscus",),
	"ibis": ("ibis",),
	"ichthus": ("ichthus",),
	"ichthys": ("ichthys",),
	"ichtyophis": ("ichtyophis",),
	"ichtyornis": ("ichtyornis",),
	"ichtyotomus": ("ichtyotomus",),
	"ictus": ("ictus",),
	"idées-forces": ("idée-force",),
	"idiocerus": ("idiocerus",),
	"ilangs-ilangs": ("ilang-ilang",),
	"iléus": ("iléus",),
	"illaenus": ("illaenus",),
	"ill.": ("illustration",),
	"ilybius": ("ilybius",),
	"impartiaux": ("impartial",),
	"impatiens": ("impatiens",),
	"imperatores": ("imperator",),
	"imperia": ("imperium",),
	"impériaux": ("impérial",),
	"imprécis": ("imprécis",),
	"inachus": ("inachus",),
	"incestueuse": ("incestueux",),
	"incestueuses": ("incestueux",),
	"incestueux": ("incestueux",),
	"inches": ("inch",),
	"incirconcis": ("incirconcis",),
	"incomprises": ("incompris",),
	"incompris": ("incompris",),
	"incus": ("incus",),
	"indécise": ("indécis",),
	"indécises": ("indécis",),
	"indécis": ("indécis",),
	"index": ("index",),
	"indochinoise": ("indochinois",),
	"indochinoises": ("indochinois",),
	"indochinois": ("indochinois",),
	"industries-clefs": ("industrie-clé",),
	"infarctus": ("infarctus",),
	"influx": ("influx",),
	"ingénieurs-conseils": ("ingénieur-conseil",),
	"ingreux": ("ingreux",),
	"inlandsis": ("inlandsis",),
	"inox": ("inox",),
	"insomnieuse": ("insomnieux",),
	"insomnieuses": ("insomnieux",),
	"insomnieux": ("insomnieux",),
	"insoumises": ("insoumis",),
	"insoumis": ("insoumis",),
	"instructions-machine": ("instruction-machine",),
	"instrumentaux": ("instrumental",),
	"insuccès": ("insuccès",),
	"interclubses": ("interclubs",),
	"interclubs": ("interclubs",),
	"intercours": ("intercours",),
	"interestrus": ("interestrus",),
	"internationaux": ("international",),
	"interoestrus": ("interoestrus",),
	"intersex": ("intersex",),
	"intox": ("intox",),
	"intrados": ("intrados",),
	"intramuraux": ("intramural",),
	"intr.": ("introduction",),
	"introd.": ("introduction",),
	"intruse": ("intrus",),
	"intruses": ("intrus",),
	"intrus": ("intrus",),
	"iphis": ("iphis",),
	"ips": ("ips",),
	"irbis": ("irbis",),
	"iridodonésis": ("iridodonésis",),
	"iridomyrmex": ("iridomyrmex",),
	"iridorrhexis": ("iridorrhexis",),
	"iridoschisis": ("iridoschisis",),
	"iris": ("iris",),
	"iritis": ("iritis",),
	"irlandaise": ("irlandais",),
	"irlandaises": ("irlandais",),
	"irlandais": ("irlandais",),
	"iroquoise": ("iroquois",),
	"iroquoises": ("iroquois",),
	"iroquois": ("iroquois",),
	"isatis": ("isatis",),
	"iséroises": ("isérois",),
	"isérois": ("isérois",),
	"isistius": ("isistius",),
	"islandaise": ("islandais",),
	"islandaises": ("islandais",),
	"islandais": ("islandais",),
	"isoanticorps": ("isoanticorps",),
	"issus": ("issus",),
	"ital.": ("italique",),
	"ivrognesse": ("ivrogne",),
	"ixodiphagus": ("ixodiphagus",),
	"jacobus": ("jacobus",),
	"jaconas": ("jaconas",),
	"jacques": ("jacques",),
	"jagunços": ("jagunços",),
	"jais": ("jais",),
	"jalouse": ("jaloux",),
	"jalouses": ("jaloux",),
	"jaloux": ("jaloux",),
	"jamoytius": ("jamoytius",),
	"janiceps": ("janiceps",),
	"janus": ("janus",),
	"japonaise": ("japonais",),
	"japonaises": ("japonais",),
	"japonais": ("japonais",),
	"japyx": ("japyx",),
	"jas": ("jas",),
	"jass": ("jass",),
	"jassus": ("jassus",),
	"jasus": ("jasus",),
	"jauneux": ("jauneux",),
	"javanaise": ("javanais",),
	"javanaises": ("javanais",),
	"javanais": ("javanais",),
	"jazzmen": ("jazzman",),
	"je-m'en-fichisme": ("je-m'en-fichisme",),
	"je-m'en-fichismes": ("je-m'en-fichisme",),
	"je-m'en-fichiste": ("je-m'en-fichiste",),
	"je-m'en-fichistes": ("je-m'en-fichiste",),
	"je-m'en-foutisme": ("je-m'en-foutisme",),
	"je-m'en-foutismes": ("je-m'en-foutisme",),
	"je-m'en-foutiste": ("je-m'en-foutiste",),
	"je-m'en-foutistes": ("je-m'en-foutiste",),
	"je-ne-baise-plus": ("je-ne-baise-plus",),
	"jersiaise": ("jersiais",),
	"jersiaises": ("jersiais",),
	"jersiais": ("jersiais",),
	"jésus": ("jésus",),
	"jeux-concours": ("jeu-concours",),
	"jingoes": ("jingo",),
	"jougris": ("jougris",),
	"joules-seconde": ("joule-seconde",),
	"journaleuses": ("journaleux",),
	"journaleux": ("journaleux",),
	"journaux": ("journal",),
	"joyeux": ("joyeux",),
	"judas": ("judas",),
	"judéo-françaises": ("judéo-français",),
	"juke-boxes": ("juke-box",),
	"juke-box": ("juke-box",),
	"jules": ("jules",),
	"julius": ("julius",),
	"julodis": ("julodis",),
	"jupes-culottes": ("jupe-culotte",),
	"jurées-venderesses": ("juré-vendeur",),
	"jus": ("jus",),
	"justaucorps": ("justaucorps",),
	"juteux": ("juteux",),
	"kakatoès": ("kakatoès",),
	"kératomileusis": ("kératomileusis",),
	"kératonyxis": ("kératonyxis",),
	"kératosis": ("kératosis",),
	"kermès": ("kermès",),
	"kg": ("kilogramme",),
	"kgs": ("kilogramme",),
	"khâgneuse": ("khâgneux",),
	"khâgneuses": ("khâgneux",),
	"khâgneux": ("khâgneux",),
	"kibboutzim": ("kibboutz",),
	"kilogauss": ("kilogauss",),
	"kilomètres-heure": ("kilomètre-heure",),
	"king's": ("king's",),
	"kirghizes": ("kirghiz",),
	"klebs": ("klebs",),
	"kleenex": ("kleenex",),
	"km/h": ("kilomètre par heure",),
	"km": ("kilomètre",),
	"knickerbockers": ("knickerbockers",),
	"knickers": ("knickers",),
	"Ko": ("kilo-octet",),
	"koramius": ("koramius",),
	"korthals": ("korthals",),
	"koumis": ("koumis",),
	"koumys": ("koumys",),
	"kouros": ("kouros",),
	"kriss": ("kriss",),
	"kryptopterus": ("kryptopterus",),
	"ksour": ("ksar",),
	"kurus": ("kurus",),
	"kvas": ("kvas",),
	"kwas": ("kwas",),
	"labadens": ("labadens",),
	"laccobius": ("laccobius",),
	"lachesis": ("lachesis",),
	"lachnus": ("lachnus",),
	"lacis": ("lacis",),
	"lactobacillus": ("lactobacillus",),
	"ladies": ("lady",),
	"laemophloeus": ("laemophloeus",),
	"laemosthenus": ("laemosthenus",),
	"lagothrix": ("lagothrix",),
	"laguis": ("laguis",),
	"laissés-pour-compte": ("laissé-pour-compte",),
	"laïus": ("laïus",),
	"lambis": ("lambis",),
	"lambris": ("lambris",),
	"lampas": ("lampas",),
	"lampes-projecteurs": ("lampe-projecteur",),
	"lampes-tempête": ("lampe-tempête",),
	"lampes-torches": ("lampe-torche",),
	"lampropeltis": ("lampropeltis",),
	"lance-bombes": ("lance-bombes",),
	"lance-engins": ("lance-engins",),
	"lance-flammes": ("lance-flammes",),
	"lance-fusées": ("lance-fusées",),
	"lance-grenades": ("lance-grenades",),
	"lance-grenades-sous-marines": ("lance-grenades-sous-marines",),
	"lance-missiles": ("lance-missiles",),
	"lance-patates": ("lance-patates",),
	"lance-pierres": ("lance-pierres",),
	"lance-roquettes": ("lance-roquettes",),
	"lance-torpilles": ("lance-torpilles",),
	"lancis": ("lancis",),
	"landaise": ("landais",),
	"landaises": ("landais",),
	"landais": ("landais",),
	"läner": ("län",),
	"langres": ("langres",),
	"langues-d'agneau": ("langue-d'agneau",),
	"lanistes": ("lanistes",),
	"laparoschisis": ("laparoschisis",),
	"lapis": ("lapis",),
	"laps": ("laps",),
	"lapsus": ("lapsus",),
	"laquais": ("laquais",),
	"larinus": ("larinus",),
	"larmes-de-job": ("larme-de-job",),
	"larronnesse": ("larron",),
	"larronnesses": ("larron",),
	"larynx": ("larynx",),
	"lasiognathus": ("lasiognathus",),
	"lasius": ("lasius",),
	"las": ("las",),
	"lassis": ("lassis",),
	"lastex": ("lastex",),
	"latérocolis": ("latérocolis",),
	"latès": ("latès",),
	"latex": ("latex",),
	"latifundia": ("latifundium",),
	"latirus": ("latirus",),
	"lattis": ("lattis",),
	"lauriers-camphriers": ("laurier-camphrier",),
	"lauriers-roses": ("laurier-rose",),
	"lauriers-tins": ("laurier-tin",),
	"lauriers-tulipiers": ("laurier-tulipier",),
	"lausannoises": ("lausannois",),
	"lausannois": ("lausannois",),
	"lavatories": ("lavatory",),
	"lave-mains": ("lave-mains",),
	"lave-pieds": ("lave-pieds",),
	"lavis": ("lavis",),
	"lawn-tennis": ("lawn-tennis",),
	"lèche-bottes": ("lèche-bottes",),
	"lèche-vitrines": ("lèche-vitrines",),
	"léchouillis": ("léchouillis",),
	"lecythocrinus": ("lecythocrinus",),
	"leeds": ("leeds",),
	"legs": ("legs",),
	"lei": ("leu",),
	"leistus": ("leistus",),
	"lemniscus": ("lemniscus",),
	"lemon-grass": ("lemon-grass",),
	"lémuries": ("lémuries",),
	"lentigineuses": ("lentigineux",),
	"lentigineux": ("lentigineux",),
	"lentivirus": ("lentivirus",),
	"léonaises": ("léonais",),
	"léonais": ("léonais",),
	"léontiasis": ("léontiasis",),
	"leonurus": ("leonurus",),
	"lépidocyrtus": ("lépidocyrtus",),
	"lepidonotus": ("lepidonotus",),
	"lepidosaphes": ("lepidosaphes",),
	"lepidurus": ("lepidurus",),
	"lépothrix": ("lépothrix",),
	"lépreuse": ("lépreux",),
	"lépreuses": ("lépreux",),
	"lépreux": ("lépreux",),
	"leptanillophilus": ("leptanillophilus",),
	"leptinus": ("leptinus",),
	"leptis": ("leptis",),
	"leptocheirus": ("leptocheirus",),
	"leptoconops": ("leptoconops",),
	"leptodirus": ("leptodirus",),
	"leptolepis": ("leptolepis",),
	"leptomonas": ("leptomonas",),
	"leptospirae": ("leptospira",),
	"leptothorax": ("leptothorax",),
	"leptothrix": ("leptothrix",),
	"lestes": ("lestes",),
	"lethocerus": ("lethocerus",),
	"lethrus": ("lethrus",),
	"leucopis": ("leucopis",),
	"leucospis": ("leucospis",),
	"leucovirus": ("leucovirus",),
	"leurs": ("leurs",),
	"leva": ("lev",),
	"lève-glaces": ("lève-glaces",),
	"lewis": ("lewis",),
	"lexis": ("lexis",),
	"liais": ("liais",),
	"lias": ("lias",),
	"libanaise": ("libanais",),
	"libanaises": ("libanais",),
	"libanais": ("libanais",),
	"libéraux": ("libéral",),
	"libidineuse": ("libidineux",),
	"libidineuses": ("libidineux",),
	"libidineux": ("libidineux",),
	"libres": ("libres",),
	"libres-services": ("libre-service",),
	"libris": ("libris",),
	"licinus": ("licinus",),
	"liégeoise": ("liégeois",),
	"liégeoises": ("liégeois",),
	"liégeois": ("liégeois",),
	"lieutenants-colonels": ("lieutenant-colonel",),
	"lieux-dits": ("lieu-dit",),
	"liguus": ("liguus",),
	"lilas": ("lilas",),
	"lilloise": ("lillois",),
	"lilloises": ("lillois",),
	"lillois": ("lillois",),
	"limenitis": ("limenitis",),
	"limés": ("limés",),
	"limnephilus": ("limnephilus",),
	"limnobates": ("limnobates",),
	"limnophilus": ("limnophilus",),
	"limonius": ("limonius",),
	"limopsis": ("limopsis",),
	"limothrips": ("limothrips",),
	"lindorus": ("lindorus",),
	"lineus": ("lineus",),
	"linux": ("linux",),
	"liocoris": ("liocoris",),
	"lionotus": ("lionotus",),
	"liparis": ("liparis",),
	"liparocéras": ("liparocéras",),
	"liparus": ("liparus",),
	"liphistius": ("liphistius",),
	"liposcelis": ("liposcelis",),
	"lis": ("lis",),
	"lissorhoptrus": ("lissorhoptrus",),
	"lithocolletis": ("lithocolletis",),
	"lithomantis": ("lithomantis",),
	"lithops": ("lithops",),
	"litomastix": ("litomastix",),
	"lits-bateaux": ("lit-bateau",),
	"littéraux": ("littéral",),
	"littoraux": ("littoral",),
	"lituus": ("lituus",),
	"livres-albums": ("livre-album",),
	"livrets-portefeuilles": ("livret-portefeuille",),
	"lixus": ("lixus",),
	"llanos": ("llanos",),
	"loasis": ("loasis",),
	"lobbies": ("lobby",),
	"lobites": ("lobites",),
	"lobomyces": ("lobomyces",),
	"locaux": ("local",),
	"loci": ("locus",),
	"loculi": ("loculus",),
	"locus": ("locus",),
	"lods": ("lods",),
	"loess": ("loess",),
	"logis": ("logis",),
	"lois-cadres": ("loi-cadre",),
	"lois-programmes": ("loi-programme",),
	"lombricaux": ("lombrical",),
	"londrès": ("londrès",),
	"longs-bois": ("long-bois",),
	"longs-métrages": ("long-métrage",),
	"longues-vues": ("longue-vue",),
	"lophoptéryx": ("lophoptéryx",),
	"loqueteux": ("loqueteux",),
	"lords-lieutenants": ("lord-lieutenant",),
	"lords-maires": ("lord-maire",),
	"lorientaises": ("lorientais",),
	"lorientais": ("lorientais",),
	"lorries": ("lorry",),
	"lotus": ("lotus",),
	"louises-bonnes": ("louise-bonne",),
	"louisianaises": ("louisianais",),
	"louisianais": ("louisianais",),
	"louisiannaises": ("louisiannais",),
	"louisiannais": ("louisiannais",),
	"louis": ("louis",),
	"loups-cerviers": ("loup-cervier",),
	"loups-garous": ("loup-garou",),
	"lucernoises": ("lucernois",),
	"lucernois": ("lucernois",),
	"lumbriconereis": ("lumbriconereis",),
	"lupus": ("lupus",),
	"lurex": ("lurex",),
	"luxembourgeoise": ("luxembourgeois",),
	"luxembourgeoises": ("luxembourgeois",),
	"luxembourgeois": ("luxembourgeois",),
	"lux": ("lux",),
	"lychnis": ("lychnis",),
	"lychnus": ("lychnus",),
	"lycus": ("lycus",),
	"lygaeus": ("lygaeus",),
	"lygus": ("lygus",),
	"lynx": ("lynx",),
	"lyonnaise": ("lyonnais",),
	"lyonnaises": ("lyonnais",),
	"lyonnais": ("lyonnais",),
	"lysis": ("lysis",),
	"lys": ("lys",),
	"lyssavirus": ("lyssavirus",),
	"lytoceras": ("lytoceras",),
	"macareux": ("macareux",),
	"mâchicoulis": ("mâchicoulis",),
	"machimus": ("machimus",),
	"machines-outils": ("machine-outil",),
	"macis": ("macis",),
	"mâconnaise": ("mâconnais",),
	"mâconnaises": ("mâconnais",),
	"mâconnais": ("mâconnais",),
	"macrocentrus": ("macrocentrus",),
	"macrocéphalites": ("macrocéphalites",),
	"macrocystis": ("macrocystis",),
	"macrolabis": ("macrolabis",),
	"macromeris": ("macromeris",),
	"macronuclei": ("macronucleus",),
	"macronucléus": ("macronucléus",),
	"macropocopris": ("macropocopris",),
	"macroscaphites": ("macroscaphites",),
	"macrotermes": ("macrotermes",),
	"Madame": ("madame",),
	"madarosis": ("madarosis",),
	"Mademoiselle": ("mademoiselle",),
	"madouraise": ("madourais",),
	"madouraises": ("madourais",),
	"madourais": ("madourais",),
	"madras": ("madras",),
	"madrigaux": ("madrigal",),
	"maffieuses": ("maffieux",),
	"maffieux": ("maffieux",),
	"maffiosi": ("maffioso",),
	"mafieuses": ("mafieux",),
	"mafieux": ("mafieux",),
	"mafiosi": ("mafioso",),
	"magasins-souvenirs": ("magasin-souvenir",),
	"magdalinus": ("magdalinus",),
	"magilus": ("magilus",),
	"mail-coaches": ("mail-coach",),
	"mains-d'oeuvre": ("main-d'oeuvre",),
	"mains-éponges": ("main-éponge",),
	"mairesse": ("maire",),
	"mairesses": ("maire",),
	"maïs": ("maïs",),
	"maisons-mères": ("maison-mère",),
	"maîtres-assistants": ("maître-assistant",),
	"maîtres-auxiliaires": ("maître-auxiliaire",),
	"maîtres-queux": ("maître-queux",),
	"majoraux": ("majoral",),
	"malacosteus": ("malacosteus",),
	"malais": ("malais",),
	"malapprise": ("malappris",),
	"malapprises": ("malappris",),
	"malappris": ("malappris",),
	"malchanceuse": ("malchanceux",),
	"malchanceuses": ("malchanceux",),
	"malchanceux": ("malchanceux",),
	"malheureuses": ("malheureux",),
	"malheureux": ("malheureux",),
	"malicieuses": ("malicieux",),
	"malicieux": ("malicieux",),
	"malines": ("malines",),
	"malinois": ("malinois",),
	"malleomyces": ("malleomyces",),
	"malles-cabines": ("malle-cabine",),
	"malles-poste": ("malle-poste",),
	"maltais": ("maltais",),
	"malthinus": ("malthinus",),
	"malthodes": ("malthodes",),
	"malurus": ("malurus",),
	"malus": ("malus",),
	"mammies": ("mammy",),
	"mam'selle": ("mademoiselle",),
	"mam'selles": ("mademoiselle",),
	"mam'zelle": ("mademoiselle",),
	"mam'zelles": ("mademoiselle",),
	"manceps": ("manceps",),
	"mandat-contributions": ("mandat-contributions",),
	"mandats-cartes": ("mandat-carte",),
	"mandats-contributions": ("mandat-contributions",),
	"mandats-lettres": ("mandat-lettre",),
	"mandats-poste": ("mandat-poste",),
	"maniaco-dépressives": ("maniaco-dépressif",),
	"manx": ("manx",),
	"manxoises": ("manxois",),
	"manxois": ("manxois",),
	"mao-spontex": ("mao-spontex",),
	"maquis": ("maquis",),
	"marais": ("marais",),
	"maravédis": ("maravédis",),
	"marchandes-lunetières": ("marchand-lunetier",),
	"marchands-diplomates": ("marchand-diplomate",),
	"marcheuse": ("marcheux",),
	"marcheuses": ("marcheux",),
	"marcheux": ("marcheux",),
	"maréchaux-ferrants": ("maréchal-ferrant",),
	"maréchaux": ("maréchal",),
	"marennes": ("marennes",),
	"margarites": ("margarites",),
	"margarodes": ("margarodes",),
	"marginaux": ("marginal",),
	"margis": ("margis",),
	"margouillis": ("margouillis",),
	"maries-salopes": ("marie-salope",),
	"marins-pêcheurs": ("marin-pêcheur",),
	"marivaux": ("marivaux",),
	"markkaa": ("markka",),
	"maroilles": ("maroilles",),
	"marquise": ("marquis",),
	"marquises": ("marquis",),
	"marquis": ("marquis",),
	"marseillaise": ("marseillais",),
	"marseillaises": ("marseillais",),
	"marseillais": ("marseillais",),
	"mars": ("mars",),
	"marsupiaux": ("marsupial",),
	"marsupiocrinus": ("marsupiocrinus",),
	"marsupites": ("marsupites",),
	"marteaux-pilons": ("marteau-pilon",),
	"marteaux-piqueurs": ("marteau-piqueur",),
	"martiniquaise": ("martiniquais",),
	"martiniquaises": ("martiniquais",),
	"martiniquais": ("martiniquais",),
	"martins-pêcheurs": ("martin-pêcheur",),
	"marxistes-léninistes": ("marxiste-léniniste",),
	"masaris": ("masaris",),
	"mas": ("mas",),
	"mastix": ("mastix",),
	"mastotermes": ("mastotermes",),
	"m'as-tu-vue": ("m'as-tu-vu",),
	"m'as-tu-vu": ("m'as-tu-vu",),
	"matelas": ("matelas",),
	"matheuse": ("matheux",),
	"matheuses": ("matheux",),
	"matheux": ("matheux",),
	"math.": ("mathématique",),
	"maths": ("maths",),
	"matines": ("matines",),
	"matoise": ("matois",),
	"matoises": ("matois",),
	"matois": ("matois",),
	"matos": ("matos",),
	"matras": ("matras",),
	"mâts-grue": ("mât-grue",),
	"matsucoccus": ("matsucoccus",),
	"mauvaise": ("mauvais",),
	"mauvaises": ("mauvais",),
	"mauvais": ("mauvais",),
	"mauvis": ("mauvis",),
	"maux": ("mal",),
	"max": ("max",),
	"mécaniciennes-dentistes": ("mécanicien-dentiste",),
	"mecinus": ("mecinus",),
	"mecklembourgeoises": ("mecklembourgeois",),
	"mecklembourgeois": ("mecklembourgeois",),
	"médecins-capitaines": ("médecin-capitaine",),
	"médecins-chefs": ("médecin-chef",),
	"médecins-colonels": ("médecin-colonel",),
	"médecins-conseils": ("médecin-conseil",),
	"médiolittoraux": ("médiolittoral",),
	"médius": ("médius",),
	"mégacéros": ("mégacéros",),
	"mégacristaux": ("mégacristal",),
	"mégagauss": ("mégagauss",),
	"mégalopolis": ("mégalopolis",),
	"mégalothymus": ("mégalothymus",),
	"mégalovirus": ("mégalovirus",),
	"mégis": ("mégis",),
	"mélanitis": ("mélanitis",),
	"meldoises": ("meldois",),
	"meldois": ("meldois",),
	"mêlé-cassis": ("mêlé-cassis",),
	"mêlé-cass": ("mêlé-cass",),
	"melianthus": ("melianthus",),
	"meliboeus": ("meliboeus",),
	"mélicéris": ("mélicéris",),
	"mélis-mélos": ("méli-mélo",),
	"Melle": ("mademoiselle",),
	"Melles": ("mademoiselle",),
	"mélocactus": ("mélocactus",),
	"melocrinus": ("melocrinus",),
	"melonechinus": ("melonechinus",),
	"melonites": ("melonites",),
	"mélops": ("mélops",),
	"Me": ("Maître",),
	"mémoriaux": ("mémorial",),
	"menneus": ("menneus",),
	"menu-gros": ("menu-gros",),
	"menus-vairs": ("menu-vair",),
	"mépris": ("mépris",),
	"merdeuse": ("merdeux",),
	"merdeuses": ("merdeux",),
	"merdeux": ("merdeux",),
	"mérens": ("mérens",),
	"mères-grand": ("mère-grand",),
	"mères-poules": ("mère-poule",),
	"meretrix": ("meretrix",),
	"méridionalis": ("méridionalis",),
	"méridionaux": ("méridional",),
	"mérinos": ("mérinos",),
	"mermis": ("mermis",),
	"merveilleuses": ("merveilleux",),
	"merveilleux": ("merveilleux",),
	"merychippus": ("merychippus",),
	"mesdames": ("madame",),
	"Mesdames": ("madame",),
	"mesdemoiselles": ("mademoiselle",),
	"Mesdemoiselles": ("mademoiselle",),
	"Mes": ("Maître",),
	"mésocortex": ("mésocortex",),
	"mésohippus": ("mésohippus",),
	"mésonéphros": ("mésonéphros",),
	"mésosalpinx": ("mésosalpinx",),
	"mésothorax": ("mésothorax",),
	"messeigneurs": ("monseigneur",),
	"Messeigneurs": ("monseigneur",),
	"messieurs": ("monsieur",),
	"Messieurs": ("monsieur",),
	"mess": ("mess",),
	"métacrinus": ("métacrinus",),
	"métadiscours": ("métadiscours",),
	"métamyxovirus": ("métamyxovirus",),
	"métanéphros": ("métanéphros",),
	"métaphycus": ("métaphycus",),
	"métathorax": ("métathorax",),
	"métaux": ("métal",),
	"métestrus": ("métestrus",),
	"méticuleuse": ("méticuleux",),
	"méticuleuses": ("méticuleux",),
	"méticuleux": ("méticuleux",),
	"métis": ("métis",),
	"métisse": ("métis",),
	"métisses": ("métis",),
	"métoestrus": ("métoestrus",),
	"metopus": ("metopus",),
	"mètres-newton": ("mètre-newton",),
	"métreuses-vérificatrices": ("métreur-vérificateur",),
	"mets": ("mets",),
	"mex": ("mex",),
	"Mgr": ("monseigneur",),
	"Mgrs": ("monseigneur",),
	"mi-bas": ("mi-bas",),
	"microbus": ("microbus",),
	"micrococci": ("micrococcus",),
	"microcristaux": ("microcristal",),
	"microdeutopus": ("microdeutopus",),
	"micromalthus": ("micromalthus",),
	"micronuclei": ("micronucleus",),
	"micronucléus": ("micronucléus",),
	"microphallus": ("microphallus",),
	"micropteryx": ("micropteryx",),
	"micropuits": ("micropuits",),
	"micro-univers": ("micro-univers",),
	"micrurus": ("micrurus",),
	"mictis": ("mictis",),
	"midshipmen": ("midshipman",),
	"mieux": ("mieux",),
	"migraineuse": ("migraineux",),
	"migraineuses": ("migraineux",),
	"migraineux": ("migraineux",),
	"milanaise": ("milanais",),
	"milanaises": ("milanais",),
	"milanais": ("milanais",),
	"millas": ("millas",),
	"mille-pattes": ("mille-pattes",),
	"mille-pertuis": ("mille-pertuis",),
	"millepertuis": ("millepertuis",),
	"mille-raies": ("mille-raies",),
	"milleraies": ("milleraies",),
	"millericrinus": ("millericrinus",),
	"mille-trous": ("mille-trous",),
	"mi-mars": ("mi-mars",),
	"mimetus": ("mimetus",),
	"mimulus": ("mimulus",),
	"mindarus": ("mindarus",),
	"minéraliers-pétroliers": ("minéralier-pétrolier",),
	"minéraux": ("minéral",),
	"minervois": ("minervois",),
	"minibus": ("minibus",),
	"minois": ("minois",),
	"minus": ("minus",),
	"minutieuse": ("minutieux",),
	"minutieuses": ("minutieux",),
	"minutieux": ("minutieux",),
	"miogéosynclinaux": ("miogéosynclinal",),
	"miohippus": ("miohippus",),
	"miosis": ("miosis",),
	"mirabilis": ("mirabilis",),
	"mirepoix": ("mirepoix",),
	"miridius": ("miridius",),
	"miris": ("miris",),
	"miscellanées": ("miscellanées",),
	"mischmétaux": ("mischmétal",),
	"miséreuse": ("miséreux",),
	"miséreuses": ("miséreux",),
	"miséreux": ("miséreux",),
	"miss": ("miss",),
	"mi-temps": ("mi-temps",),
	"miteuse": ("miteux",),
	"miteuses": ("miteux",),
	"miteux": ("miteux",),
	"mix": ("mix",),
	"Mlle": ("Monsieur",),
	"Mlles": ("Monsieur",),
	"Mme": ("Monsieur",),
	"Mmes": ("Monsieur",),
	"MM.": ("Monsieur",),
	"M": ("Monsieur",),
	"M.": ("Monsieur",),
	"modaux": ("modal",),
	"modus": ("modus",),
	"moeurs": ("moeurs",),
	"moins": ("moins",),
	"mois": ("mois",),
	"molophilus": ("molophilus",),
	"Mo": ("méga-octet",),
	"monias": ("monias",),
	"monilethrix": ("monilethrix",),
	"moniléthrix": ("moniléthrix",),
	"monocélis": ("monocélis",),
	"monocercomonas": ("monocercomonas",),
	"monoclinaux": ("monoclinal",),
	"monocristaux": ("monocristal",),
	"monognathus": ("monognathus",),
	"monograptus": ("monograptus",),
	"monohammus": ("monohammus",),
	"monophlebus": ("monophlebus",),
	"monoprix": ("monoprix",),
	"monotis": ("monotis",),
	"monox": ("monox",),
	"monsignore": ("monsignor",),
	"monsignores": ("monsignor",),
	"monsignori": ("monsignore",),
	"montagnaises": ("montagnais",),
	"montagnais": ("montagnais",),
	"montalbanaises": ("montalbanais",),
	"montalbanais": ("montalbanais",),
	"monte-plats": ("monte-plats",),
	"monteuses-ajusteuses": ("monteur-ajusteur",),
	"montmartroise": ("montmartrois",),
	"montmartroises": ("montmartrois",),
	"montmartrois": ("montmartrois",),
	"montréalaises": ("montréalais",),
	"montréalais": ("montréalais",),
	"morbillivirus": ("morbillivirus",),
	"morbus": ("morbus",),
	"mors": ("mors",),
	"mort-aux-rats": ("mort-aux-rats",),
	"mort-bois": ("mort-bois",),
	"mortes-eaux": ("morte-eau",),
	"mortes-saisons": ("morte-saison",),
	"mortiers-éprouvettes": ("mortier-éprouvette",),
	"morveuse": ("morveux",),
	"morveuses": ("morveux",),
	"morveux": ("morveux",),
	"mot-clef": ("mot-clé",),
	"moto-cross": ("moto-cross",),
	"motocross": ("moto-cross",),
	"mots-centres": ("mot-centre",),
	"mots-clefs": ("mot-clé",),
	"mots-clés": ("mot-clé",),
	"mots-témoins": ("mot-témoin",),
	"motteux": ("motteux",),
	"mouchetis": ("mouchetis",),
	"moudjahidin": ("moudjahid",),
	"moudjahidins": ("moudjahid",),
	"mousseux": ("mousseux",),
	"MP": ("message",),
	"Mr": ("Monsieur",),
	"Mr.": ("Monsieur",),
	"M'sieur": ("Monsieur",),
	"mucus": ("mucus",),
	"mudejares": ("mudejares",),
	"mudpuppies": ("mudpuppy",),
	"mulâtresse": ("mulâtre",),
	"mulâtresses": ("mulâtre",),
	"multicanaux": ("multicanal",),
	"multiplex": ("multiplex",),
	"multisalles": ("multisalles",),
	"munichoise": ("munichois",),
	"munichoises": ("munichois",),
	"munichois": ("munichois",),
	"munidopsis": ("munidopsis",),
	"murex": ("murex",),
	"muros": ("muros",),
	"murs-écrans": ("mur-écran",),
	"murs-rideaux": ("mur-rideau",),
	"myas": ("myas",),
	"mycosis": ("mycosis",),
	"mydas": ("mydas",),
	"myélophilus": ("myélophilus",),
	"myélorachischisis": ("myélorachischisis",),
	"myitis": ("myitis",),
	"myosciurus": ("myosciurus",),
	"myosis": ("myosis",),
	"myosotis": ("myosotis",),
	"myotis": ("myotis",),
	"mysis": ("mysis",),
	"mystérieux": ("mystérieux",),
	"mytilaspis": ("mytilaspis",),
	"myxoedémateuse": ("myxoedémateux",),
	"myxoedémateuses": ("myxoedémateux",),
	"myxoedémateux": ("myxoedémateux",),
	"myxovirus": ("myxovirus",),
	"myzus": ("myzus",),
	"nabis": ("nabis",),
	"naevi": ("naevus",),
	"naevus": ("naevus",),
	"nairovirus": ("nairovirus",),
	"naïs": ("naïs",),
	"nantaise": ("nantais",),
	"nantaises": ("nantais",),
	"nantais": ("nantais",),
	"naos": ("naos",),
	"napeocles": ("napeocles",),
	"narodniki": ("narodnik",),
	"narodovoltsy": ("narodovolets",),
	"narquois": ("narquois",),
	"narthex": ("narthex",),
	"nasopharynx": ("nasopharynx",),
	"nassarius": ("nassarius",),
	"nasutitermes": ("nasutitermes",),
	"naticopsis": ("naticopsis",),
	"nationaux": ("national",),
	"nationaux-socialistes": ("national-socialiste",),
	"nauplius": ("nauplius",),
	"navarraise": ("navarrais",),
	"navarraises": ("navarrais",),
	"navarrais": ("navarrais",),
	"navires-bases": ("navire-base",),
	"navires-citernes": ("navire-citerne",),
	"navires-écoles": ("navire-école",),
	"navires-jumeaux": ("navire-jumeau",),
	"navires-majors": ("navire-major",),
	"nécessiteuse": ("nécessiteux",),
	"nécessiteuses": ("nécessiteux",),
	"nécessiteux": ("nécessiteux",),
	"néerlandaise": ("néerlandais",),
	"néerlandaises": ("néerlandais",),
	"néerlandais": ("néerlandais",),
	"négresse": ("nègre",),
	"négresses": ("nègre",),
	"négus": ("négus",),
	"nemeritis": ("nemeritis",),
	"némichthys": ("némichthys",),
	"nemoscolus": ("nemoscolus",),
	"némotélus": ("némotélus",),
	"nénies": ("nénies",),
	"neoceratodus": ("neoceratodus",),
	"néocortex": ("néocortex",),
	"néo-hébridais": ("néo-hébridais",),
	"néo-libérale": ("néolibérale",),
	"néo-libérales": ("néolibérale",),
	"néolibérales": ("néolibérale",),
	"néo-libéral": ("néolibéral",),
	"néo-libéraux": ("néolibéral",),
	"néolibéraux": ("néolibéral",),
	"néorurales": ("néorural",),
	"néoruraux": ("néorural",),
	"néo-zélandaise": ("néo-zélandais",),
	"néo-zélandaises": ("néo-zélandais",),
	"néo-zélandais": ("néo-zélandais",),
	"népalaise": ("népalais",),
	"népalaises": ("népalais",),
	"népalais": ("népalais",),
	"népenthès": ("népenthès",),
	"nephthys": ("nephthys",),
	"néréis": ("néréis",),
	"néritopsis": ("néritopsis",),
	"nérophis": ("nérophis",),
	"nerveuse": ("nerveux",),
	"nerveuses": ("nerveux",),
	"nerveux": ("nerveux",),
	"nervotabès": ("nervotabès",),
	"nesticus": ("nesticus",),
	"neurosyphilis": ("neurosyphilis",),
	"neurotabès": ("neurotabès",),
	"neuroterus": ("neuroterus",),
	"neurotmésis": ("neurotmésis",),
	"news": ("news",),
	"new-yorkaises": ("new-yorkais",),
	"niaise": ("niais",),
	"niaises": ("niais",),
	"niais": ("niais",),
	"nicaraguaises": ("nicaraguais",),
	"nicaraguais": ("nicaraguais",),
	"nicheux": ("nicheux",),
	"nicholas": ("nicholas",),
	"nicobaraises": ("nicobarais",),
	"nicobarais": ("nicobarais",),
	"niçoises": ("niçois",),
	"niçois": ("niçois",),
	"nimbostratus": ("nimbostratus",),
	"nimbus": ("nimbus",),
	"nîmoises": ("nîmois",),
	"nîmois": ("nîmois",),
	"ninas": ("ninas",),
	"niphargus": ("niphargus",),
	"nisoniades": ("nisoniades",),
	"nitrates-fuels": ("nitrate-fuel",),
	"nitrosomonas": ("nitrosomonas",),
	"nivernaise": ("nivernais",),
	"nivernaises": ("nivernais",),
	"nivernais": ("nivernais",),
	"n°": ("numéro",),
	"nodus": ("nodus",),
	"noix": ("noix",),
	"nolis": ("nolis",),
	"nomadacris": ("nomadacris",),
	"nominaux": ("nominal",),
	"nomophylax": ("nomophylax",),
	"non-belligérantes": ("non-belligérant",),
	"non-émotives": ("non-émotif",),
	"non-métaux": ("non-métal",),
	"non-sens": ("non-sens",),
	"nº": ("numéro",),
	"nops": ("nops",),
	"normes-planchers": ("norme-plancher",),
	"noroise": ("norois",),
	"noroises": ("norois",),
	"norois": ("norois",),
	"norroise": ("norrois",),
	"norroises": ("norrois",),
	"norrois": ("norrois",),
	"notaspis": ("notaspis",),
	"noterus": ("noterus",),
	"nothofagus": ("nothofagus",),
	"nothrus": ("nothrus",),
	"notiophilus": ("notiophilus",),
	"notomastus": ("notomastus",),
	"notornis": ("notornis",),
	"nounours": ("nounours",),
	"nouveaux-nés": ("nouveau-né",),
	"novae": ("nova",),
	"novius": ("novius",),
	"nuclei": ("nucleus",),
	"nucléocrinus": ("nucléocrinus",),
	"nucléus": ("nucléus",),
	"nues-propriétaires": ("nue-propriétaire",),
	"nues-propriétés": ("nue-propriété",),
	"numéraux": ("numéral",),
	"numeri": ("numerus",),
	"numerus": ("numerus",),
	"nu-pieds": ("nu-pieds",),
	"nuraghi": ("nuraghe",),
	"nus-propriétaires": ("nu-propriétaire",),
	"nyctinomus": ("nyctinomus",),
	"nysius": ("nysius",),
	"nystagmus": ("nystagmus",),
	"oaristys": ("oaristys",),
	"oasis": ("oasis",),
	"obs.": ("observation",),
	"obstétriciennes-accoucheuses": ("obstétricien-accoucheur",),
	"obvers": ("obvers",),
	"occidentaux": ("occidental",),
	"occipitaux": ("occipital",),
	"ochrops": ("ochrops",),
	"ochrosis": ("ochrosis",),
	"ocnus": ("ocnus",),
	"octaux": ("octal",),
	"oculi": ("oculus",),
	"oculus": ("oculus",),
	"odiellus": ("odiellus",),
	"odonestis": ("odonestis",),
	"odontolabis": ("odontolabis",),
	"odontoscélis": ("odontoscélis",),
	"oeil-de-perdrix": ("oeil-de-perdrix",),
	"oeils-de-boeuf": ("oeil-de-boeuf",),
	"oeils-de-chat": ("oeil-de-chat",),
	"oeils-de-perdrix": ("oeil-de-perdrix",),
	"oeils-de-pie": ("oeil-de-pie",),
	"oeils-de-serpent": ("oeil-de-serpent",),
	"oeneis": ("oeneis",),
	"oestrus": ("oestrus",),
	"officiaux": ("official",),
	"officiers-conseils": ("officier-conseil",),
	"officiers-mariniers": ("officier-marinier",),
	"ogresse": ("ogre",),
	"ogresses": ("ogre",),
	"oiseaux-bouchers": ("oiseau-boucher",),
	"oiseaux-lyres": ("oiseau-lyre",),
	"oiseaux-mouches": ("oiseau-mouche",),
	"oiseaux-satin": ("oiseau-satin",),
	"oiseaux-souris": ("oiseau-souris",),
	"oléagineuse": ("oléagineux",),
	"oléagineuses": ("oléagineux",),
	"oléagineux": ("oléagineux",),
	"olenellus": ("olenellus",),
	"olenus": ("olenus",),
	"oléoprotéagineux": ("oléoprotéagineux",),
	"oléorésineux": ("oléorésineux",),
	"olethreutes": ("olethreutes",),
	"olibrius": ("olibrius",),
	"olibrus": ("olibrus",),
	"oligohydramnios": ("oligohydramnios",),
	"oligolophus": ("oligolophus",),
	"oligotrophus": ("oligotrophus",),
	"olios": ("olios",),
	"olynthus": ("olynthus",),
	"omanaises": ("omanais",),
	"omanais": ("omanais",),
	"omis": ("omis",),
	"omnibus": ("omnibus",),
	"oncocephalus": ("oncocephalus",),
	"oncoceras": ("oncoceras",),
	"oncornavirus": ("oncornavirus",),
	"oncovirus": ("oncovirus",),
	"oneirophantites": ("oneirophantites",),
	"oniscus": ("oniscus",),
	"onitis": ("onitis",),
	"O.N.U.": ("O.N.U.",),
	"ONU": ("O.N.U.",),
	"onychauxis": ("onychauxis",),
	"onychorrhexis": ("onychorrhexis",),
	"onychoteuthis": ("onychoteuthis",),
	"onyxis": ("onyxis",),
	"onyx": ("onyx",),
	"oodes": ("oodes",),
	"ooencyrtus": ("ooencyrtus",),
	"oonops": ("oonops",),
	"oophoritis": ("oophoritis",),
	"opéras-ballets": ("opéra-ballet",),
	"opéras-comiques": ("opéra-comique",),
	"opéras-oratorios": ("opéra-oratorio",),
	"ophiasis": ("ophiasis",),
	"ophiopluteus": ("ophiopluteus",),
	"ophrys": ("ophrys",),
	"ophtalmitis": ("ophtalmitis",),
	"ophtalmotonus": ("ophtalmotonus",),
	"ophthalmicus": ("ophthalmicus",),
	"opis": ("opis",),
	"opisthograptis": ("opisthograptis",),
	"opisthotonos": ("opisthotonos",),
	"opius": ("opius",),
	"opopanax": ("opopanax",),
	"opus": ("opus",),
	"oranaise": ("oranais",),
	"oranaises": ("oranais",),
	"oranais": ("oranais",),
	"orangemerix": ("orangemerix",),
	"orang-outan": ("orang-outang",),
	"orangs-outangs": ("orang-outang",),
	"orangs-outans": ("orang-outang",),
	"oraux": ("oral",),
	"orbivirus": ("orbivirus",),
	"orchis": ("orchis",),
	"ordinaux": ("ordinal",),
	"oréas": ("oréas",),
	"oreille-de-souris": ("oreille-de-souris",),
	"oreilles-d'éléphant": ("oreille-d'éléphant",),
	"oreilles-de-mer": ("oreille-de-mer",),
	"oreilles-de-souris": ("oreille-de-souris",),
	"oreilles-d'homme": ("oreille-d'homme",),
	"orémus": ("orémus",),
	"organoarsenicaux": ("organoarsenical",),
	"organocuivreux": ("organocuivreux",),
	"orgueilleuse": ("orgueilleux",),
	"orgueilleuses": ("orgueilleux",),
	"orgueilleux": ("orgueilleux",),
	"oribus": ("oribus",),
	"orientaux": ("oriental",),
	"originaux": ("original",),
	"orignaux": ("orignal",),
	"orizaephilus": ("orizaephilus",),
	"orléanaise": ("orléanais",),
	"orléanaises": ("orléanais",),
	"orléanais": ("orléanais",),
	"ornithodorus": ("ornithodorus",),
	"ornix": ("ornix",),
	"orobitis": ("orobitis",),
	"orohippus": ("orohippus",),
	"oropharynx": ("oropharynx",),
	"orthalicus": ("orthalicus",),
	"orthoceras": ("orthoceras",),
	"orthomyxovirus": ("orthomyxovirus",),
	"orthopoxvirus": ("orthopoxvirus",),
	"orthotonos": ("orthotonos",),
	"orthotylus": ("orthotylus",),
	"oryx": ("oryx",),
	"oryzomys": ("oryzomys",),
	"OS": ("operating system",),
	"os": ("os",),
	"osteogenesis": ("osteogenesis",),
	"osteolepis": ("osteolepis",),
	"osteopsathyrosis": ("osteopsathyrosis",),
	"ostraca": ("ostracon",),
	"othius": ("othius",),
	"otochalasis": ("otochalasis",),
	"ouas": ("ouas",),
	"oublieuse": ("oublieux",),
	"oublieuses": ("oublieux",),
	"oublieux": ("oublieux",),
	"ouest-allemandes": ("ouest-allemand",),
	"ougandaise": ("ougandais",),
	"ougandaises": ("ougandais",),
	"ougandais": ("ougandais",),
	"ourses": ("ours",),
	"ours": ("ours",),
	"outcross": ("outcross",),
	"ouvre-manchettes": ("ouvre-manchettes",),
	"ouvrières-façonnières": ("ouvrier-façonnier",),
	"ouvriers-façonniers": ("ouvrier-façonnier",),
	"ovibos": ("ovibos",),
	"ovotestis": ("ovotestis",),
	"oxalis": ("oxalis",),
	"oxymirus": ("oxymirus",),
	"oxynoticeras": ("oxynoticeras",),
	"oxyrachis": ("oxyrachis",),
	"oxyuriasis": ("oxyuriasis",),
	"ozéneuses": ("ozéneux",),
	"ozéneux": ("ozéneux",),
	"pacaschas": ("pacaschas",),
	"pachydiscus": ("pachydiscus",),
	"pachyonyxis": ("pachyonyxis",),
	"pachyrhizus": ("pachyrhizus",),
	"pachyuromys": ("pachyuromys",),
	"pacs": ("pacs",),
	"paddies": ("paddy",),
	"pagus": ("pagus",),
	"paillis": ("paillis",),
	"paintbox": ("paintbox",),
	"paix": ("paix",),
	"pakistanaise": ("pakistanais",),
	"pakistanaises": ("pakistanais",),
	"pakistanais": ("pakistanais",),
	"palaeechinus": ("palaeechinus",),
	"palaeophonus": ("palaeophonus",),
	"palais": ("palais",),
	"paléocortex": ("paléocortex",),
	"paleoniscus": ("paleoniscus",),
	"paléoniscus": ("paléoniscus",),
	"paléophis": ("paléophis",),
	"paléornis": ("paléornis",),
	"paléothalamus": ("paléothalamus",),
	"palinurus": ("palinurus",),
	"palis": ("palis",),
	"palmarès": ("palmarès",),
	"palmatopteris": ("palmatopteris",),
	"palmiers-dattiers": ("palmier-dattier",),
	"palmipes": ("palmipes",),
	"paloise": ("palois",),
	"paloises": ("palois",),
	"palois": ("palois",),
	"paludomus": ("paludomus",),
	"palus": ("palus",),
	"panais": ("panais",),
	"pananticorps": ("pananticorps",),
	"panaris": ("panaris",),
	"panathénées": ("panathénées",),
	"panax": ("panax",),
	"panchax": ("panchax",),
	"pancréas": ("pancréas",),
	"pandanus": ("pandanus",),
	"pandinus": ("pandinus",),
	"panier-repas": ("panier-repas",),
	"pannus": ("pannus",),
	"panops": ("panops",),
	"paparazzi": ("paparazzo",),
	"papiers-monnaies": ("papier-monnaie",),
	"papies": ("papy",),
	"papillomavirus": ("papillomavirus",),
	"papotis": ("papotis",),
	"papovavirus": ("papovavirus",),
	"papyrus": ("papyrus",),
	"pâques": ("pâques",),
	"paquis": ("paquis",),
	"parabasaux": ("parabasal",),
	"paradis": ("paradis",),
	"parados": ("parados",),
	"paradoxides": ("paradoxides",),
	"paragneiss": ("paragneiss",),
	"paragonimiasis": ("paragonimiasis",),
	"paragonimus": ("paragonimus",),
	"paragr.": ("paragraphe",),
	"parakeratosis": ("parakeratosis",),
	"paramyoclonus": ("paramyoclonus",),
	"paramyxovirus": ("paramyxovirus",),
	"paranucléus": ("paranucléus",),
	"paraphimosis": ("paraphimosis",),
	"paraphrénitis": ("paraphrénitis",),
	"paraponyx": ("paraponyx",),
	"parapoxvirus": ("parapoxvirus",),
	"parapsoriasis": ("parapsoriasis",),
	"paratyphus": ("paratyphus",),
	"parcorps": ("parcorps",),
	"parcours": ("parcours",),
	"pardanthus": ("pardanthus",),
	"pardessus": ("pardessus",),
	"pare-avalanches": ("pare-avalanches",),
	"pare-balles": ("pare-balles",),
	"pare-cendres": ("pare-cendres",),
	"pare-chocs": ("pare-chocs",),
	"pare-éclats": ("pare-éclats",),
	"pare-étincelles": ("pare-étincelles",),
	"parentalies": ("parentalies",),
	"pare-pierres": ("pare-pierres",),
	"paresseuse": ("paresseux",),
	"paresseuses": ("paresseux",),
	"paresseux": ("paresseux",),
	"pariétaux": ("pariétal",),
	"parodontis": ("parodontis",),
	"paros": ("paros",),
	"partageuse": ("partageux",),
	"partageuses": ("partageux",),
	"partageux": ("partageux",),
	"parties": ("party",),
	"parti-pris": ("parti-pris",),
	"partis-pris": ("parti-pris",),
	"parvis": ("parvis",),
	"parvovirus": ("parvovirus",),
	"pascals-seconde": ("pascal-seconde",),
	"pasdaran": ("pasdar",),
	"pas": ("pas",),
	"passe-boules": ("passe-boules",),
	"passe-temps": ("passe-temps",),
	"passe-velours": ("passe-velours",),
	"pass": ("pass",),
	"pastis": ("pastis",),
	"pataquès": ("pataquès",),
	"pataras": ("pataras",),
	"patas": ("patas",),
	"pataugis": ("pataugis",),
	"pater-familias": ("paterfamilias",),
	"paterfamilias": ("paterfamilias",),
	"pathos": ("pathos",),
	"pâtis": ("pâtis",),
	"patois": ("patois",),
	"patouillis": ("patouillis",),
	"pattes-de-chat": ("patte-de-chat",),
	"pattes-de-loup": ("patte-de-loup",),
	"pattes-d'oie": ("patte-d'oie",),
	"pattes-nageoires": ("patte-nageoire",),
	"pauses-café": ("pause-café",),
	"paussus": ("paussus",),
	"pavois": ("pavois",),
	"payses": ("pays",),
	"pays": ("pays",),
	"peaux-rouges": ("peau-rouge",),
	"pécheresse": ("pécheur",),
	"pécheresses": ("pécheur",),
	"pécoptéris": ("pécoptéris",),
	"pectoraux": ("pectoral",),
	"pectus": ("pectus",),
	"pédinus": ("pédinus",),
	"pediopsis": ("pediopsis",),
	"pédocaux": ("pédocal",),
	"peintres-graveurs": ("peintre-graveur",),
	"peintres-verriers": ("peintre-verrier",),
	"pékinoise": ("pékinois",),
	"pékinoises": ("pékinois",),
	"pékinois": ("pékinois",),
	"pelagos": ("pelagos",),
	"pellagreuse": ("pellagreux",),
	"pellagreuses": ("pellagreux",),
	"pellagreux": ("pellagreux",),
	"pelles-pioches": ("pelle-pioche",),
	"peloscolex": ("peloscolex",),
	"peltoceras": ("peltoceras",),
	"pelvis": ("pelvis",),
	"pemphigus": ("pemphigus",),
	"pemphix": ("pemphix",),
	"penaeus": ("penaeus",),
	"pénates": ("pénates",),
	"pence": ("penny",),
	"penicillus": ("penicillus",),
	"pénis": ("pénis",),
	"pénitis": ("pénitis",),
	"pennia": ("penni",),
	"pennies": ("penny",),
	"pentremites": ("pentremites",),
	"péplos": ("péplos",),
	"pepsis": ("pepsis",),
	"peptococcus": ("peptococcus",),
	"peptostreptococcus": ("peptostreptococcus",),
	"perchis": ("perchis",),
	"perchmen": ("perchman",),
	"perdrix": ("perdrix",),
	"perfringens": ("perfringens",),
	"periadenitis": ("periadenitis",),
	"périgueux": ("périgueux",),
	"périnéréis": ("périnéréis",),
	"périonyxis": ("périonyxis",),
	"péripolésis": ("péripolésis",),
	"périsphinctes": ("périsphinctes",),
	"peritelus": ("peritelus",),
	"permanentistes-coloristes": ("permanentiste-coloriste",),
	"permis": ("permis",),
	"permo-trias": ("permo-trias",),
	"pertuis": ("pertuis",),
	"perverse": ("pervers",),
	"perverses": ("pervers",),
	"pervers": ("pervers",),
	"pèse-jus": ("pèse-jus",),
	"pestivirus": ("pestivirus",),
	"pétasites": ("pétasites",),
	"pétersbourgeoises": ("pétersbourgeois",),
	"pétersbourgeois": ("pétersbourgeois",),
	"péteux": ("péteux",),
	"petit-bois": ("petit-bois",),
	"petit-bourgeois": ("petit-bourgeois",),
	"petite-bourgeoise": ("petit-bourgeois",),
	"petites-bourgeoises": ("petit-bourgeois",),
	"petites-filles": ("petite-fille",),
	"petites-nièces": ("petite-nièce",),
	"petit-fils": ("petit-fils",),
	"petit-gris": ("petit-gris",),
	"petits-beurre": ("petit-beurre",),
	"petits-beurres": ("petit-beurre",),
	"petits-bois": ("petit-bois",),
	"petits-bourgeois": ("petit-bourgeois",),
	"petits-enfants": ("petit-enfant",),
	"petits-fers": ("petit-fer",),
	"petits-fils": ("petit-fils",),
	"petits-fours": ("petit-four",),
	"petits-grains": ("petit-grain",),
	"petits-gris": ("petit-gris",),
	"petits-laits": ("petit-lait",),
	"petits-maîtres": ("petit-maître",),
	"petits-neveux": ("petit-neveu",),
	"petits-pois": ("petits-pois",),
	"petits-suisses": ("petit-suisse",),
	"pets-de-nonne": ("pet-de-nonne",),
	"peureuse": ("peureux",),
	"peureuses": ("peureux",),
	"peureux": ("peureux",),
	"phacoérisis": ("phacoérisis",),
	"phacops": ("phacops",),
	"phacus": ("phacus",),
	"phaeogenes": ("phaeogenes",),
	"phaius": ("phaius",),
	"phajus": ("phajus",),
	"phalaenopsis": ("phalaenopsis",),
	"phallus": ("phallus",),
	"pharmacophagus": ("pharmacophagus",),
	"pharynx": ("pharynx",),
	"phénacodus": ("phénacodus",),
	"phenax": ("phenax",),
	"phénix": ("phénix",),
	"phénocristaux": ("phénocristal",),
	"philhydrus": ("philhydrus",),
	"phillips": ("phillips",),
	"philodromus": ("philodromus",),
	"philonicus": ("philonicus",),
	"phimosis": ("phimosis",),
	"phlebovirus": ("phlebovirus",),
	"phlébovirus": ("phlébovirus",),
	"phléothrips": ("phléothrips",),
	"phlox": ("phlox",),
	"phoenix": ("phoenix",),
	"phororhachos": ("phororhachos",),
	"photinus": ("photinus",),
	"photos-robots": ("photo-robot",),
	"photos-romans": ("photo-roman",),
	"phractolaemus": ("phractolaemus",),
	"phragmoceras": ("phragmoceras",),
	"phtiriasis": ("phtiriasis",),
	"phtirius": ("phtirius",),
	"phylloceras": ("phylloceras",),
	"phylloptéryx": ("phylloptéryx",),
	"physalis": ("physalis",),
	"physopsis": ("physopsis",),
	"phytéléphas": ("phytéléphas",),
	"phytobius": ("phytobius",),
	"phytocoris": ("phytocoris",),
	"piaulis": ("piaulis",),
	"picaillons": ("picaillons",),
	"picklers": ("pickles",),
	"picornavirus": ("picornavirus",),
	"picoteuses": ("picoteux",),
	"picoteux": ("picoteux",),
	"picris": ("picris",),
	"picromerus": ("picromerus",),
	"pics-verts": ("pic-vert",),
	"piédestaux": ("piédestal",),
	"pieds-bleus": ("pied-bleu",),
	"pieds-bots": ("pied-bot",),
	"pieds-d'alouette": ("pied-d'alouette",),
	"pieds-de-biche": ("pied-de-biche",),
	"pieds-de-cheval": ("pied-de-cheval",),
	"pieds-de-chèvre": ("pied-de-chèvre",),
	"pieds-de-corbeau": ("pied-de-corbeau",),
	"pieds-de-cuve": ("pied-de-cuve",),
	"pieds-d'éléphant": ("pied-d'éléphant",),
	"pieds-de-lion": ("pied-de-lion",),
	"pieds-de-loup": ("pied-de-loup",),
	"pieds-de-nez": ("pied-de-nez",),
	"pieds-de-poule": ("pied-de-poule",),
	"pieds-de-veau": ("pied-de-veau",),
	"pieds-d'oiseau": ("pied-d'oiseau",),
	"pieds-droits": ("pied-droit",),
	"pieds-forts": ("pied-fort",),
	"pieds-noirs": ("pied-noir",),
	"pieds-plats": ("pied-plat",),
	"piémontaise": ("piémontais",),
	"piémontaises": ("piémontais",),
	"piémontais": ("piémontais",),
	"pieris": ("pieris",),
	"pierreries": ("pierreries",),
	"pies-grièches": ("pie-grièche",),
	"pies-mères": ("pie-mère",),
	"pileopsis": ("pileopsis",),
	"pileus": ("pileus",),
	"pilotes-majors": ("pilote-major",),
	"pilotis": ("pilotis",),
	"pilumnus": ("pilumnus",),
	"pilus": ("pilus",),
	"pinacoceras": ("pinacoceras",),
	"pinax": ("pinax",),
	"pince-fesses": ("pince-fesses",),
	"pinces-monseigneur": ("pince-monseigneur",),
	"pionosyllis": ("pionosyllis",),
	"pique-fleurs": ("pique-fleurs",),
	"pique-notes": ("pique-notes",),
	"piqueux": ("piqueux",),
	"pis": ("pis",),
	"pistoleiros": ("pistoleiros",),
	"pistolets-mitrailleurs": ("pistolet-mitrailleur",),
	"pithiviers": ("pithiviers",),
	"pituiteuses": ("pituiteux",),
	"pituiteux": ("pituiteux",),
	"pitymys": ("pitymys",),
	"pityriasis": ("pityriasis",),
	"pivetes": ("pivetes",),
	"placenticeras": ("placenticeras",),
	"plagianthus": ("plagianthus",),
	"plains-chants": ("plain-chant",),
	"plaquis": ("plaquis",),
	"plasmarrhexis": ("plasmarrhexis",),
	"plateaux-repas": ("plateau-repas",),
	"plates-bandes": ("plate-bande",),
	"plates-cuves": ("plate-cuve",),
	"plates-formes": ("plate-forme",),
	"platophrys": ("platophrys",),
	"plâtras": ("plâtras",),
	"plats-joints": ("plat-joint",),
	"platyceras": ("platyceras",),
	"platycnémis": ("platycnémis",),
	"platycrinus": ("platycrinus",),
	"platymerus": ("platymerus",),
	"platynéréis": ("platynéréis",),
	"platypus": ("platypus",),
	"plectranthus": ("plectranthus",),
	"plectus": ("plectus",),
	"pleins-vents": ("plein-vent",),
	"plein-temps": ("plein-temps",),
	"plésiadapis": ("plésiadapis",),
	"plesiomonas": ("plesiomonas",),
	"plésioteuthis": ("plésioteuthis",),
	"pleurothotonos": ("pleurothotonos",),
	"pleurotropis": ("pleurotropis",),
	"plexiglas": ("plexiglas",),
	"plexus": ("plexus",),
	"pliohippus": ("pliohippus",),
	"plombiers-zingueurs": ("plombier-zingueur",),
	"plotosus": ("plotosus",),
	"pl.": ("pluriel",),
	"plumetis": ("plumetis",),
	"plus-bas": ("plus-bas",),
	"plus": ("plus",),
	"pluteus": ("pluteus",),
	"pneumocystis": ("pneumocystis",),
	"pneumorachis": ("pneumorachis",),
	"pneumothorax": ("pneumothorax",),
	"pneumovirus": ("pneumovirus",),
	"pochettes-disco": ("pochette-disco",),
	"pochettes-surprises": ("pochette-surprise",),
	"podoceropsis": ("podoceropsis",),
	"podocnemis": ("podocnemis",),
	"poecilobothrus": ("poecilobothrus",),
	"poeciloscytus": ("poeciloscytus",),
	"poecilus": ("poecilus",),
	"pogonochoerus": ("pogonochoerus",),
	"poids": ("poids",),
	"pointaux": ("pointal",),
	"pointilleuse": ("pointilleux",),
	"pointilleuses": ("pointilleux",),
	"pointilleux": ("pointilleux",),
	"points-virgules": ("point-virgule",),
	"pois": ("pois",),
	"poissons-anges": ("poisson-ange",),
	"poissons-chats": ("poisson-chat",),
	"poissons-crapauds": ("poisson-crapaud",),
	"poissons-épées": ("poisson-épée",),
	"poissons-feuilles": ("poisson-feuille",),
	"poissons-lézards": ("poisson-lézard",),
	"poissons-perroquets": ("poisson-perroquet",),
	"poissons-scies": ("poisson-scie",),
	"poissons-soldats": ("poisson-soldat",),
	"poix": ("poix",),
	"policemen": ("policeman",),
	"poliovirus": ("poliovirus",),
	"pollicipes": ("pollicipes",),
	"pollinosis": ("pollinosis",),
	"poll-tax": ("poll-tax",),
	"polonaise": ("polonais",),
	"polonaises": ("polonais",),
	"polonais": ("polonais",),
	"polybothris": ("polybothris",),
	"polycelis": ("polycelis",),
	"polycristaux": ("polycristal",),
	"polydrosus": ("polydrosus",),
	"polygordius": ("polygordius",),
	"polykrikos": ("polykrikos",),
	"polymitarcys": ("polymitarcys",),
	"polyneuritis": ("polyneuritis",),
	"polyomavirus": ("polyomavirus",),
	"polyophthalmus": ("polyophthalmus",),
	"polypointes-ondes": ("polypointe-onde",),
	"polyposis": ("polyposis",),
	"polyscias": ("polyscias",),
	"pomatias": ("pomatias",),
	"pomatoceros": ("pomatoceros",),
	"pompholyx": ("pompholyx",),
	"ponantaise": ("ponantais",),
	"ponantaises": ("ponantais",),
	"ponantais": ("ponantais",),
	"pondéreux": ("pondéreux",),
	"pont-aux-ânes": ("pont-aux-ânes",),
	"pont-levis": ("pont-levis",),
	"ponts-aqueducs": ("pont-aqueduc",),
	"ponts-bascules": ("pont-bascule",),
	"ponts-canaux": ("pont-canal",),
	"ponts-levis": ("pont-levis",),
	"ponts-neufs": ("pont-neuf",),
	"ponts-promenade": ("pont-promenade",),
	"ponts-routes": ("pont-route",),
	"poraspis": ("poraspis",),
	"porcs-épics": ("porc-épic",),
	"porichthys": ("porichthys",),
	"porphyrops": ("porphyrops",),
	"porte-aéronefs": ("porte-aéronefs",),
	"porte-à-faux": ("porte-à-faux",),
	"porte-affiches": ("porte-affiches",),
	"porte-allumettes": ("porte-allumettes",),
	"porte-avions": ("porte-avions",),
	"porte-bagages": ("porte-bagages",),
	"porte-balais": ("porte-balais",),
	"porte-bijoux": ("porte-bijoux",),
	"porte-billets": ("porte-billets",),
	"porte-bouteilles": ("porte-bouteilles",),
	"porte-cartes": ("porte-cartes",),
	"porte-chapeaux": ("porte-chapeaux",),
	"portechoux": ("portechoux",),
	"porte-cigares": ("porte-cigares",),
	"porte-cigarettes": ("porte-cigarettes",),
	"porte-clefs": ("porte-clés",),
	"porte-clés": ("porte-clés",),
	"porte-conteneurs": ("porte-conteneurs",),
	"porte-croix": ("porte-croix",),
	"porte-cure-dents": ("porte-cure-dents",),
	"porte-dais": ("porte-dais",),
	"porte-documents": ("porte-documents",),
	"porte-étriers": ("porte-étriers",),
	"porte-faix": ("porte-faix",),
	"portefaix": ("portefaix",),
	"porte-fleurs": ("porte-fleurs",),
	"porte-haillons": ("porte-haillons",),
	"porte-jarretelles": ("porte-jarretelles",),
	"porte-lames": ("porte-lames",),
	"porte-lunettes": ("porte-lunettes",),
	"porte-mains": ("porte-mains",),
	"porte-mors": ("porte-mors",),
	"porte-mouchettes": ("porte-mouchettes",),
	"porte-parapluies": ("porte-parapluies",),
	"porte-pieds": ("porte-pieds",),
	"porte-pincettes": ("porte-pincettes",),
	"porte-savons": ("porte-savons",),
	"porte-serviettes": ("porte-serviettes",),
	"portes-fenêtres": ("porte-fenêtre",),
	"porte-voix": ("porte-voix",),
	"portraits-robots": ("portrait-robot",),
	"portugais": ("portugais",),
	"postes-frontières": ("poste-frontière",),
	"postoestrus": ("postoestrus",),
	"potamacanthus": ("potamacanthus",),
	"potamides": ("potamides",),
	"pots-à-feu": ("pot-à-feu",),
	"pots-de-vin": ("pot-de-vin",),
	"pots-pourris": ("pot-pourri",),
	"pouilleuse": ("pouilleux",),
	"pouilleuses": ("pouilleux",),
	"pouilleux": ("pouilleux",),
	"pouls": ("pouls",),
	"poults-de-soie": ("poult-de-soie",),
	"%": ("pourcent",),
	"pousse-cailloux": ("pousse-cailloux",),
	"pout-de-soie": ("poult-de-soie",),
	"pouts-de-soie": ("poult-de-soie",),
	"poux-de-soie": ("pou-de-soie",),
	"pox": ("pox",),
	"poxvirus": ("poxvirus",),
	"praesides": ("praeses",),
	"pragoises": ("pragois",),
	"pragois": ("pragois",),
	"praguoises": ("praguois",),
	"praguois": ("praguois",),
	"prasocuris": ("prasocuris",),
	"praxis": ("praxis",),
	"prays": ("prays",),
	"préavis": ("préavis",),
	"précieux": ("précieux",),
	"précis": ("précis",),
	"prédécès": ("prédécès",),
	"pregadi": ("pregado",),
	"prélegs": ("prélegs",),
	"prémices": ("prémices",),
	"première-née": ("premier-né",),
	"premières-nées": ("premier-né",),
	"premiers-nés": ("premier-né",),
	"premix": ("premix",),
	"prémycosis": ("prémycosis",),
	"préoestrus": ("préoestrus",),
	"prérequis": ("prérequis",),
	"présapiens": ("présapiens",),
	"présemis": ("présemis",),
	"présidents-directeurs": ("président-directeur",),
	"présidiaux": ("présidial",),
	"présomptueuse": ("présomptueux",),
	"présomptueuses": ("présomptueux",),
	"présomptueux": ("présomptueux",),
	"prés-salés": ("pré-salé",),
	"presse-fruits": ("presse-fruits",),
	"presse-papiers": ("presse-papiers",),
	"prétentieuse": ("prétentieux",),
	"prétentieuses": ("prétentieux",),
	"prétentieux": ("prétentieux",),
	"preux": ("preux",),
	"prince-de-galles": ("prince-de-galles",),
	"principaux": ("principal",),
	"printemps": ("printemps",),
	"priocnemis": ("priocnemis",),
	"prionomys": ("prionomys",),
	"prismastolaimus": ("prismastolaimus",),
	"prix": ("prix",),
	"proamnios": ("proamnios",),
	"procès": ("procès",),
	"processionnaux": ("processionnal",),
	"process": ("process",),
	"processus": ("processus",),
	"prochinoise": ("prochinois",),
	"prochinoises": ("prochinois",),
	"prochinois": ("prochinois",),
	"procolis": ("procolis",),
	"procris": ("procris",),
	"procubitus": ("procubitus",),
	"prodigiosus": ("prodigiosus",),
	"productus": ("productus",),
	"produits-maison": ("produit-maison",),
	"proetus": ("proetus",),
	"profès": ("profès",),
	"professe": ("profès",),
	"professes": ("profès",),
	"proglottis": ("proglottis",),
	"programmes-cadres": ("programme-cadre",),
	"progrès": ("progrès",),
	"prolapsus": ("prolapsus",),
	"prolégomènes": ("prolégomènes",),
	"promise": ("promis",),
	"promises": ("promis",),
	"promis": ("promis",),
	"pronaos": ("pronaos",),
	"pronéphros": ("pronéphros",),
	"pronominaux": ("pronominal",),
	"pronucleus": ("pronucleus",),
	"pronucléus": ("pronucléus",),
	"prophétesse": ("prophète",),
	"propolis": ("propolis",),
	"propositus": ("propositus",),
	"propos": ("propos",),
	"prorhynchus": ("prorhynchus",),
	"prosopis": ("prosopis",),
	"prospecteurs-placiers": ("prospecteur-placier",),
	"prospectrices-placières": ("prospecteur-placier",),
	"prospectus": ("prospectus",),
	"protéagineux": ("protéagineux",),
	"protège-dents": ("protège-dents",),
	"protéroctopus": ("protéroctopus",),
	"proteus": ("proteus",),
	"prothorax": ("prothorax",),
	"protobatrachus": ("protobatrachus",),
	"protocératops": ("protocératops",),
	"protococcus": ("protococcus",),
	"protovirus": ("protovirus",),
	"provençaux": ("provençal",),
	"provinciaux": ("provincial",),
	"provirus": ("provirus",),
	"prunus": ("prunus",),
	"psammophis": ("psammophis",),
	"pseudaxis": ("pseudaxis",),
	"pseudococcus": ("pseudococcus",),
	"pseudocowpox": ("pseudocowpox",),
	"pseudomonas": ("pseudomonas",),
	"pseudopanaris": ("pseudopanaris",),
	"pseudotabès": ("pseudotabès",),
	"pseudotruncus": ("pseudotruncus",),
	"pseudovirus": ("pseudovirus",),
	"psiloceras": ("psiloceras",),
	"psilosis": ("psilosis",),
	"psoas": ("psoas",),
	"psoïtis": ("psoïtis",),
	"psolus": ("psolus",),
	"psoriasis": ("psoriasis",),
	"psoroptes": ("psoroptes",),
	"p.-s.": ("post-scriptum",),
	"p.s.": ("post-scriptum",),
	"P.S.": ("post-scriptum",),
	"pteleobius": ("pteleobius",),
	"pteraspis": ("pteraspis",),
	"ptéroïs": ("ptéroïs",),
	"pterolepis": ("pterolepis",),
	"ptérostichus": ("ptérostichus",),
	"pterygotus": ("pterygotus",),
	"ptérygotus": ("ptérygotus",),
	"ptilinus": ("ptilinus",),
	"ptosis": ("ptosis",),
	"ptôsis": ("ptôsis",),
	"ptychites": ("ptychites",),
	"pubis": ("pubis",),
	"pucheux": ("pucheux",),
	"puits": ("puits",),
	"pulex": ("pulex",),
	"pulsus": ("pulsus",),
	"pupazzi": ("pupazzo",),
	"pus": ("pus",),
	"putois": ("putois",),
	"putti": ("putto",),
	"pygaulus": ("pygaulus",),
	"pyocolpos": ("pyocolpos",),
	"pyopneumothorax": ("pyopneumothorax",),
	"pyosalpinx": ("pyosalpinx",),
	"pyothorax": ("pyothorax",),
	"pyrex": ("pyrex",),
	"pyrocoris": ("pyrocoris",),
	"pyroligneux": ("pyroligneux",),
	"pyrosis": ("pyrosis",),
	"pyrrhocoris": ("pyrrhocoris",),
	"Q.G.": ("quartier général",),
	"QG": ("quartier général",),
	"quadratojugaux": ("quadratojugal",),
	"quadriceps": ("quadriceps",),
	"quadruplex": ("quadruplex",),
	"quakeresse": ("quaker",),
	"quakeresses": ("quaker",),
	"quanta": ("quantum",),
	"quartiers-maîtres": ("quartier-maître",),
	"quarts-de-brie": ("quart-de-brie",),
	"quatre-épices": ("quatre-épices",),
	"quatre-feuilles": ("quatre-feuilles",),
	"quatrefeuilles": ("quatre-feuilles",),
	"quatre-heures": ("quatre-heures",),
	"quatre-mâts": ("quatre-mâts",),
	"quatre-moines": ("quatre-moines",),
	"quatre-quarts": ("quatre-quarts",),
	"quatre-saisons": ("quatre-saisons",),
	"quatre-temps": ("quatre-temps",),
	"quatre-vingt-dix": ("quatre-vingt-dix",),
	"quatre-vingts": ("quatre-vingts",),
	"québécoise": ("québécois",),
	"québécoises": ("québécois",),
	"québécois": ("québécois",),
	"quercinoise": ("quercinois",),
	"quercinoises": ("quercinois",),
	"quercinois": ("quercinois",),
	"queues-d'aronde": ("queue-d'aronde",),
	"queues-de-cheval": ("queue-de-cheval",),
	"queues-de-cochon": ("queue-de-cochon",),
	"queues-de-morue": ("queue-de-morue",),
	"queues-de-pie": ("queue-de-pie",),
	"queues-de-poisson": ("queue-de-poisson",),
	"queues-de-rat": ("queue-de-rat",),
	"queues-de-renard": ("queue-de-renard",),
	"queues-de-souris": ("queue-de-souris",),
	"queues-fourchues": ("queue-fourchue",),
	"queux": ("queux",),
	"quintaux": ("quintal",),
	"quintus": ("quintus",),
	"quirinales": ("quirinales",),
	"quitus": ("quitus",),
	"quotes-parts": ("quote-part",),
	"rabais": ("rabais",),
	"raboteuses-dégauchisseuses": ("raboteuse-dégauchisseuse",),
	"racers-racers": ("racer-racer",),
	"rachischisis": ("rachischisis",),
	"rachis": ("rachis",),
	"racinaux": ("racinal",),
	"radicale-socialiste": ("radical-socialiste",),
	"radicales-socialistes": ("radical-socialiste",),
	"radicaux": ("radical",),
	"radicaux-socialistes": ("radical-socialiste",),
	"radiocanaux": ("radiocanal",),
	"radiocompas": ("radiocompas",),
	"radiojournaux": ("radiojournal",),
	"radiolites": ("radiolites",),
	"radios-téléphones": ("radio-téléphone",),
	"radis": ("radis",),
	"radius": ("radius",),
	"radix": ("radix",),
	"ragazzi": ("ragazzo",),
	"rais-de-coeur": ("rai-de-coeur",),
	"rajoutis": ("rajoutis",),
	"ramas": ("ramas",),
	"ramasse-couverts": ("ramasse-couverts",),
	"ramasse-miettes": ("ramasse-miettes",),
	"ramasse-plis": ("ramasse-plis",),
	"ramasseuses-dépanouilleuses": ("ramasseuse-dépanouilleuse",),
	"ramassis": ("ramassis",),
	"rams": ("rams",),
	"rancuneuses": ("rancuneux",),
	"rancuneux": ("rancuneux",),
	"rangers": ("rangers",),
	"rappointis": ("rappointis",),
	"raptus": ("raptus",),
	"rase-mottes": ("rase-mottes",),
	"raskolniki": ("raskolnik",),
	"ras": ("ras",),
	"rationaux": ("rational",),
	"rats-de-cave": ("rat-de-cave",),
	"ray-grass": ("ray-grass",),
	"R&D": ("recherche et développement",),
	"rdv": ("rendez-vous",),
	"réaux": ("réal",),
	"rebours": ("rebours",),
	"rebouteuses": ("rebouteux",),
	"rebouteux": ("rebouteux",),
	"rebras": ("rebras",),
	"rébus": ("rébus",),
	"recès": ("recès",),
	"récessus": ("récessus",),
	"réchampis": ("réchampis",),
	"recluse": ("reclus",),
	"recluses": ("reclus",),
	"reclus": ("reclus",),
	"recordwomen": ("recordwoman",),
	"recors": ("recors",),
	"recours": ("recours",),
	"redoux": ("redoux",),
	"réductions-couple": ("réduction-couple",),
	"reflex": ("reflex",),
	"reflux": ("reflux",),
	"réf.": ("référence",),
	"refus": ("refus",),
	"regarnis": ("regarnis",),
	"régionaux": ("régional",),
	"régisseurs-comptables": ("régisseur-comptable",),
	"régisseuses-comptables": ("régisseur-comptable",),
	"regros": ("regros",),
	"reine-des-prés": ("reine-des-prés",),
	"reines-claudes": ("reine-claude",),
	"reines-des-prés": ("reine-des-prés",),
	"reines-marguerites": ("reine-marguerite",),
	"reis": ("reis",),
	"rejoneadores": ("rejoneador",),
	"relais": ("relais",),
	"relancis": ("relancis",),
	"relapses": ("relaps",),
	"relaps": ("relaps",),
	"religieux": ("religieux",),
	"rembours": ("rembours",),
	"remixes": ("remix",),
	"remix": ("remix",),
	"rémoise": ("rémois",),
	"rémoises": ("rémois",),
	"rémois": ("rémois",),
	"remords": ("remords",),
	"remous": ("remous",),
	"remue-méninges": ("remue-méninges",),
	"rendez-vous": ("rendez-vous",),
	"renformis": ("renformis",),
	"rennaises": ("rennais",),
	"rennais": ("rennais",),
	"réovirus": ("réovirus",),
	"repas": ("repas",),
	"répons": ("répons",),
	"repos": ("repos",),
	"repris": ("repris",),
	"reps": ("reps",),
	"requises": ("requis",),
	"requis": ("requis",),
	"resemis": ("resemis",),
	"résineux": ("résineux",),
	"responsoriaux": ("responsorial",),
	"ressemis": ("ressemis",),
	"reticulitermes": ("reticulitermes",),
	"rétinoschisis": ("rétinoschisis",),
	"retirons": ("retirons",),
	"retornados": ("retornados",),
	"retorses": ("retors",),
	"retors": ("retors",),
	"rétroactes": ("rétroactes",),
	"rétrocolis": ("rétrocolis",),
	"retrolentivirus": ("retrolentivirus",),
	"rétrolisthésis": ("rétrolisthésis",),
	"retroussis": ("retroussis",),
	"rétrovirus": ("rétrovirus",),
	"rets": ("rets",),
	"réunionais": ("réunionais",),
	"réunionnaise": ("réunionaise",),
	"réunionnaises": ("réunionaise",),
	"réunionnais": ("réunionais",),
	"reversis": ("reversis",),
	"revers": ("revers",),
	"rhabditis": ("rhabditis",),
	"rhabdovirus": ("rhabdovirus",),
	"rhagoletis": ("rhagoletis",),
	"rhamphus": ("rhamphus",),
	"rhésus": ("rhésus",),
	"rhinocéros": ("rhinocéros",),
	"rhinococcyx": ("rhinococcyx",),
	"rhinoglanis": ("rhinoglanis",),
	"rhinoncus": ("rhinoncus",),
	"rhino-pharynx": ("rhino-pharynx",),
	"rhinopharynx": ("rhinopharynx",),
	"rhinophrynus": ("rhinophrynus",),
	"rhinovirus": ("rhinovirus",),
	"rhipsalis": ("rhipsalis",),
	"rhizobius": ("rhizobius",),
	"rhizocrinus": ("rhizocrinus",),
	"rhizopus": ("rhizopus",),
	"rhodnius": ("rhodnius",),
	"rhogas": ("rhogas",),
	"rhonchus": ("rhonchus",),
	"rhopalotomus": ("rhopalotomus",),
	"rhyparochromus": ("rhyparochromus",),
	"rhytidores": ("rhytidores",),
	"rhytidosis": ("rhytidosis",),
	"ribouis": ("ribouis",),
	"ricercari": ("ricercare",),
	"rictus": ("rictus",),
	"rillettes": ("rillettes",),
	"rillons": ("rillons",),
	"rince-bouteilles": ("rince-bouteilles",),
	"rince-doigts": ("rince-doigts",),
	"risorius": ("risorius",),
	"ris": ("ris",),
	"riss": ("riss",),
	"rivaux": ("rival",),
	"rivesaltes": ("rivesaltes",),
	"RL": ("ressource",),
	"RLs": ("ressource",),
	"roches-réservoirs": ("roche-réservoir",),
	"rock": ("rock'n'roll",),
	"rôles-titres": ("rôle-titre",),
	"rollmops": ("rollmops",),
	"romans-feuilletons": ("roman-feuilleton",),
	"romans-fleuves": ("roman-fleuve",),
	"romans-photo": ("roman-photo",),
	"romans-photos": ("roman-photo",),
	"rompis": ("rompis",),
	"ronchus": ("ronchus",),
	"rondes-bosses": ("ronde-bosse",),
	"ronds-de-cuir": ("rond-de-cuir",),
	"ronds-points": ("rond-point",),
	"ronflottis": ("ronflottis",),
	"roseaux-massues": ("roseau-massue",),
	"rose-croix": ("rose-croix",),
	"roses-crans": ("rose-cran",),
	"rosés-des-prés": ("rosé-des-prés",),
	"rossolis": ("rossolis",),
	"rotavirus": ("rotavirus",),
	"roucoulis": ("roucoulis",),
	"rouennaise": ("rouennais",),
	"rouennaises": ("rouennais",),
	"rouennais": ("rouennais",),
	"rougeoleuses": ("rougeoleux",),
	"rougeoleux": ("rougeoleux",),
	"rouges-gorges": ("rouge-gorge",),
	"rouges-queues": ("rouge-queue",),
	"roulés-boulés": ("roulé-boulé",),
	"roulis": ("roulis",),
	"roussillonnaises": ("roussillonnais",),
	"roussillonnais": ("roussillonnais",),
	"rouvieux": ("rouvieux",),
	"roux": ("roux",),
	"royalties": ("royalty",),
	"royaux": ("royal",),
	"R.P.": ("Révérend Père",),
	"ruandaises": ("ruandais",),
	"ruandais": ("ruandais",),
	"rubéoleuse": ("rubéoleux",),
	"rubéoleuses": ("rubéoleux",),
	"rubéoleux": ("rubéoleux",),
	"rubis": ("rubis",),
	"rubivirus": ("rubivirus",),
	"rugbymen": ("rugbyman",),
	"rugueux": ("rugueux",),
	"ruisselis": ("ruisselis",),
	"rumex": ("rumex",),
	"ruraux": ("rural",),
	"rushes": ("rush",),
	"rwandaise": ("rwandais",),
	"rwandaises": ("rwandais",),
	"rwandais": ("rwandais",),
	"Sabats": ("abats",),
	"sabres-baïonnettes": ("sabre-baïonnette",),
	"saccharomyces": ("saccharomyces",),
	"sacramentaux": ("sacramental",),
	"sacrolisthésis": ("sacrolisthésis",),
	"sages-femmes": ("sage-femme",),
	"sainbois": ("sainbois",),
	"saindoux": ("saindoux",),
	"saintes-barbes": ("sainte-barbe",),
	"saints-germains": ("saint-germain",),
	"saints-paulins": ("saint-paulin",),
	"saints-pères": ("saint-père",),
	"saisies-arrêts": ("saisie-arrêt",),
	"saisies-brandons": ("saisie-brandon",),
	"saisies-exécutions": ("saisie-exécution",),
	"salarias": ("salarias",),
	"salers": ("salers",),
	"salicionaux": ("salicional",),
	"salmigondis": ("salmigondis",),
	"salmis": ("salmis",),
	"salons-bibliothèques": ("salon-bibliothèque",),
	"salsifis": ("salsifis",),
	"salzbourgeoises": ("salzbourgeois",),
	"salzbourgeois": ("salzbourgeois",),
	"sammies": ("sammy",),
	"sanctus": ("sanctus",),
	"sandix": ("sandix",),
	"sandyx": ("sandyx",),
	"sans-façons": ("sans-façons",),
	"sans-logis": ("sans-logis",),
	"sans-papiers": ("sans-papiers",),
	"sapeurs-aérostiers": ("sapeur-aérostier",),
	"sapeurs-pompiers": ("sapeur-pompier",),
	"sapientiaux": ("sapientiaux",),
	"sarcocystis": ("sarcocystis",),
	"sardinaux": ("sardinal",),
	"sardonyx": ("sardonyx",),
	"saros": ("saros",),
	"sarroise": ("sarrois",),
	"sarroises": ("sarrois",),
	"sarrois": ("sarrois",),
	"sarthoises": ("sarthois",),
	"sarthois": ("sarthois",),
	"S.A.": ("société anonyme",),
	"SA": ("société anonyme",),
	"sassafras": ("sassafras",),
	"sas": ("sas",),
	"saturnales": ("saturnales",),
	"satyriasis": ("satyriasis",),
	"sauriasis": ("sauriasis",),
	"sauris": ("sauris",),
	"sauternes": ("sauternes",),
	"sauts-de-lit": ("saut-de-lit",),
	"sauts-de-loup": ("saut-de-loup",),
	"sauts-de-mouton": ("saut-de-mouton",),
	"sauts-de-ski": ("saut-de-ski",),
	"SAV": ("service après-vente",),
	"sax": ("sax",),
	"scabies": ("scabies",),
	"scandix": ("scandix",),
	"scapholisthésis": ("scapholisthésis",),
	"scapulae": ("scapula",),
	"scarlatineuses": ("scarlatineux",),
	"scarlatineux": ("scarlatineux",),
	"sceaux-de-salomon": ("sceau-de-salomon",),
	"sceaux-matrices": ("sceau-matrice",),
	"scénopinus": ("scénopinus",),
	"scévophylax": ("scévophylax",),
	"schedius": ("schedius",),
	"schizodus": ("schizodus",),
	"schizothorax": ("schizothorax",),
	"schlass": ("schlass",),
	"schnaps": ("schnaps",),
	"schuss": ("schuss",),
	"sciapus": ("sciapus",),
	"sciences-fictions": ("science-fiction",),
	"sciocoris": ("sciocoris",),
	"scolecolepis": ("scolecolepis",),
	"scolex": ("scolex",),
	"scolioptéryx": ("scolioptéryx",),
	"scoloplos": ("scoloplos",),
	"scolopostethus": ("scolopostethus",),
	"scopaeus": ("scopaeus",),
	"scratches": ("scratch",),
	"scribouillis": ("scribouillis",),
	"scrofuleuse": ("scrofuleux",),
	"scrofuleuses": ("scrofuleux",),
	"scrofuleux": ("scrofuleux",),
	"scrupuleuses": ("scrupuleux",),
	"scrupuleux": ("scrupuleux",),
	"scymnus": ("scymnus",),
	"sèche-cheveux": ("sèche-cheveux",),
	"secours": ("secours",),
	"secrétaires-greffiers": ("secrétaire-greffier",),
	"secrétariats-greffes": ("secrétariat-greffe",),
	"secrets-défense": ("secret-défense",),
	"secteurs-clés": ("secteur-clé",),
	"Sécu": ("Sécurité Sociale",),
	"séditieuse": ("séditieux",),
	"séditieuses": ("séditieux",),
	"séditieux": ("séditieux",),
	"sefaraddim": ("sefaraddi",),
	"sefardim": ("sefardi",),
	"ségrais": ("ségrais",),
	"selleries-maroquineries": ("sellerie-maroquinerie",),
	"selliers-maroquiniers": ("sellier-maroquinier",),
	"semailles": ("semailles",),
	"semis": ("semis",),
	"sénéchaux": ("sénéchal",),
	"sénégalaise": ("sénégalais",),
	"sénégalaises": ("sénégalais",),
	"sénégalais": ("sénégalais",),
	"sénonaises": ("sénonais",),
	"sénonais": ("sénonais",),
	"sens": ("sens",),
	"sentimentaux": ("sentimental",),
	"serbocaux": ("serbocal",),
	"sergents-majors": ("sergent-major",),
	"sérieuse": ("sérieux",),
	"sérieuses": ("sérieux",),
	"sérieux": ("sérieux",),
	"serre-fils": ("serre-fils",),
	"serre-livres": ("serre-livres",),
	"serre-papiers": ("serre-papiers",),
	"serre-vêtements": ("serre-vêtements",),
	"sertões": ("sertão",),
	"serventois": ("serventois",),
	"serviettes-éponges": ("serviette-éponge",),
	"sétoises": ("sétois",),
	"sétois": ("sétois",),
	"sèvres": ("sèvres",),
	"seychelloises": ("seychellois",),
	"seychellois": ("seychellois",),
	"s.f": ("science-fiction",),
	"s.f.": ("science-fiction",),
	"S.F.": ("science-fiction",),
	"sfumati": ("sfumato",),
	"sherries": ("sherry",),
	"show-business": ("show-business",),
	"showmen": ("showman",),
	"sialis": ("sialis",),
	"siamoise": ("siamois",),
	"siamoises": ("siamois",),
	"siamois": ("siamois",),
	"sicus": ("sicus",),
	"sièges-autos": ("siège-auto",),
	"siemens": ("siemens",),
	"siennoise": ("siennois",),
	"siennoises": ("siennois",),
	"siennois": ("siennois",),
	"sierra-léonaise": ("sierra-léonais",),
	"sierra-léonaises": ("sierra-léonais",),
	"sierra-léonais": ("sierra-léonais",),
	"siffleux": ("siffleux",),
	"sifflotis": ("sifflotis",),
	"sigaretus": ("sigaretus",),
	"signaux": ("signal",),
	"silencieuse": ("silencieux",),
	"silencieuses": ("silencieux",),
	"silencieux": ("silencieux",),
	"silex": ("silex",),
	"silvanus": ("silvanus",),
	"simias": ("simias",),
	"simplex": ("simplex",),
	"sinapis": ("sinapis",),
	"sinus": ("sinus",),
	"sioux": ("sioux",),
	"sirex": ("sirex",),
	"sirventès": ("sirventès",),
	"sistrurus": ("sistrurus",),
	"sitaris": ("sitaris",),
	"sitophilus": ("sitophilus",),
	"sitophylax": ("sitophylax",),
	"situs": ("situs",),
	"six": ("six",),
	"sketches": ("sketch",),
	"skons": ("skons",),
	"skoptsy": ("skopets",),
	"skunks": ("skunks",),
	"skuns": ("skuns",),
	"smashes": ("smash",),
	"smilax": ("smilax",),
	"sociales-démocrates": ("social-démocrate",),
	"sociaux-démocrates": ("social-démocrate",),
	"socius": ("socius",),
	"soixante-dix": ("soixante-dix",),
	"soleae": ("solea",),
	"solecurtus": ("solecurtus",),
	"solenocurtus": ("solenocurtus",),
	"solenopsis": ("solenopsis",),
	"solex": ("solex",),
	"solmaris": ("solmaris",),
	"solmissus": ("solmissus",),
	"somatoschisis": ("somatoschisis",),
	"sommeilleuses": ("sommeilleux",),
	"sommeilleux": ("sommeilleux",),
	"songe-creux": ("songe-creux",),
	"sonnailles": ("sonnailles",),
	"sors": ("sors",),
	"sorties-de-bain": ("sortie-de-bain",),
	"sorties-de-bal": ("sortie-de-bal",),
	"S.O.S.": ("SOS",),
	"SOS": ("SOS",),
	"soudanaise": ("soudanais",),
	"soudanaises": ("soudanais",),
	"soudanais": ("soudanais",),
	"souffreteuse": ("souffreteux",),
	"souffreteuses": ("souffreteux",),
	"souffreteux": ("souffreteux",),
	"soundanais": ("soundanais",),
	"soupiraux": ("soupirail",),
	"sourdes-muettes": ("sourd-muet",),
	"sourds-muets": ("sourd-muet",),
	"souris": ("souris",),
	"sournoise": ("sournois",),
	"sournoises": ("sournois",),
	"sournois": ("sournois",),
	"sous-bailleresses": ("sous-bailleur",),
	"sous-bas": ("sous-bas",),
	"sous-bois": ("sous-bois",),
	"sous-brigadières": ("sous-brigadier",),
	"sous-entrepreneuses": ("sous-entrepreneur",),
	"sous-inspectrices": ("sous-inspecteur",),
	"soutiens-gorge": ("soutien-gorge",),
	"soyeuse": ("soyeux",),
	"soyeuses": ("soyeux",),
	"soyeux": ("soyeux",),
	"spalax": ("spalax",),
	"spasmus": ("spasmus",),
	"speiss": ("speiss",),
	"spélerpès": ("spélerpès",),
	"spéos": ("spéos",),
	"sphaerechinus": ("sphaerechinus",),
	"sphaeroceras": ("sphaeroceras",),
	"sphaeronis": ("sphaeronis",),
	"sphaerophorus": ("sphaerophorus",),
	"sphaerulites": ("sphaerulites",),
	"spherophorus": ("spherophorus",),
	"sphex": ("sphex",),
	"sphinx": ("sphinx",),
	"sphynx": ("sphynx",),
	"spiophanes": ("spiophanes",),
	"spiraux": ("spiral",),
	"spiritueux": ("spiritueux",),
	"spiromonas": ("spiromonas",),
	"spléniaux": ("splénial",),
	"splénius": ("splénius",),
	"spondias": ("spondias",),
	"spondylocléisis": ("spondylocléisis",),
	"spondyloklisis": ("spondyloklisis",),
	"spondylolisthésis": ("spondylolisthésis",),
	"spondylolysis": ("spondylolysis",),
	"spondyloptosis": ("spondyloptosis",),
	"spondyloschisis": ("spondyloschisis",),
	"spongieuse": ("spongieux",),
	"spongieuses": ("spongieux",),
	"spongieux": ("spongieux",),
	"sportsmen": ("sportsman",),
	"sportswomen": ("sportswoman",),
	"spumarétrovirus": ("spumarétrovirus",),
	"spumavirus": ("spumavirus",),
	"sri-lankaise": ("sri-lankais",),
	"sri-lankaises": ("sri-lankais",),
	"sri-lankais": ("sri-lankais",),
	"s": ("s",),
	"ss": ("ss",),
	"stapes": ("stapes",),
	"staphylococcus": ("staphylococcus",),
	"starets": ("starets",),
	"stariets": ("stariets",),
	"stations-service": ("station-service",),
	"stations-wagons": ("station-wagon",),
	"statues-menhirs": ("statue-menhir",),
	"status": ("status",),
	"stelis": ("stelis",),
	"stenebothrus": ("stenebothrus",),
	"sténéptéryx": ("sténéptéryx",),
	"stenopsocus": ("stenopsocus",),
	"stenorynchus": ("stenorynchus",),
	"stenosis": ("stenosis",),
	"stephanitis": ("stephanitis",),
	"stephanoceras": ("stephanoceras",),
	"stéphanoises": ("stéphanois",),
	"stéphanoise": ("stéphanois",),
	"stéphanois": ("stéphanois",),
	"sthenelaïs": ("sthenelaïs",),
	"stilicus": ("stilicus",),
	"stimuli": ("stimulus",),
	"stimulus": ("stimulus",),
	"stokes": ("stokes",),
	"stomaphis": ("stomaphis",),
	"stomechinus": ("stomechinus",),
	"stomias": ("stomias",),
	"storax": ("storax",),
	"stories": ("story",),
	"stotinki": ("stotinka",),
	"stradivarius": ("stradivarius",),
	"strasbourgeoises": ("strasbourgeois",),
	"strasbourgeoise": ("strasbourgeois",),
	"strasbourgeois": ("strasbourgeois",),
	"strass": ("strass",),
	"stras": ("stras",),
	"stratiomys": ("stratiomys",),
	"strato-cumulus": ("stratocumulus",),
	"stratocumulus": ("stratocumulus",),
	"stratonimbus": ("stratonimbus",),
	"stratus": ("stratus",),
	"streltsy": ("strelets",),
	"streptobacillus": ("streptobacillus",),
	"streptococcus": ("streptococcus",),
	"streptomyces": ("streptomyces",),
	"streptopus": ("streptopus",),
	"streptothrix": ("streptothrix",),
	"stress": ("stress",),
	"strix": ("strix",),
	"strongyloïdes": ("strongyloïdes",),
	"strongylus": ("strongylus",),
	"strophantus": ("strophantus",),
	"strophosomus": ("strophosomus",),
	"strophulus": ("strophulus",),
	"strychnos": ("strychnos",),
	"stylochus": ("stylochus",),
	"stylonurus": ("stylonurus",),
	"stylops": ("stylops",),
	"stylos-bille": ("stylo-bille",),
	"styrax": ("styrax",),
	"success-stories": ("success-story",),
	"success": ("success",),
	"succès": ("succès",),
	"suédoises": ("suédois",),
	"suédoise": ("suédois",),
	"suédois": ("suédois",),
	"super-héroïnes": ("super-héros",),
	"supermen": ("superman",),
	"supernovae": ("supernova",),
	"superstitieuses": ("superstitieux",),
	"superstitieuse": ("superstitieux",),
	"superstitieux": ("superstitieux",),
	"superwomen": ("superwoman",),
	"surchoix": ("surchoix",),
	"surcostaux": ("surcostal",),
	"surdos": ("surdos",),
	"surfaix": ("surfaix",),
	"surmatelas": ("surmatelas",),
	"suros": ("suros",),
	"surplis": ("surplis",),
	"surplus": ("surplus",),
	"surpoids": ("surpoids",),
	"surprises-parties": ("surprise-partie",),
	"sursemis": ("sursemis",),
	"sursis": ("sursis",),
	"surtaux": ("surtaux",),
	"surtors": ("surtors",),
	"surtravaux": ("surtravail",),
	"survolteurs-dévolteurs": ("survolteur-dévolteur",),
	"suspens": ("suspens",),
	"swingmen": ("swingman",),
	"sycosis": ("sycosis",),
	"syllabus": ("syllabus",),
	"syllis": ("syllis",),
	"synchisis": ("synchisis",),
	"synchysis": ("synchysis",),
	"synclinaux": ("synclinal",),
	"synêgoros": ("synêgoros",),
	"synophrys": ("synophrys",),
	"synopsis": ("synopsis",),
	"syntomis": ("syntomis",),
	"syphilis": ("syphilis",),
	"syrinx": ("syrinx",),
	"syromastes": ("syromastes",),
	"systèmes-experts": ("système-expert",),
	"tabes": ("tabes",),
	"tabès": ("tabès",),
	"tables-valises": ("table-valise",),
	"tachinus": ("tachinus",),
	"tachyporus": ("tachyporus",),
	"tachytes": ("tachytes",),
	"taconeos": ("taconeos",),
	"taeniasis": ("taeniasis",),
	"taffetas": ("taffetas",),
	"tagetes": ("tagetes",),
	"tagos": ("tagos",),
	"taille-buissons": ("taille-buissons",),
	"taille-crayons": ("taille-crayons",),
	"taille-légumes": ("taille-légumes",),
	"tailles-douces": ("taille-douce",),
	"tailleurs-couturiers": ("tailleur-couturier",),
	"taillis": ("taillis",),
	"taiseuses": ("taiseux",),
	"taiseux": ("taiseux",),
	"taïwanaises": ("taïwanais",),
	"taïwanaise": ("taïwanais",),
	"taïwanais": ("taïwanais",),
	"talkies-walkies": ("talkie-walkie",),
	"talus": ("talus",),
	"tamaris": ("tamaris",),
	"tamarix": ("tamarix",),
	"tambours-majors": ("tambour-major",),
	"tamis": ("tamis",),
	"tampons-dateurs": ("tampon-dateur",),
	"tanaïs": ("tanaïs",),
	"tanapox": ("tanapox",),
	"tangaras-hirondelles": ("tangara-hirondelle",),
	"tanypus": ("tanypus",),
	"tanytarsus": ("tanytarsus",),
	"tapinois": ("tapinois",),
	"tapis": ("tapis",),
	"tarantass": ("tarantass",),
	"tartes-maison": ("tarte-maison",),
	"tas": ("tas",),
	"taudis": ("taudis",),
	"taupes-grillons": ("taupe-grillon",),
	"taux": ("taux",),
	"taxibus": ("taxibus",),
	"taxocrinus": ("taxocrinus",),
	"tax": ("tax",),
	"technico-commerciaux": ("technico-commercial",),
	"teigneuses": ("teigneux",),
	"teigneuse": ("teigneux",),
	"teigneux": ("teigneux",),
	"téléas": ("téléas",),
	"télécanthus": ("télécanthus",),
	"télécommunications": ("télécommunications",),
	"télécoms": ("télécommunications",),
	"télécom": ("télécommunications",),
	"téléjournaux": ("téléjournal",),
	"télétex": ("télétex",),
	"télétravaux": ("télétravail",),
	"télex": ("télex",),
	"tel.": ("téléphone",),
	"Tel.": ("téléphone",),
	"tél.": ("téléphone",),
	"Tél.": ("téléphone",),
	"temenos": ("temenos",),
	"temporaux": ("temporal",),
	"temps": ("temps",),
	"ténébreuses": ("ténébreux",),
	"ténébreuse": ("ténébreux",),
	"ténébreux": ("ténébreux",),
	"tennismen": ("tennisman",),
	"tennis": ("tennis",),
	"tentaculites": ("tentaculites",),
	"tentes-abris": ("tente-abri",),
	"terfès": ("terfès",),
	"tergipes": ("tergipes",),
	"terminaux": ("terminal",),
	"terminus": ("terminus",),
	"terre-neuvas": ("terre-neuvas",),
	"terrenoix": ("terrenoix",),
	"territoriaux": ("territorial",),
	"tests-minute": ("test-minute",),
	"tétanos": ("tétanos",),
	"têtes-de-clou": ("tête-de-clou",),
	"têtes-de-loup": ("tête-de-loup",),
	"têtes-de-maure": ("tête-de-maure",),
	"têtes-de-moineau": ("tête-de-moineau",),
	"têtes-de-mort": ("tête-de-mort",),
	"têtes-de-nègre": ("tête-de-nègre",),
	"tetracidaris": ("tetracidaris",),
	"tétras": ("tétras",),
	"tetrastichus": ("tetrastichus",),
	"tétrix": ("tétrix",),
	"tex": ("tex",),
	"thailandaises": ("thailandais",),
	"thaïlandaises": ("thaïlandais",),
	"thailandaise": ("thailandais",),
	"thaïlandaise": ("thaïlandais",),
	"thailandais": ("thailandais",),
	"thaïlandais": ("thaïlandais",),
	"thalamus": ("thalamus",),
	"thalestris": ("thalestris",),
	"thamnophis": ("thamnophis",),
	"thamnotettix": ("thamnotettix",),
	"thanaos": ("thanaos",),
	"thanatos": ("thanatos",),
	"thaumastus": ("thaumastus",),
	"théâtreuses": ("théâtreux",),
	"théâtreuse": ("théâtreux",),
	"théâtreux": ("théâtreux",),
	"theodoxus": ("theodoxus",),
	"théologaux": ("théologal",),
	"therioplectes": ("therioplectes",),
	"thermes": ("thermes",),
	"thermos": ("thermos",),
	"thesaurus": ("thesaurus",),
	"thésaurus": ("thésaurus",),
	"tholos": ("tholos",),
	"thomas": ("thomas",),
	"thorax": ("thorax",),
	"thous": ("thous",),
	"thrips": ("thrips",),
	"thrombus": ("thrombus",),
	"thymus": ("thymus",),
	"tiarechinus": ("tiarechinus",),
	"tiers": ("tiers",),
	"timbres-poste": ("timbre-poste",),
	"timbres-quittances": ("timbre-quittance",),
	"timoraises": ("timorais",),
	"timoraise": ("timorais",),
	"timorais": ("timorais",),
	"tingis": ("tingis",),
	"tintinnabulis": ("tintinnabulis",),
	"tire-fesses": ("tire-fesses",),
	"tire-jus": ("tire-jus",),
	"tirelis": ("tirelis",),
	"tire-veilles": ("tire-veilles",),
	"tiroirs-caisses": ("tiroir-caisse",),
	"tiroirs-lits": ("tiroir-lit",),
	"tirolites": ("tirolites",),
	"tissus-éponges": ("tissu-éponge",),
	"titres-lignes": ("titre-ligne",),
	"togavirus": ("togavirus",),
	"togolaises": ("togolais",),
	"togolaise": ("togolais",),
	"togolais": ("togolais",),
	"toits-terrasses": ("toit-terrasse",),
	"toitures-terrasses": ("toiture-terrasse",),
	"tolas": ("tolas",),
	"tomaspis": ("tomaspis",),
	"tommies": ("tommy",),
	"tomocerus": ("tomocerus",),
	"tonkinoises": ("tonkinois",),
	"tonkinois": ("tonkinois",),
	"tonus": ("tonus",),
	"tophus": ("tophus",),
	"torchis": ("torchis",),
	"tord-boyaux": ("tord-boyaux",),
	"tories": ("tory",),
	"torontoises": ("torontois",),
	"torontois": ("torontois",),
	"tors": ("tors",),
	"torticolis": ("torticolis",),
	"tortis": ("tortis",),
	"torus": ("torus",),
	"totanus": ("totanus",),
	"totaux": ("total",),
	"touaregs": ("targui",),
	"touareg": ("targui",),
	"touarègue": ("targui",),
	"toulonnaises": ("toulonnais",),
	"toulonnaise": ("toulonnais",),
	"toulonnais": ("toulonnais",),
	"tourelles-balises": ("tourelle-balise",),
	"tournedos": ("tournedos",),
	"tournevis": ("tournevis",),
	"tournicotis": ("tournicotis",),
	"tournillements": ("tournillements",),
	"tournis": ("tournis",),
	"tours-minute": ("tour-minute",),
	"tout-à-l'égout": ("tout-à-l'égout",),
	"toutes-bonnes": ("toute-bonne",),
	"toutes-épices": ("toute-épice",),
	"tout-paris": ("tout-paris",),
	"toux": ("toux",),
	"toxopneustes": ("toxopneustes",),
	"tracas": ("tracas",),
	"trachées-artères": ("trachée-artère",),
	"trachomateuses": ("trachomateux",),
	"trachomateux": ("trachomateux",),
	"trachyceras": ("trachyceras",),
	"trachyscelis": ("trachyscelis",),
	"trachys": ("trachys",),
	"tractus": ("tractus",),
	"trad.": ("traduction",),
	"tragus": ("tragus",),
	"traîne-bûches": ("traîne-bûches",),
	"traîne-lattes": ("traîne-lattes",),
	"traîne-savates": ("traîne-savates",),
	"traîne-semelles": ("traîne-semelles",),
	"trains-ferries": ("train-ferry",),
	"traîtresses": ("traître",),
	"traîtresse": ("traître",),
	"tranchées-abris": ("tranchée-abri",),
	"tranchis": ("tranchis",),
	"trapezonotus": ("trapezonotus",),
	"travaux": ("travail",),
	"travers": ("travers",),
	"travois": ("travois",),
	"tréchus": ("tréchus",),
	"tréfonds": ("tréfonds",),
	"trégoroises": ("trégorois",),
	"trégoroise": ("trégorois",),
	"trégorois": ("trégorois",),
	"trégorroises": ("trégorrois",),
	"trégorrois": ("trégorrois",),
	"treillis": ("treillis",),
	"tremataspis": ("tremataspis",),
	"trematops": ("trematops",),
	"tremblotis": ("tremblotis",),
	"tremex": ("tremex",),
	"trempis": ("trempis",),
	"trépas": ("trépas",),
	"trépignis": ("trépignis",),
	"trésorières-payeuses": ("trésorier-payeur",),
	"trésoriers-payeurs": ("trésorier-payeur",),
	"trias": ("trias",),
	"tribordais": ("tribordais",),
	"tribunaux": ("tribunal",),
	"triceps": ("triceps",),
	"tricératops": ("tricératops",),
	"trichauxis": ("trichauxis",),
	"trichiasis": ("trichiasis",),
	"trichodes": ("trichodes",),
	"trichokinésis": ("trichokinésis",),
	"trichomonas": ("trichomonas",),
	"trichomycosis": ("trichomycosis",),
	"trichoniscus": ("trichoniscus",),
	"trichonodosis": ("trichonodosis",),
	"trichoptilus": ("trichoptilus",),
	"trichorrhexis": ("trichorrhexis",),
	"trichosis": ("trichosis",),
	"trichotortosis": ("trichotortosis",),
	"tricotets": ("tricotets",),
	"trifouillis": ("trifouillis",),
	"trimétaux": ("trimétal",),
	"trimitus": ("trimitus",),
	"trinucleus": ("trinucleus",),
	"trionix": ("trionix",),
	"trionyx": ("trionyx",),
	"triplex": ("triplex",),
	"tripous": ("tripous",),
	"tripoux": ("tripoux",),
	"triradius": ("triradius",),
	"trismus": ("trismus",),
	"trobriandaises": ("trobriandais",),
	"trobriandais": ("trobriandais",),
	"trochocystes": ("trochocystes",),
	"trochocystites": ("trochocystites",),
	"trogophloeus": ("trogophloeus",),
	"troilus": ("troilus",),
	"trois-deux": ("trois-deux",),
	"trois-étoiles": ("trois-étoiles",),
	"trois-mâts": ("trois-mâts",),
	"trois-pièces": ("trois-pièces",),
	"trois-quarts": ("trois-quarts",),
	"trois-six": ("trois-six",),
	"trois": ("trois",),
	"trolleybus": ("trolleybus",),
	"trompette-des-morts": ("trompette-des-morts",),
	"trompettes-des-morts": ("trompette-des-morts",),
	"tropicoris": ("tropicoris",),
	"tropites": ("tropites",),
	"trottis": ("trottis",),
	"trouble-paix": ("trouble-paix",),
	"trox": ("trox",),
	"trulli": ("trullo",),
	"truncus": ("truncus",),
	"trustis": ("trustis",),
	"tss-tss": ("tss-tss",),
	"tuberculeuses": ("tuberculeux",),
	"tuberculeuse": ("tuberculeux",),
	"tuberculeux": ("tuberculeux",),
	"tubifex": ("tubifex",),
	"tubulorhexis": ("tubulorhexis",),
	"tubulorrhexis": ("tubulorrhexis",),
	"tumulus": ("tumulus",),
	"tunisoises": ("tunisois",),
	"tunisoise": ("tunisois",),
	"tunisois": ("tunisois",),
	"tuphos": ("tuphos",),
	"tupinambis": ("tupinambis",),
	"turco-mongoles": ("turco-mongol",),
	"turinoises": ("turinois",),
	"turinois": ("turinois",),
	"turris": ("turris",),
	"tursiops": ("tursiops",),
	"TV": ("télévision",),
	"tychius": ("tychius",),
	"tylenchus": ("tylenchus",),
	"tylosis": ("tylosis",),
	"tympanaux": ("tympanal",),
	"tympanotonos": ("tympanotonos",),
	"typesses": ("type",),
	"typesse": ("type",),
	"typhlogobius": ("typhlogobius",),
	"typhlops": ("typhlops",),
	"typhus": ("typhus",),
	"typus": ("typus",),
	"uegitglanis": ("uegitglanis",),
	"uintacrinus": ("uintacrinus",),
	"ulcus": ("ulcus",),
	"ultralibéraux": ("ultralibéral",),
	"ultravirus": ("ultravirus",),
	"unaspis": ("unaspis",),
	"uncus": ("uncus",),
	"underclass": ("underclass",),
	"unguis": ("unguis",),
	"universaux": ("universaux",),
	"univers": ("univers",),
	"upas": ("upas",),
	"uraeus": ("uraeus",),
	"uraptéryx": ("uraptéryx",),
	"urinaux": ("urinal",),
	"urus": ("urus",),
	"us": ("us",),
	"usus": ("usus",),
	"uterus": ("uterus",),
	"utérus": ("utérus",),
	"valences-grammes": ("valence-gramme",),
	"valenciennoises": ("valenciennois",),
	"valenciennoise": ("valenciennois",),
	"valenciennois": ("valenciennois",),
	"valentinoises": ("valentinois",),
	"valentinoise": ("valentinois",),
	"valentinois": ("valentinois",),
	"valgus": ("valgus",),
	"vaniteuses": ("vaniteux",),
	"vaniteuse": ("vaniteux",),
	"vaniteux": ("vaniteux",),
	"vantaux": ("vantail",),
	"va-nu-pieds": ("va-nu-pieds",),
	"varioleuses": ("varioleux",),
	"varioleuse": ("varioleux",),
	"varioleux": ("varioleux",),
	"variqueuses": ("variqueux",),
	"variqueux": ("variqueux",),
	"varoises": ("varois",),
	"varois": ("varois",),
	"varus": ("varus",),
	"var.": ("variante",),
	"vaseux": ("vaseux",),
	"vasistas": ("vasistas",),
	"vassaux": ("vassal",),
	"vaudoises": ("vaudois",),
	"vaudoise": ("vaudois",),
	"vaudois": ("vaudois",),
	"vavassaux": ("vavassal",),
	"vécés": ("vécés",),
	"vegas": ("vegas",),
	"végétaux": ("végétal",),
	"vélo-cross": ("vélocross",),
	"vélocross": ("vélocross",),
	"velours": ("velours",),
	"venderesse": ("vendeur",),
	"vénérupis": ("vénérupis",),
	"vengeresses": ("vengeur",),
	"vengeresse": ("vengeur",),
	"ventaux": ("ventail",),
	"ventis": ("ventis",),
	"vénus": ("vénus",),
	"vêpres": ("vêpres",),
	"vercingétorix": ("vercingétorix",),
	"verglas": ("verglas",),
	"verjus": ("verjus",),
	"vermis": ("vermis",),
	"vernis": ("vernis",),
	"vernix": ("vernix",),
	"véroleuses": ("véroleux",),
	"véroleux": ("véroleux",),
	"véronaises": ("véronais",),
	"véronais": ("véronais",),
	"versaillaises": ("versaillais",),
	"versaillaise": ("versaillais",),
	"versaillais": ("versaillais",),
	"versailleuses": ("versailleux",),
	"versailleux": ("versailleux",),
	"vers": ("vers",),
	"vert-de-gris": ("vert-de-gris",),
	"vertex": ("vertex",),
	"verticaux": ("vertical",),
	"verveux": ("verveux",),
	"vésiculovirus": ("vésiculovirus",),
	"vespéraux": ("vespéral",),
	"vesperus": ("vesperus",),
	"vesses-de-loup": ("vesse-de-loup",),
	"vestes-fantaisie": ("veste-fantaisie",),
	"vibices": ("vibices",),
	"vice-amiraux": ("vice-amiral",),
	"vicennales": ("vicennales",),
	"vichyssoises": ("vichyssois",),
	"vichyssoise": ("vichyssois",),
	"vichyssois": ("vichyssois",),
	"vicieuses": ("vicieux",),
	"vicieuse": ("vicieux",),
	"vicieux": ("vicieux",),
	"vicomtesses": ("vicomte",),
	"vicomtesse": ("vicomte",),
	"vide-ordures": ("vide-ordures",),
	"vidéotex": ("vidéotex",),
	"vide-poches": ("vide-poches",),
	"vidimus": ("vidimus",),
	"vieilles": ("vieux",),
	"vieille": ("vieux",),
	"vieil": ("vieux",),
	"vielleuses": ("vielleux",),
	"vielleuse": ("vielleux",),
	"vielleux": ("vielleux",),
	"viennoises": ("viennois",),
	"viennoise": ("viennois",),
	"viennois": ("viennois",),
	"vieux": ("vieux",),
	"villageoises": ("villageois",),
	"villageoise": ("villageois",),
	"villageois": ("villageois",),
	"villes-dortoirs": ("ville-dortoir",),
	"villicus": ("villicus",),
	"vindas": ("vindas",),
	"violoneuses": ("violoneux",),
	"violoneux": ("violoneux",),
	"virus": ("virus",),
	"vis-à-vis": ("vis-à-vis",),
	"vis": ("vis",),
	"vitellus": ("vitellus",),
	"vitraux": ("vitrail",),
	"viverravus": ("viverravus",),
	"viviparus": ("viviparus",),
	"voceri": ("vocero",),
	"voitures-bars": ("voiture-bar",),
	"voitures-cuisines": ("voiture-cuisine",),
	"voitures-lits": ("voiture-lit",),
	"voitures-restaurants": ("voiture-restaurant",),
	"voiturières-transporteuses": ("voiturier-transporteur",),
	"voix": ("voix",),
	"volis": ("volis",),
	"volubilis": ("volubilis",),
	"voluptueuses": ("voluptueux",),
	"voluptueuse": ("voluptueux",),
	"voluptueux": ("voluptueux",),
	"vol.": ("volume",),
	"volvox": ("volvox",),
	"volvulus": ("volvulus",),
	"vomis-purgatifs": ("vomi-purgatif",),
	"vortex": ("vortex",),
	"vox": ("vox",),
	"vraquiers-pétroliers": ("vraquier-pétrolier",),
	"vulcanales": ("vulcanales",),
	"vulgum-pecus": ("vulgum-pecus",),
	"wagons-bars": ("wagon-bar",),
	"wagons-citernes": ("wagon-citerne",),
	"wagons-foudres": ("wagon-foudre",),
	"wagons-lits": ("wagon-lit",),
	"wagons-poste": ("wagon-poste",),
	"wagons-réservoirs": ("wagon-réservoir",),
	"wagons-restaurants": ("wagon-restaurant",),
	"wagons-salons": ("wagon-salon",),
	"wagons-tombereaux": ("wagon-tombereau",),
	"wagons-trémies": ("wagon-trémie",),
	"wagons-vannes": ("wagon-vanne",),
	"wallabies": ("wallaby",),
	"waters": ("water-closet",),
	"wattmen": ("wattman",),
	"watts-heures": ("watt-heure",),
	"wells": ("wells",),
	"williams": ("williams",),
	"wurtembergeoises": ("wurtembergeois",),
	"wurtembergeoise": ("wurtembergeois",),
	"wurtembergeois": ("wurtembergeois",),
	"xancus": ("xancus",),
	"xantholinus": ("xantholinus",),
	"xanthosis": ("xanthosis",),
	"xénocristaux": ("xénocristal",),
	"xenos": ("xenos",),
	"xérès": ("xérès",),
	"xérosis": ("xérosis",),
	"xérus": ("xérus",),
	"xls": ("xls",),
	"x": ("x",),
	"xyleborus": ("xyleborus",),
	"xysticus": ("xysticus",),
	"yachtmen": ("yachtman",),
	"yachtsmen": ("yachtsman",),
	"yachtswomen": ("yachtswoman",),
	"yachtwomen": ("yachtwoman",),
	"yaws": ("yaws",),
	"yeomen": ("yeoman",),
	"yeux": ("oeil",),
	"ylangs-ylangs": ("ylang-ylang",),
	"yorkaises": ("yorkais",),
	"yorkaise": ("yorkais",),
	"yorkais": ("yorkais",),
	"yo-yo": ("yoyo",),
	"yuppies": ("yuppy",),
	"zabrus": ("zabrus",),
	"zaglossus": ("zaglossus",),
	"zaïroises": ("zaïrois",),
	"zaïroise": ("zaïrois",),
	"zaïrois": ("zaïrois",),
	"zamenis": ("zamenis",),
	"zélandaises": ("zélandais",),
	"zélandaise": ("zélandais",),
	"zélandais": ("zélandais",),
	"zethus": ("zethus",),
	"zingari": ("zingaro",),
	"zonabris": ("zonabris",),
	"zonites": ("zonites",),
	"zonitis": ("zonitis",),
	"zool.": ("zoologie",),
	"zoophagus": ("zoophagus",),
	"zostérops": ("zostérops",),
	"zurichoises": ("zurichois",),
	"zurichois": ("zurichois",),
	"zyras": ("zyras",),
	"zyzomys": ("zyzomys",)
}
